<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for accountGetCreationTokenRequestType StructType
 * @subpackage Structs
 */
class AccountGetCreationTokenRequestType extends AbstractStructBase
{
    /**
     * The return_url
     * @var string
     */
    public $return_url;
    /**
     * Constructor method for accountGetCreationTokenRequestType
     * @uses AccountGetCreationTokenRequestType::setReturn_url()
     * @param string $return_url
     */
    public function __construct($return_url = null)
    {
        $this
            ->setReturn_url($return_url);
    }
    /**
     * Get return_url value
     * @return string|null
     */
    public function getReturn_url()
    {
        return $this->return_url;
    }
    /**
     * Set return_url value
     * @param string $return_url
     * @return \StructType\AccountGetCreationTokenRequestType
     */
    public function setReturn_url($return_url = null)
    {
        // validation for constraint: string
        if (!is_null($return_url) && !is_string($return_url)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($return_url, true), gettype($return_url)), __LINE__);
        }
        $this->return_url = $return_url;
        return $this;
    }
}
