<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for accountViewBalanceResponseType StructType
 * @subpackage Structs
 */
class AccountViewBalanceResponseType extends AbstractStructBase
{
    /**
     * The balance
     * @var float
     */
    public $balance;
    /**
     * Constructor method for accountViewBalanceResponseType
     * @uses AccountViewBalanceResponseType::setBalance()
     * @param float $balance
     */
    public function __construct($balance = null)
    {
        $this
            ->setBalance($balance);
    }
    /**
     * Get balance value
     * @return float|null
     */
    public function getBalance()
    {
        return $this->balance;
    }
    /**
     * Set balance value
     * @param float $balance
     * @return \StructType\AccountViewBalanceResponseType
     */
    public function setBalance($balance = null)
    {
        // validation for constraint: float
        if (!is_null($balance) && !(is_float($balance) || is_numeric($balance))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($balance, true), gettype($balance)), __LINE__);
        }
        $this->balance = $balance;
        return $this;
    }
}
