<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CarBPV2 StructType
 * @subpackage Structs
 */
class CarBPV2 extends AbstractStructBase
{
    /**
     * The car_data
     * @var \StructType\CarBP
     */
    public $car_data;
    /**
     * The types
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CarTypeArray
     */
    public $types;
    /**
     * Constructor method for CarBPV2
     * @uses CarBPV2::setCar_data()
     * @uses CarBPV2::setTypes()
     * @param \StructType\CarBP $car_data
     * @param \ArrayType\CarTypeArray $types
     */
    public function __construct(\StructType\CarBP $car_data = null, \ArrayType\CarTypeArray $types = null)
    {
        $this
            ->setCar_data($car_data)
            ->setTypes($types);
    }
    /**
     * Get car_data value
     * @return \StructType\CarBP|null
     */
    public function getCar_data()
    {
        return $this->car_data;
    }
    /**
     * Set car_data value
     * @param \StructType\CarBP $car_data
     * @return \StructType\CarBPV2
     */
    public function setCar_data(\StructType\CarBP $car_data = null)
    {
        $this->car_data = $car_data;
        return $this;
    }
    /**
     * Get types value
     * @return \ArrayType\CarTypeArray|null
     */
    public function getTypes()
    {
        return $this->types;
    }
    /**
     * Set types value
     * @param \ArrayType\CarTypeArray $types
     * @return \StructType\CarBPV2
     */
    public function setTypes(\ArrayType\CarTypeArray $types = null)
    {
        $this->types = $types;
        return $this;
    }
}
