<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CarDataV3Result StructType
 * @subpackage Structs
 */
class CarDataV3Result extends AbstractStructBase
{
    /**
     * The car_data
     * @var \StructType\CarV3
     */
    public $car_data;
    /**
     * The types
     * @var \ArrayType\CarTypeArray
     */
    public $types;
    /**
     * Constructor method for CarDataV3Result
     * @uses CarDataV3Result::setCar_data()
     * @uses CarDataV3Result::setTypes()
     * @param \StructType\CarV3 $car_data
     * @param \ArrayType\CarTypeArray $types
     */
    public function __construct(\StructType\CarV3 $car_data = null, \ArrayType\CarTypeArray $types = null)
    {
        $this
            ->setCar_data($car_data)
            ->setTypes($types);
    }
    /**
     * Get car_data value
     * @return \StructType\CarV3|null
     */
    public function getCar_data()
    {
        return $this->car_data;
    }
    /**
     * Set car_data value
     * @param \StructType\CarV3 $car_data
     * @return \StructType\CarDataV3Result
     */
    public function setCar_data(\StructType\CarV3 $car_data = null)
    {
        $this->car_data = $car_data;
        return $this;
    }
    /**
     * Get types value
     * @return \ArrayType\CarTypeArray|null
     */
    public function getTypes()
    {
        return $this->types;
    }
    /**
     * Set types value
     * @param \ArrayType\CarTypeArray $types
     * @return \StructType\CarDataV3Result
     */
    public function setTypes(\ArrayType\CarTypeArray $types = null)
    {
        $this->types = $types;
        return $this;
    }
}
