<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CarOptions StructType
 * @subpackage Structs
 */
class CarOptions extends AbstractStructBase
{
    /**
     * The car_id
     * @var string
     */
    public $car_id;
    /**
     * The merk
     * @var string
     */
    public $merk;
    /**
     * The serie
     * @var string
     */
    public $serie;
    /**
     * The serie_jaar_van
     * @var int
     */
    public $serie_jaar_van;
    /**
     * The serie_jaar_tot
     * @var int
     */
    public $serie_jaar_tot;
    /**
     * The model
     * @var string
     */
    public $model;
    /**
     * The model_maand_van
     * @var int
     */
    public $model_maand_van;
    /**
     * The model_jaar_van
     * @var int
     */
    public $model_jaar_van;
    /**
     * The model_maand_tot
     * @var int
     */
    public $model_maand_tot;
    /**
     * The model_jaar_tot
     * @var int
     */
    public $model_jaar_tot;
    /**
     * The belasting_min
     * @var string
     */
    public $belasting_min;
    /**
     * The belasting_max
     * @var string
     */
    public $belasting_max;
    /**
     * The algemene_garantie
     * @var string
     */
    public $algemene_garantie;
    /**
     * The algemene_garantie_km
     * @var string
     */
    public $algemene_garantie_km;
    /**
     * The carrosserie_garantie
     * @var string
     */
    public $carrosserie_garantie;
    /**
     * The deuren
     * @var string
     */
    public $deuren;
    /**
     * The carrosserietype
     * @var string
     */
    public $carrosserietype;
    /**
     * The aantal_versnellingen
     * @var string
     */
    public $aantal_versnellingen;
    /**
     * The soort_schakeling
     * @var string
     */
    public $soort_schakeling;
    /**
     * The aandrijving
     * @var string
     */
    public $aandrijving;
    /**
     * The brandstoftype
     * @var string
     */
    public $brandstoftype;
    /**
     * The aantal_cilinders
     * @var string
     */
    public $aantal_cilinders;
    /**
     * The bouwwijze
     * @var string
     */
    public $bouwwijze;
    /**
     * The kleppen_per_cilinder
     * @var string
     */
    public $kleppen_per_cilinder;
    /**
     * The cilinderinhoud
     * @var string
     */
    public $cilinderinhoud;
    /**
     * The boring
     * @var string
     */
    public $boring;
    /**
     * The slag
     * @var string
     */
    public $slag;
    /**
     * The compressieverhouding
     * @var string
     */
    public $compressieverhouding;
    /**
     * The vermogen_kw
     * @var string
     */
    public $vermogen_kw;
    /**
     * The vermogen_pk
     * @var string
     */
    public $vermogen_pk;
    /**
     * The vermogen_tpm
     * @var string
     */
    public $vermogen_tpm;
    /**
     * The koppel
     * @var string
     */
    public $koppel;
    /**
     * The koppel_tpm
     * @var string
     */
    public $koppel_tpm;
    /**
     * The katalysator
     * @var string
     */
    public $katalysator;
    /**
     * The brandstofsysteem
     * @var string
     */
    public $brandstofsysteem;
    /**
     * The klepbediening
     * @var string
     */
    public $klepbediening;
    /**
     * The turbo
     * @var string
     */
    public $turbo;
    /**
     * The wielophanging_voor
     * @var string
     */
    public $wielophanging_voor;
    /**
     * The wielophanging_achter
     * @var string
     */
    public $wielophanging_achter;
    /**
     * The vering_voor
     * @var string
     */
    public $vering_voor;
    /**
     * The vering_achter
     * @var string
     */
    public $vering_achter;
    /**
     * The stabilisator_voor
     * @var string
     */
    public $stabilisator_voor;
    /**
     * The stabilisator_achter
     * @var string
     */
    public $stabilisator_achter;
    /**
     * The remmen_voor
     * @var string
     */
    public $remmen_voor;
    /**
     * The remmen_voor_mm
     * @var string
     */
    public $remmen_voor_mm;
    /**
     * The remmen_achter
     * @var string
     */
    public $remmen_achter;
    /**
     * The remmen_achter_mm
     * @var string
     */
    public $remmen_achter_mm;
    /**
     * The cw_waarde
     * @var string
     */
    public $cw_waarde;
    /**
     * The lengte
     * @var string
     */
    public $lengte;
    /**
     * The breedte
     * @var string
     */
    public $breedte;
    /**
     * The hoogte
     * @var string
     */
    public $hoogte;
    /**
     * The wielbasis
     * @var string
     */
    public $wielbasis;
    /**
     * The spoorbreedte_voor
     * @var string
     */
    public $spoorbreedte_voor;
    /**
     * The spoorbreedte_achter
     * @var string
     */
    public $spoorbreedte_achter;
    /**
     * The draaicirkel
     * @var string
     */
    public $draaicirkel;
    /**
     * The bandenmaat_voor
     * @var string
     */
    public $bandenmaat_voor;
    /**
     * The bandenmaat_achter
     * @var string
     */
    public $bandenmaat_achter;
    /**
     * The massa
     * @var string
     */
    public $massa;
    /**
     * The max_toelaatbare_massa
     * @var string
     */
    public $max_toelaatbare_massa;
    /**
     * The max_aanhanger_geremd
     * @var string
     */
    public $max_aanhanger_geremd;
    /**
     * The max_aanhanger_ongeremd
     * @var string
     */
    public $max_aanhanger_ongeremd;
    /**
     * The max_kogeldruk
     * @var string
     */
    public $max_kogeldruk;
    /**
     * The max_dakbelasting
     * @var string
     */
    public $max_dakbelasting;
    /**
     * The koffer_min
     * @var string
     */
    public $koffer_min;
    /**
     * The koffer_max
     * @var string
     */
    public $koffer_max;
    /**
     * The tankinhoud
     * @var string
     */
    public $tankinhoud;
    /**
     * The topsnelheid
     * @var string
     */
    public $topsnelheid;
    /**
     * The acceleratie
     * @var string
     */
    public $acceleratie;
    /**
     * The verbruik_binnen_bebouwde_kom
     * @var string
     */
    public $verbruik_binnen_bebouwde_kom;
    /**
     * The verbruik_buiten_bebouwde_kom
     * @var string
     */
    public $verbruik_buiten_bebouwde_kom;
    /**
     * The verbruik_gecombineerd
     * @var string
     */
    public $verbruik_gecombineerd;
    /**
     * The co2_uitstoot
     * @var string
     */
    public $co2_uitstoot;
    /**
     * The verbruik_gemiddeld
     * @var string
     */
    public $verbruik_gemiddeld;
    /**
     * The abs
     * @var \StructType\CarOption
     */
    public $abs;
    /**
     * The remkrachtverdeling
     * @var \StructType\CarOption
     */
    public $remkrachtverdeling;
    /**
     * The brakeassist
     * @var \StructType\CarOption
     */
    public $brakeassist;
    /**
     * The tractiecontrole
     * @var \StructType\CarOption
     */
    public $tractiecontrole;
    /**
     * The sperdifferentieel
     * @var \StructType\CarOption
     */
    public $sperdifferentieel;
    /**
     * The stabiliteitsregeling
     * @var \StructType\CarOption
     */
    public $stabiliteitsregeling;
    /**
     * The regelbare_schokdemping
     * @var \StructType\CarOption
     */
    public $regelbare_schokdemping;
    /**
     * The niveauregeling
     * @var \StructType\CarOption
     */
    public $niveauregeling;
    /**
     * The airbag_bestuurder
     * @var \StructType\CarOption
     */
    public $airbag_bestuurder;
    /**
     * The airbag_passagier
     * @var \StructType\CarOption
     */
    public $airbag_passagier;
    /**
     * The airbag_opzijvoor
     * @var \StructType\CarOption
     */
    public $airbag_opzijvoor;
    /**
     * The airbag_opzijachter
     * @var \StructType\CarOption
     */
    public $airbag_opzijachter;
    /**
     * The airbag_hoofdvoor
     * @var \StructType\CarOption
     */
    public $airbag_hoofdvoor;
    /**
     * The airbag_hoofdachter
     * @var \StructType\CarOption
     */
    public $airbag_hoofdachter;
    /**
     * The gordelspanners
     * @var \StructType\CarOption
     */
    public $gordelspanners;
    /**
     * The verstelbare_gordelhoogte
     * @var \StructType\CarOption
     */
    public $verstelbare_gordelhoogte;
    /**
     * The startonderbreker
     * @var \StructType\CarOption
     */
    public $startonderbreker;
    /**
     * The inbraakalarm
     * @var \StructType\CarOption
     */
    public $inbraakalarm;
    /**
     * The centrale_deurvergrendeling
     * @var \StructType\CarOption
     */
    public $centrale_deurvergrendeling;
    /**
     * The afstandbediening_deurvergrendeling
     * @var \StructType\CarOption
     */
    public $afstandbediening_deurvergrendeling;
    /**
     * The automatische_vergrendeling
     * @var \StructType\CarOption
     */
    public $automatische_vergrendeling;
    /**
     * The keyless_entry
     * @var \StructType\CarOption
     */
    public $keyless_entry;
    /**
     * The elektrische_ramen_voor
     * @var \StructType\CarOption
     */
    public $elektrische_ramen_voor;
    /**
     * The elektrische_ramen_achter
     * @var \StructType\CarOption
     */
    public $elektrische_ramen_achter;
    /**
     * The stuurbekrachtiging
     * @var \StructType\CarOption
     */
    public $stuurbekrachtiging;
    /**
     * The stuurschakeling
     * @var \StructType\CarOption
     */
    public $stuurschakeling;
    /**
     * The cruise_control
     * @var \StructType\CarOption
     */
    public $cruise_control;
    /**
     * The radar_cruise_control
     * @var \StructType\CarOption
     */
    public $radar_cruise_control;
    /**
     * The airconditioning
     * @var \StructType\CarOption
     */
    public $airconditioning;
    /**
     * The klimaatregeling
     * @var \StructType\CarOption
     */
    public $klimaatregeling;
    /**
     * The gescheiden_temperatuurregeling
     * @var \StructType\CarOption
     */
    public $gescheiden_temperatuurregeling;
    /**
     * The pollenfilter
     * @var \StructType\CarOption
     */
    public $pollenfilter;
    /**
     * The parkeersensor
     * @var \StructType\CarOption
     */
    public $parkeersensor;
    /**
     * The hoofdsteunen_voor
     * @var \StructType\CarOption
     */
    public $hoofdsteunen_voor;
    /**
     * The hoofdsteunen_achter
     * @var \StructType\CarOption
     */
    public $hoofdsteunen_achter;
    /**
     * The verstelbare_hoofdsteunen_achter
     * @var \StructType\CarOption
     */
    public $verstelbare_hoofdsteunen_achter;
    /**
     * The derde_hoofdsteun_achter
     * @var \StructType\CarOption
     */
    public $derde_hoofdsteun_achter;
    /**
     * The derde_driepuntsgordel_achter
     * @var \StructType\CarOption
     */
    public $derde_driepuntsgordel_achter;
    /**
     * The verstelbare_lendensteun_bestuurder
     * @var \StructType\CarOption
     */
    public $verstelbare_lendensteun_bestuurder;
    /**
     * The verstelbare_lendensteun_passagier
     * @var \StructType\CarOption
     */
    public $verstelbare_lendensteun_passagier;
    /**
     * The hoogteverstelling_bestuurder
     * @var \StructType\CarOption
     */
    public $hoogteverstelling_bestuurder;
    /**
     * The hoogteverstelling_passagier
     * @var \StructType\CarOption
     */
    public $hoogteverstelling_passagier;
    /**
     * The elektrische_stoelverstelling
     * @var \StructType\CarOption
     */
    public $elektrische_stoelverstelling;
    /**
     * The geheugen_stoelverstelling
     * @var \StructType\CarOption
     */
    public $geheugen_stoelverstelling;
    /**
     * The verwarmde_zitplaatsen_voor
     * @var \StructType\CarOption
     */
    public $verwarmde_zitplaatsen_voor;
    /**
     * The verwarmde_zitplaatsen_achter
     * @var \StructType\CarOption
     */
    public $verwarmde_zitplaatsen_achter;
    /**
     * The sportstoelen
     * @var \StructType\CarOption
     */
    public $sportstoelen;
    /**
     * The bekledingstof_leer
     * @var \StructType\CarOption
     */
    public $bekledingstof_leer;
    /**
     * The lerenbekleding
     * @var \StructType\CarOption
     */
    public $lerenbekleding;
    /**
     * The hoogteverstelling_stuur
     * @var \StructType\CarOption
     */
    public $hoogteverstelling_stuur;
    /**
     * The diepteverstelling_stuur
     * @var \StructType\CarOption
     */
    public $diepteverstelling_stuur;
    /**
     * The elektrische_stuurverstelling
     * @var \StructType\CarOption
     */
    public $elektrische_stuurverstelling;
    /**
     * The leer_bekleed_stuur
     * @var \StructType\CarOption
     */
    public $leer_bekleed_stuur;
    /**
     * The middenarmsteun_voor
     * @var \StructType\CarOption
     */
    public $middenarmsteun_voor;
    /**
     * The middenarmsteun_achter
     * @var \StructType\CarOption
     */
    public $middenarmsteun_achter;
    /**
     * The neerklapbare_achterbank
     * @var \StructType\CarOption
     */
    public $neerklapbare_achterbank;
    /**
     * The in_delen_neerklapbaar_achterbank
     * @var \StructType\CarOption
     */
    public $in_delen_neerklapbaar_achterbank;
    /**
     * The opbergvak_linkerportier
     * @var \StructType\CarOption
     */
    public $opbergvak_linkerportier;
    /**
     * The bekerhouder_voor
     * @var \StructType\CarOption
     */
    public $bekerhouder_voor;
    /**
     * The bekerhouder_achter
     * @var \StructType\CarOption
     */
    public $bekerhouder_achter;
    /**
     * The zonnescherm_achterruit
     * @var \StructType\CarOption
     */
    public $zonnescherm_achterruit;
    /**
     * The dagteller
     * @var \StructType\CarOption
     */
    public $dagteller;
    /**
     * The toerenteller
     * @var \StructType\CarOption
     */
    public $toerenteller;
    /**
     * The temperatuurmeter
     * @var \StructType\CarOption
     */
    public $temperatuurmeter;
    /**
     * The oliepeilmeter
     * @var \StructType\CarOption
     */
    public $oliepeilmeter;
    /**
     * The oliedrukmeter
     * @var \StructType\CarOption
     */
    public $oliedrukmeter;
    /**
     * The olietemperatuurmeter
     * @var \StructType\CarOption
     */
    public $olietemperatuurmeter;
    /**
     * The voltmeter
     * @var \StructType\CarOption
     */
    public $voltmeter;
    /**
     * The verbruiksmeter
     * @var \StructType\CarOption
     */
    public $verbruiksmeter;
    /**
     * The turbodrukmeter
     * @var \StructType\CarOption
     */
    public $turbodrukmeter;
    /**
     * The buitentemperatuurmeter
     * @var \StructType\CarOption
     */
    public $buitentemperatuurmeter;
    /**
     * The klokje
     * @var \StructType\CarOption
     */
    public $klokje;
    /**
     * The boardcomputer
     * @var \StructType\CarOption
     */
    public $boardcomputer;
    /**
     * The luidsprekers
     * @var \StructType\CarOption
     */
    public $luidsprekers;
    /**
     * The stereoinstallatie
     * @var \StructType\CarOption
     */
    public $stereoinstallatie;
    /**
     * The cdspeler
     * @var \StructType\CarOption
     */
    public $cdspeler;
    /**
     * The cdwisselaar
     * @var \StructType\CarOption
     */
    public $cdwisselaar;
    /**
     * The audiostuurbediening
     * @var \StructType\CarOption
     */
    public $audiostuurbediening;
    /**
     * The bandenspanningssensor
     * @var \StructType\CarOption
     */
    public $bandenspanningssensor;
    /**
     * The navigatiesysteem
     * @var \StructType\CarOption
     */
    public $navigatiesysteem;
    /**
     * The televisie
     * @var \StructType\CarOption
     */
    public $televisie;
    /**
     * The telefoonvoorbereiding
     * @var \StructType\CarOption
     */
    public $telefoonvoorbereiding;
    /**
     * The telefoon
     * @var \StructType\CarOption
     */
    public $telefoon;
    /**
     * The intervalruitenwisser
     * @var \StructType\CarOption
     */
    public $intervalruitenwisser;
    /**
     * The regelbare_interval
     * @var \StructType\CarOption
     */
    public $regelbare_interval;
    /**
     * The regensensor
     * @var \StructType\CarOption
     */
    public $regensensor;
    /**
     * The ruitenwisser_achter
     * @var \StructType\CarOption
     */
    public $ruitenwisser_achter;
    /**
     * The achterruitverwarming
     * @var \StructType\CarOption
     */
    public $achterruitverwarming;
    /**
     * The voorruitverwarming
     * @var \StructType\CarOption
     */
    public $voorruitverwarming;
    /**
     * The verwarmde_ruitensproeiers
     * @var \StructType\CarOption
     */
    public $verwarmde_ruitensproeiers;
    /**
     * The gelaagde_voorruit
     * @var \StructType\CarOption
     */
    public $gelaagde_voorruit;
    /**
     * The getintglas
     * @var \StructType\CarOption
     */
    public $getintglas;
    /**
     * The schuifdak
     * @var \StructType\CarOption
     */
    public $schuifdak;
    /**
     * The elektrisch_schuifdak
     * @var \StructType\CarOption
     */
    public $elektrisch_schuifdak;
    /**
     * The beschermstrips_opzij
     * @var \StructType\CarOption
     */
    public $beschermstrips_opzij;
    /**
     * The bumpers_meegespoten
     * @var \StructType\CarOption
     */
    public $bumpers_meegespoten;
    /**
     * The metallic_lak
     * @var \StructType\CarOption
     */
    public $metallic_lak;
    /**
     * The lichtmetalen_velgen
     * @var \StructType\CarOption
     */
    public $lichtmetalen_velgen;
    /**
     * The rechter_buitenspiegel
     * @var \StructType\CarOption
     */
    public $rechter_buitenspiegel;
    /**
     * The binnenuit_verstelbare_buitenspiegel
     * @var \StructType\CarOption
     */
    public $binnenuit_verstelbare_buitenspiegel;
    /**
     * The elektrische_spiegels
     * @var \StructType\CarOption
     */
    public $elektrische_spiegels;
    /**
     * The verwarmde_spiegels
     * @var \StructType\CarOption
     */
    public $verwarmde_spiegels;
    /**
     * The inklapbare_spiegels
     * @var \StructType\CarOption
     */
    public $inklapbare_spiegels;
    /**
     * The meegespoten_spiegels
     * @var \StructType\CarOption
     */
    public $meegespoten_spiegels;
    /**
     * The dodehoekspiegel_bestuurder
     * @var \StructType\CarOption
     */
    public $dodehoekspiegel_bestuurder;
    /**
     * The dimmende_binnenspiegel
     * @var \StructType\CarOption
     */
    public $dimmende_binnenspiegel;
    /**
     * The dimmende_buitenspiegel
     * @var \StructType\CarOption
     */
    public $dimmende_buitenspiegel;
    /**
     * The dakrails
     * @var \StructType\CarOption
     */
    public $dakrails;
    /**
     * The binnenuit_te_openen_tankklep
     * @var \StructType\CarOption
     */
    public $binnenuit_te_openen_tankklep;
    /**
     * The binnenuit_te_openen_bagageklep
     * @var \StructType\CarOption
     */
    public $binnenuit_te_openen_bagageklep;
    /**
     * The op_afstand_te_openen_bagageklep
     * @var \StructType\CarOption
     */
    public $op_afstand_te_openen_bagageklep;
    /**
     * The halogeen_koplampen
     * @var \StructType\CarOption
     */
    public $halogeen_koplampen;
    /**
     * The xenon_koplampen
     * @var \StructType\CarOption
     */
    public $xenon_koplampen;
    /**
     * The verstelbare_koplampen
     * @var \StructType\CarOption
     */
    public $verstelbare_koplampen;
    /**
     * The koplampsproeiers
     * @var \StructType\CarOption
     */
    public $koplampsproeiers;
    /**
     * The automatisch_inschakelende_koplampen
     * @var \StructType\CarOption
     */
    public $automatisch_inschakelende_koplampen;
    /**
     * The verstralers
     * @var \StructType\CarOption
     */
    public $verstralers;
    /**
     * The mistlampen_voor
     * @var \StructType\CarOption
     */
    public $mistlampen_voor;
    /**
     * The mistlampen_achter
     * @var \StructType\CarOption
     */
    public $mistlampen_achter;
    /**
     * The zoemer_vergeten_verlichting
     * @var \StructType\CarOption
     */
    public $zoemer_vergeten_verlichting;
    /**
     * The verlichte_bagageruimte
     * @var \StructType\CarOption
     */
    public $verlichte_bagageruimte;
    /**
     * The verlichte_motorruimte
     * @var \StructType\CarOption
     */
    public $verlichte_motorruimte;
    /**
     * The verlicht_dashboardkastje
     * @var \StructType\CarOption
     */
    public $verlicht_dashboardkastje;
    /**
     * The regelbare_dashboardverlichting
     * @var \StructType\CarOption
     */
    public $regelbare_dashboardverlichting;
    /**
     * The leeslampje_voor
     * @var \StructType\CarOption
     */
    public $leeslampje_voor;
    /**
     * The leeslampje_achter
     * @var \StructType\CarOption
     */
    public $leeslampje_achter;
    /**
     * The verlichte_makeupspiegel
     * @var \StructType\CarOption
     */
    public $verlichte_makeupspiegel;
    /**
     * The vertraging_interieurverlichting
     * @var \StructType\CarOption
     */
    public $vertraging_interieurverlichting;
    /**
     * The portierverlichting
     * @var \StructType\CarOption
     */
    public $portierverlichting;
    /**
     * Constructor method for CarOptions
     * @uses CarOptions::setCar_id()
     * @uses CarOptions::setMerk()
     * @uses CarOptions::setSerie()
     * @uses CarOptions::setSerie_jaar_van()
     * @uses CarOptions::setSerie_jaar_tot()
     * @uses CarOptions::setModel()
     * @uses CarOptions::setModel_maand_van()
     * @uses CarOptions::setModel_jaar_van()
     * @uses CarOptions::setModel_maand_tot()
     * @uses CarOptions::setModel_jaar_tot()
     * @uses CarOptions::setBelasting_min()
     * @uses CarOptions::setBelasting_max()
     * @uses CarOptions::setAlgemene_garantie()
     * @uses CarOptions::setAlgemene_garantie_km()
     * @uses CarOptions::setCarrosserie_garantie()
     * @uses CarOptions::setDeuren()
     * @uses CarOptions::setCarrosserietype()
     * @uses CarOptions::setAantal_versnellingen()
     * @uses CarOptions::setSoort_schakeling()
     * @uses CarOptions::setAandrijving()
     * @uses CarOptions::setBrandstoftype()
     * @uses CarOptions::setAantal_cilinders()
     * @uses CarOptions::setBouwwijze()
     * @uses CarOptions::setKleppen_per_cilinder()
     * @uses CarOptions::setCilinderinhoud()
     * @uses CarOptions::setBoring()
     * @uses CarOptions::setSlag()
     * @uses CarOptions::setCompressieverhouding()
     * @uses CarOptions::setVermogen_kw()
     * @uses CarOptions::setVermogen_pk()
     * @uses CarOptions::setVermogen_tpm()
     * @uses CarOptions::setKoppel()
     * @uses CarOptions::setKoppel_tpm()
     * @uses CarOptions::setKatalysator()
     * @uses CarOptions::setBrandstofsysteem()
     * @uses CarOptions::setKlepbediening()
     * @uses CarOptions::setTurbo()
     * @uses CarOptions::setWielophanging_voor()
     * @uses CarOptions::setWielophanging_achter()
     * @uses CarOptions::setVering_voor()
     * @uses CarOptions::setVering_achter()
     * @uses CarOptions::setStabilisator_voor()
     * @uses CarOptions::setStabilisator_achter()
     * @uses CarOptions::setRemmen_voor()
     * @uses CarOptions::setRemmen_voor_mm()
     * @uses CarOptions::setRemmen_achter()
     * @uses CarOptions::setRemmen_achter_mm()
     * @uses CarOptions::setCw_waarde()
     * @uses CarOptions::setLengte()
     * @uses CarOptions::setBreedte()
     * @uses CarOptions::setHoogte()
     * @uses CarOptions::setWielbasis()
     * @uses CarOptions::setSpoorbreedte_voor()
     * @uses CarOptions::setSpoorbreedte_achter()
     * @uses CarOptions::setDraaicirkel()
     * @uses CarOptions::setBandenmaat_voor()
     * @uses CarOptions::setBandenmaat_achter()
     * @uses CarOptions::setMassa()
     * @uses CarOptions::setMax_toelaatbare_massa()
     * @uses CarOptions::setMax_aanhanger_geremd()
     * @uses CarOptions::setMax_aanhanger_ongeremd()
     * @uses CarOptions::setMax_kogeldruk()
     * @uses CarOptions::setMax_dakbelasting()
     * @uses CarOptions::setKoffer_min()
     * @uses CarOptions::setKoffer_max()
     * @uses CarOptions::setTankinhoud()
     * @uses CarOptions::setTopsnelheid()
     * @uses CarOptions::setAcceleratie()
     * @uses CarOptions::setVerbruik_binnen_bebouwde_kom()
     * @uses CarOptions::setVerbruik_buiten_bebouwde_kom()
     * @uses CarOptions::setVerbruik_gecombineerd()
     * @uses CarOptions::setCo2_uitstoot()
     * @uses CarOptions::setVerbruik_gemiddeld()
     * @uses CarOptions::setAbs()
     * @uses CarOptions::setRemkrachtverdeling()
     * @uses CarOptions::setBrakeassist()
     * @uses CarOptions::setTractiecontrole()
     * @uses CarOptions::setSperdifferentieel()
     * @uses CarOptions::setStabiliteitsregeling()
     * @uses CarOptions::setRegelbare_schokdemping()
     * @uses CarOptions::setNiveauregeling()
     * @uses CarOptions::setAirbag_bestuurder()
     * @uses CarOptions::setAirbag_passagier()
     * @uses CarOptions::setAirbag_opzijvoor()
     * @uses CarOptions::setAirbag_opzijachter()
     * @uses CarOptions::setAirbag_hoofdvoor()
     * @uses CarOptions::setAirbag_hoofdachter()
     * @uses CarOptions::setGordelspanners()
     * @uses CarOptions::setVerstelbare_gordelhoogte()
     * @uses CarOptions::setStartonderbreker()
     * @uses CarOptions::setInbraakalarm()
     * @uses CarOptions::setCentrale_deurvergrendeling()
     * @uses CarOptions::setAfstandbediening_deurvergrendeling()
     * @uses CarOptions::setAutomatische_vergrendeling()
     * @uses CarOptions::setKeyless_entry()
     * @uses CarOptions::setElektrische_ramen_voor()
     * @uses CarOptions::setElektrische_ramen_achter()
     * @uses CarOptions::setStuurbekrachtiging()
     * @uses CarOptions::setStuurschakeling()
     * @uses CarOptions::setCruise_control()
     * @uses CarOptions::setRadar_cruise_control()
     * @uses CarOptions::setAirconditioning()
     * @uses CarOptions::setKlimaatregeling()
     * @uses CarOptions::setGescheiden_temperatuurregeling()
     * @uses CarOptions::setPollenfilter()
     * @uses CarOptions::setParkeersensor()
     * @uses CarOptions::setHoofdsteunen_voor()
     * @uses CarOptions::setHoofdsteunen_achter()
     * @uses CarOptions::setVerstelbare_hoofdsteunen_achter()
     * @uses CarOptions::setDerde_hoofdsteun_achter()
     * @uses CarOptions::setDerde_driepuntsgordel_achter()
     * @uses CarOptions::setVerstelbare_lendensteun_bestuurder()
     * @uses CarOptions::setVerstelbare_lendensteun_passagier()
     * @uses CarOptions::setHoogteverstelling_bestuurder()
     * @uses CarOptions::setHoogteverstelling_passagier()
     * @uses CarOptions::setElektrische_stoelverstelling()
     * @uses CarOptions::setGeheugen_stoelverstelling()
     * @uses CarOptions::setVerwarmde_zitplaatsen_voor()
     * @uses CarOptions::setVerwarmde_zitplaatsen_achter()
     * @uses CarOptions::setSportstoelen()
     * @uses CarOptions::setBekledingstof_leer()
     * @uses CarOptions::setLerenbekleding()
     * @uses CarOptions::setHoogteverstelling_stuur()
     * @uses CarOptions::setDiepteverstelling_stuur()
     * @uses CarOptions::setElektrische_stuurverstelling()
     * @uses CarOptions::setLeer_bekleed_stuur()
     * @uses CarOptions::setMiddenarmsteun_voor()
     * @uses CarOptions::setMiddenarmsteun_achter()
     * @uses CarOptions::setNeerklapbare_achterbank()
     * @uses CarOptions::setIn_delen_neerklapbaar_achterbank()
     * @uses CarOptions::setOpbergvak_linkerportier()
     * @uses CarOptions::setBekerhouder_voor()
     * @uses CarOptions::setBekerhouder_achter()
     * @uses CarOptions::setZonnescherm_achterruit()
     * @uses CarOptions::setDagteller()
     * @uses CarOptions::setToerenteller()
     * @uses CarOptions::setTemperatuurmeter()
     * @uses CarOptions::setOliepeilmeter()
     * @uses CarOptions::setOliedrukmeter()
     * @uses CarOptions::setOlietemperatuurmeter()
     * @uses CarOptions::setVoltmeter()
     * @uses CarOptions::setVerbruiksmeter()
     * @uses CarOptions::setTurbodrukmeter()
     * @uses CarOptions::setBuitentemperatuurmeter()
     * @uses CarOptions::setKlokje()
     * @uses CarOptions::setBoardcomputer()
     * @uses CarOptions::setLuidsprekers()
     * @uses CarOptions::setStereoinstallatie()
     * @uses CarOptions::setCdspeler()
     * @uses CarOptions::setCdwisselaar()
     * @uses CarOptions::setAudiostuurbediening()
     * @uses CarOptions::setBandenspanningssensor()
     * @uses CarOptions::setNavigatiesysteem()
     * @uses CarOptions::setTelevisie()
     * @uses CarOptions::setTelefoonvoorbereiding()
     * @uses CarOptions::setTelefoon()
     * @uses CarOptions::setIntervalruitenwisser()
     * @uses CarOptions::setRegelbare_interval()
     * @uses CarOptions::setRegensensor()
     * @uses CarOptions::setRuitenwisser_achter()
     * @uses CarOptions::setAchterruitverwarming()
     * @uses CarOptions::setVoorruitverwarming()
     * @uses CarOptions::setVerwarmde_ruitensproeiers()
     * @uses CarOptions::setGelaagde_voorruit()
     * @uses CarOptions::setGetintglas()
     * @uses CarOptions::setSchuifdak()
     * @uses CarOptions::setElektrisch_schuifdak()
     * @uses CarOptions::setBeschermstrips_opzij()
     * @uses CarOptions::setBumpers_meegespoten()
     * @uses CarOptions::setMetallic_lak()
     * @uses CarOptions::setLichtmetalen_velgen()
     * @uses CarOptions::setRechter_buitenspiegel()
     * @uses CarOptions::setBinnenuit_verstelbare_buitenspiegel()
     * @uses CarOptions::setElektrische_spiegels()
     * @uses CarOptions::setVerwarmde_spiegels()
     * @uses CarOptions::setInklapbare_spiegels()
     * @uses CarOptions::setMeegespoten_spiegels()
     * @uses CarOptions::setDodehoekspiegel_bestuurder()
     * @uses CarOptions::setDimmende_binnenspiegel()
     * @uses CarOptions::setDimmende_buitenspiegel()
     * @uses CarOptions::setDakrails()
     * @uses CarOptions::setBinnenuit_te_openen_tankklep()
     * @uses CarOptions::setBinnenuit_te_openen_bagageklep()
     * @uses CarOptions::setOp_afstand_te_openen_bagageklep()
     * @uses CarOptions::setHalogeen_koplampen()
     * @uses CarOptions::setXenon_koplampen()
     * @uses CarOptions::setVerstelbare_koplampen()
     * @uses CarOptions::setKoplampsproeiers()
     * @uses CarOptions::setAutomatisch_inschakelende_koplampen()
     * @uses CarOptions::setVerstralers()
     * @uses CarOptions::setMistlampen_voor()
     * @uses CarOptions::setMistlampen_achter()
     * @uses CarOptions::setZoemer_vergeten_verlichting()
     * @uses CarOptions::setVerlichte_bagageruimte()
     * @uses CarOptions::setVerlichte_motorruimte()
     * @uses CarOptions::setVerlicht_dashboardkastje()
     * @uses CarOptions::setRegelbare_dashboardverlichting()
     * @uses CarOptions::setLeeslampje_voor()
     * @uses CarOptions::setLeeslampje_achter()
     * @uses CarOptions::setVerlichte_makeupspiegel()
     * @uses CarOptions::setVertraging_interieurverlichting()
     * @uses CarOptions::setPortierverlichting()
     * @param string $car_id
     * @param string $merk
     * @param string $serie
     * @param int $serie_jaar_van
     * @param int $serie_jaar_tot
     * @param string $model
     * @param int $model_maand_van
     * @param int $model_jaar_van
     * @param int $model_maand_tot
     * @param int $model_jaar_tot
     * @param string $belasting_min
     * @param string $belasting_max
     * @param string $algemene_garantie
     * @param string $algemene_garantie_km
     * @param string $carrosserie_garantie
     * @param string $deuren
     * @param string $carrosserietype
     * @param string $aantal_versnellingen
     * @param string $soort_schakeling
     * @param string $aandrijving
     * @param string $brandstoftype
     * @param string $aantal_cilinders
     * @param string $bouwwijze
     * @param string $kleppen_per_cilinder
     * @param string $cilinderinhoud
     * @param string $boring
     * @param string $slag
     * @param string $compressieverhouding
     * @param string $vermogen_kw
     * @param string $vermogen_pk
     * @param string $vermogen_tpm
     * @param string $koppel
     * @param string $koppel_tpm
     * @param string $katalysator
     * @param string $brandstofsysteem
     * @param string $klepbediening
     * @param string $turbo
     * @param string $wielophanging_voor
     * @param string $wielophanging_achter
     * @param string $vering_voor
     * @param string $vering_achter
     * @param string $stabilisator_voor
     * @param string $stabilisator_achter
     * @param string $remmen_voor
     * @param string $remmen_voor_mm
     * @param string $remmen_achter
     * @param string $remmen_achter_mm
     * @param string $cw_waarde
     * @param string $lengte
     * @param string $breedte
     * @param string $hoogte
     * @param string $wielbasis
     * @param string $spoorbreedte_voor
     * @param string $spoorbreedte_achter
     * @param string $draaicirkel
     * @param string $bandenmaat_voor
     * @param string $bandenmaat_achter
     * @param string $massa
     * @param string $max_toelaatbare_massa
     * @param string $max_aanhanger_geremd
     * @param string $max_aanhanger_ongeremd
     * @param string $max_kogeldruk
     * @param string $max_dakbelasting
     * @param string $koffer_min
     * @param string $koffer_max
     * @param string $tankinhoud
     * @param string $topsnelheid
     * @param string $acceleratie
     * @param string $verbruik_binnen_bebouwde_kom
     * @param string $verbruik_buiten_bebouwde_kom
     * @param string $verbruik_gecombineerd
     * @param string $co2_uitstoot
     * @param string $verbruik_gemiddeld
     * @param \StructType\CarOption $abs
     * @param \StructType\CarOption $remkrachtverdeling
     * @param \StructType\CarOption $brakeassist
     * @param \StructType\CarOption $tractiecontrole
     * @param \StructType\CarOption $sperdifferentieel
     * @param \StructType\CarOption $stabiliteitsregeling
     * @param \StructType\CarOption $regelbare_schokdemping
     * @param \StructType\CarOption $niveauregeling
     * @param \StructType\CarOption $airbag_bestuurder
     * @param \StructType\CarOption $airbag_passagier
     * @param \StructType\CarOption $airbag_opzijvoor
     * @param \StructType\CarOption $airbag_opzijachter
     * @param \StructType\CarOption $airbag_hoofdvoor
     * @param \StructType\CarOption $airbag_hoofdachter
     * @param \StructType\CarOption $gordelspanners
     * @param \StructType\CarOption $verstelbare_gordelhoogte
     * @param \StructType\CarOption $startonderbreker
     * @param \StructType\CarOption $inbraakalarm
     * @param \StructType\CarOption $centrale_deurvergrendeling
     * @param \StructType\CarOption $afstandbediening_deurvergrendeling
     * @param \StructType\CarOption $automatische_vergrendeling
     * @param \StructType\CarOption $keyless_entry
     * @param \StructType\CarOption $elektrische_ramen_voor
     * @param \StructType\CarOption $elektrische_ramen_achter
     * @param \StructType\CarOption $stuurbekrachtiging
     * @param \StructType\CarOption $stuurschakeling
     * @param \StructType\CarOption $cruise_control
     * @param \StructType\CarOption $radar_cruise_control
     * @param \StructType\CarOption $airconditioning
     * @param \StructType\CarOption $klimaatregeling
     * @param \StructType\CarOption $gescheiden_temperatuurregeling
     * @param \StructType\CarOption $pollenfilter
     * @param \StructType\CarOption $parkeersensor
     * @param \StructType\CarOption $hoofdsteunen_voor
     * @param \StructType\CarOption $hoofdsteunen_achter
     * @param \StructType\CarOption $verstelbare_hoofdsteunen_achter
     * @param \StructType\CarOption $derde_hoofdsteun_achter
     * @param \StructType\CarOption $derde_driepuntsgordel_achter
     * @param \StructType\CarOption $verstelbare_lendensteun_bestuurder
     * @param \StructType\CarOption $verstelbare_lendensteun_passagier
     * @param \StructType\CarOption $hoogteverstelling_bestuurder
     * @param \StructType\CarOption $hoogteverstelling_passagier
     * @param \StructType\CarOption $elektrische_stoelverstelling
     * @param \StructType\CarOption $geheugen_stoelverstelling
     * @param \StructType\CarOption $verwarmde_zitplaatsen_voor
     * @param \StructType\CarOption $verwarmde_zitplaatsen_achter
     * @param \StructType\CarOption $sportstoelen
     * @param \StructType\CarOption $bekledingstof_leer
     * @param \StructType\CarOption $lerenbekleding
     * @param \StructType\CarOption $hoogteverstelling_stuur
     * @param \StructType\CarOption $diepteverstelling_stuur
     * @param \StructType\CarOption $elektrische_stuurverstelling
     * @param \StructType\CarOption $leer_bekleed_stuur
     * @param \StructType\CarOption $middenarmsteun_voor
     * @param \StructType\CarOption $middenarmsteun_achter
     * @param \StructType\CarOption $neerklapbare_achterbank
     * @param \StructType\CarOption $in_delen_neerklapbaar_achterbank
     * @param \StructType\CarOption $opbergvak_linkerportier
     * @param \StructType\CarOption $bekerhouder_voor
     * @param \StructType\CarOption $bekerhouder_achter
     * @param \StructType\CarOption $zonnescherm_achterruit
     * @param \StructType\CarOption $dagteller
     * @param \StructType\CarOption $toerenteller
     * @param \StructType\CarOption $temperatuurmeter
     * @param \StructType\CarOption $oliepeilmeter
     * @param \StructType\CarOption $oliedrukmeter
     * @param \StructType\CarOption $olietemperatuurmeter
     * @param \StructType\CarOption $voltmeter
     * @param \StructType\CarOption $verbruiksmeter
     * @param \StructType\CarOption $turbodrukmeter
     * @param \StructType\CarOption $buitentemperatuurmeter
     * @param \StructType\CarOption $klokje
     * @param \StructType\CarOption $boardcomputer
     * @param \StructType\CarOption $luidsprekers
     * @param \StructType\CarOption $stereoinstallatie
     * @param \StructType\CarOption $cdspeler
     * @param \StructType\CarOption $cdwisselaar
     * @param \StructType\CarOption $audiostuurbediening
     * @param \StructType\CarOption $bandenspanningssensor
     * @param \StructType\CarOption $navigatiesysteem
     * @param \StructType\CarOption $televisie
     * @param \StructType\CarOption $telefoonvoorbereiding
     * @param \StructType\CarOption $telefoon
     * @param \StructType\CarOption $intervalruitenwisser
     * @param \StructType\CarOption $regelbare_interval
     * @param \StructType\CarOption $regensensor
     * @param \StructType\CarOption $ruitenwisser_achter
     * @param \StructType\CarOption $achterruitverwarming
     * @param \StructType\CarOption $voorruitverwarming
     * @param \StructType\CarOption $verwarmde_ruitensproeiers
     * @param \StructType\CarOption $gelaagde_voorruit
     * @param \StructType\CarOption $getintglas
     * @param \StructType\CarOption $schuifdak
     * @param \StructType\CarOption $elektrisch_schuifdak
     * @param \StructType\CarOption $beschermstrips_opzij
     * @param \StructType\CarOption $bumpers_meegespoten
     * @param \StructType\CarOption $metallic_lak
     * @param \StructType\CarOption $lichtmetalen_velgen
     * @param \StructType\CarOption $rechter_buitenspiegel
     * @param \StructType\CarOption $binnenuit_verstelbare_buitenspiegel
     * @param \StructType\CarOption $elektrische_spiegels
     * @param \StructType\CarOption $verwarmde_spiegels
     * @param \StructType\CarOption $inklapbare_spiegels
     * @param \StructType\CarOption $meegespoten_spiegels
     * @param \StructType\CarOption $dodehoekspiegel_bestuurder
     * @param \StructType\CarOption $dimmende_binnenspiegel
     * @param \StructType\CarOption $dimmende_buitenspiegel
     * @param \StructType\CarOption $dakrails
     * @param \StructType\CarOption $binnenuit_te_openen_tankklep
     * @param \StructType\CarOption $binnenuit_te_openen_bagageklep
     * @param \StructType\CarOption $op_afstand_te_openen_bagageklep
     * @param \StructType\CarOption $halogeen_koplampen
     * @param \StructType\CarOption $xenon_koplampen
     * @param \StructType\CarOption $verstelbare_koplampen
     * @param \StructType\CarOption $koplampsproeiers
     * @param \StructType\CarOption $automatisch_inschakelende_koplampen
     * @param \StructType\CarOption $verstralers
     * @param \StructType\CarOption $mistlampen_voor
     * @param \StructType\CarOption $mistlampen_achter
     * @param \StructType\CarOption $zoemer_vergeten_verlichting
     * @param \StructType\CarOption $verlichte_bagageruimte
     * @param \StructType\CarOption $verlichte_motorruimte
     * @param \StructType\CarOption $verlicht_dashboardkastje
     * @param \StructType\CarOption $regelbare_dashboardverlichting
     * @param \StructType\CarOption $leeslampje_voor
     * @param \StructType\CarOption $leeslampje_achter
     * @param \StructType\CarOption $verlichte_makeupspiegel
     * @param \StructType\CarOption $vertraging_interieurverlichting
     * @param \StructType\CarOption $portierverlichting
     */
    public function __construct($car_id = null, $merk = null, $serie = null, $serie_jaar_van = null, $serie_jaar_tot = null, $model = null, $model_maand_van = null, $model_jaar_van = null, $model_maand_tot = null, $model_jaar_tot = null, $belasting_min = null, $belasting_max = null, $algemene_garantie = null, $algemene_garantie_km = null, $carrosserie_garantie = null, $deuren = null, $carrosserietype = null, $aantal_versnellingen = null, $soort_schakeling = null, $aandrijving = null, $brandstoftype = null, $aantal_cilinders = null, $bouwwijze = null, $kleppen_per_cilinder = null, $cilinderinhoud = null, $boring = null, $slag = null, $compressieverhouding = null, $vermogen_kw = null, $vermogen_pk = null, $vermogen_tpm = null, $koppel = null, $koppel_tpm = null, $katalysator = null, $brandstofsysteem = null, $klepbediening = null, $turbo = null, $wielophanging_voor = null, $wielophanging_achter = null, $vering_voor = null, $vering_achter = null, $stabilisator_voor = null, $stabilisator_achter = null, $remmen_voor = null, $remmen_voor_mm = null, $remmen_achter = null, $remmen_achter_mm = null, $cw_waarde = null, $lengte = null, $breedte = null, $hoogte = null, $wielbasis = null, $spoorbreedte_voor = null, $spoorbreedte_achter = null, $draaicirkel = null, $bandenmaat_voor = null, $bandenmaat_achter = null, $massa = null, $max_toelaatbare_massa = null, $max_aanhanger_geremd = null, $max_aanhanger_ongeremd = null, $max_kogeldruk = null, $max_dakbelasting = null, $koffer_min = null, $koffer_max = null, $tankinhoud = null, $topsnelheid = null, $acceleratie = null, $verbruik_binnen_bebouwde_kom = null, $verbruik_buiten_bebouwde_kom = null, $verbruik_gecombineerd = null, $co2_uitstoot = null, $verbruik_gemiddeld = null, \StructType\CarOption $abs = null, \StructType\CarOption $remkrachtverdeling = null, \StructType\CarOption $brakeassist = null, \StructType\CarOption $tractiecontrole = null, \StructType\CarOption $sperdifferentieel = null, \StructType\CarOption $stabiliteitsregeling = null, \StructType\CarOption $regelbare_schokdemping = null, \StructType\CarOption $niveauregeling = null, \StructType\CarOption $airbag_bestuurder = null, \StructType\CarOption $airbag_passagier = null, \StructType\CarOption $airbag_opzijvoor = null, \StructType\CarOption $airbag_opzijachter = null, \StructType\CarOption $airbag_hoofdvoor = null, \StructType\CarOption $airbag_hoofdachter = null, \StructType\CarOption $gordelspanners = null, \StructType\CarOption $verstelbare_gordelhoogte = null, \StructType\CarOption $startonderbreker = null, \StructType\CarOption $inbraakalarm = null, \StructType\CarOption $centrale_deurvergrendeling = null, \StructType\CarOption $afstandbediening_deurvergrendeling = null, \StructType\CarOption $automatische_vergrendeling = null, \StructType\CarOption $keyless_entry = null, \StructType\CarOption $elektrische_ramen_voor = null, \StructType\CarOption $elektrische_ramen_achter = null, \StructType\CarOption $stuurbekrachtiging = null, \StructType\CarOption $stuurschakeling = null, \StructType\CarOption $cruise_control = null, \StructType\CarOption $radar_cruise_control = null, \StructType\CarOption $airconditioning = null, \StructType\CarOption $klimaatregeling = null, \StructType\CarOption $gescheiden_temperatuurregeling = null, \StructType\CarOption $pollenfilter = null, \StructType\CarOption $parkeersensor = null, \StructType\CarOption $hoofdsteunen_voor = null, \StructType\CarOption $hoofdsteunen_achter = null, \StructType\CarOption $verstelbare_hoofdsteunen_achter = null, \StructType\CarOption $derde_hoofdsteun_achter = null, \StructType\CarOption $derde_driepuntsgordel_achter = null, \StructType\CarOption $verstelbare_lendensteun_bestuurder = null, \StructType\CarOption $verstelbare_lendensteun_passagier = null, \StructType\CarOption $hoogteverstelling_bestuurder = null, \StructType\CarOption $hoogteverstelling_passagier = null, \StructType\CarOption $elektrische_stoelverstelling = null, \StructType\CarOption $geheugen_stoelverstelling = null, \StructType\CarOption $verwarmde_zitplaatsen_voor = null, \StructType\CarOption $verwarmde_zitplaatsen_achter = null, \StructType\CarOption $sportstoelen = null, \StructType\CarOption $bekledingstof_leer = null, \StructType\CarOption $lerenbekleding = null, \StructType\CarOption $hoogteverstelling_stuur = null, \StructType\CarOption $diepteverstelling_stuur = null, \StructType\CarOption $elektrische_stuurverstelling = null, \StructType\CarOption $leer_bekleed_stuur = null, \StructType\CarOption $middenarmsteun_voor = null, \StructType\CarOption $middenarmsteun_achter = null, \StructType\CarOption $neerklapbare_achterbank = null, \StructType\CarOption $in_delen_neerklapbaar_achterbank = null, \StructType\CarOption $opbergvak_linkerportier = null, \StructType\CarOption $bekerhouder_voor = null, \StructType\CarOption $bekerhouder_achter = null, \StructType\CarOption $zonnescherm_achterruit = null, \StructType\CarOption $dagteller = null, \StructType\CarOption $toerenteller = null, \StructType\CarOption $temperatuurmeter = null, \StructType\CarOption $oliepeilmeter = null, \StructType\CarOption $oliedrukmeter = null, \StructType\CarOption $olietemperatuurmeter = null, \StructType\CarOption $voltmeter = null, \StructType\CarOption $verbruiksmeter = null, \StructType\CarOption $turbodrukmeter = null, \StructType\CarOption $buitentemperatuurmeter = null, \StructType\CarOption $klokje = null, \StructType\CarOption $boardcomputer = null, \StructType\CarOption $luidsprekers = null, \StructType\CarOption $stereoinstallatie = null, \StructType\CarOption $cdspeler = null, \StructType\CarOption $cdwisselaar = null, \StructType\CarOption $audiostuurbediening = null, \StructType\CarOption $bandenspanningssensor = null, \StructType\CarOption $navigatiesysteem = null, \StructType\CarOption $televisie = null, \StructType\CarOption $telefoonvoorbereiding = null, \StructType\CarOption $telefoon = null, \StructType\CarOption $intervalruitenwisser = null, \StructType\CarOption $regelbare_interval = null, \StructType\CarOption $regensensor = null, \StructType\CarOption $ruitenwisser_achter = null, \StructType\CarOption $achterruitverwarming = null, \StructType\CarOption $voorruitverwarming = null, \StructType\CarOption $verwarmde_ruitensproeiers = null, \StructType\CarOption $gelaagde_voorruit = null, \StructType\CarOption $getintglas = null, \StructType\CarOption $schuifdak = null, \StructType\CarOption $elektrisch_schuifdak = null, \StructType\CarOption $beschermstrips_opzij = null, \StructType\CarOption $bumpers_meegespoten = null, \StructType\CarOption $metallic_lak = null, \StructType\CarOption $lichtmetalen_velgen = null, \StructType\CarOption $rechter_buitenspiegel = null, \StructType\CarOption $binnenuit_verstelbare_buitenspiegel = null, \StructType\CarOption $elektrische_spiegels = null, \StructType\CarOption $verwarmde_spiegels = null, \StructType\CarOption $inklapbare_spiegels = null, \StructType\CarOption $meegespoten_spiegels = null, \StructType\CarOption $dodehoekspiegel_bestuurder = null, \StructType\CarOption $dimmende_binnenspiegel = null, \StructType\CarOption $dimmende_buitenspiegel = null, \StructType\CarOption $dakrails = null, \StructType\CarOption $binnenuit_te_openen_tankklep = null, \StructType\CarOption $binnenuit_te_openen_bagageklep = null, \StructType\CarOption $op_afstand_te_openen_bagageklep = null, \StructType\CarOption $halogeen_koplampen = null, \StructType\CarOption $xenon_koplampen = null, \StructType\CarOption $verstelbare_koplampen = null, \StructType\CarOption $koplampsproeiers = null, \StructType\CarOption $automatisch_inschakelende_koplampen = null, \StructType\CarOption $verstralers = null, \StructType\CarOption $mistlampen_voor = null, \StructType\CarOption $mistlampen_achter = null, \StructType\CarOption $zoemer_vergeten_verlichting = null, \StructType\CarOption $verlichte_bagageruimte = null, \StructType\CarOption $verlichte_motorruimte = null, \StructType\CarOption $verlicht_dashboardkastje = null, \StructType\CarOption $regelbare_dashboardverlichting = null, \StructType\CarOption $leeslampje_voor = null, \StructType\CarOption $leeslampje_achter = null, \StructType\CarOption $verlichte_makeupspiegel = null, \StructType\CarOption $vertraging_interieurverlichting = null, \StructType\CarOption $portierverlichting = null)
    {
        $this
            ->setCar_id($car_id)
            ->setMerk($merk)
            ->setSerie($serie)
            ->setSerie_jaar_van($serie_jaar_van)
            ->setSerie_jaar_tot($serie_jaar_tot)
            ->setModel($model)
            ->setModel_maand_van($model_maand_van)
            ->setModel_jaar_van($model_jaar_van)
            ->setModel_maand_tot($model_maand_tot)
            ->setModel_jaar_tot($model_jaar_tot)
            ->setBelasting_min($belasting_min)
            ->setBelasting_max($belasting_max)
            ->setAlgemene_garantie($algemene_garantie)
            ->setAlgemene_garantie_km($algemene_garantie_km)
            ->setCarrosserie_garantie($carrosserie_garantie)
            ->setDeuren($deuren)
            ->setCarrosserietype($carrosserietype)
            ->setAantal_versnellingen($aantal_versnellingen)
            ->setSoort_schakeling($soort_schakeling)
            ->setAandrijving($aandrijving)
            ->setBrandstoftype($brandstoftype)
            ->setAantal_cilinders($aantal_cilinders)
            ->setBouwwijze($bouwwijze)
            ->setKleppen_per_cilinder($kleppen_per_cilinder)
            ->setCilinderinhoud($cilinderinhoud)
            ->setBoring($boring)
            ->setSlag($slag)
            ->setCompressieverhouding($compressieverhouding)
            ->setVermogen_kw($vermogen_kw)
            ->setVermogen_pk($vermogen_pk)
            ->setVermogen_tpm($vermogen_tpm)
            ->setKoppel($koppel)
            ->setKoppel_tpm($koppel_tpm)
            ->setKatalysator($katalysator)
            ->setBrandstofsysteem($brandstofsysteem)
            ->setKlepbediening($klepbediening)
            ->setTurbo($turbo)
            ->setWielophanging_voor($wielophanging_voor)
            ->setWielophanging_achter($wielophanging_achter)
            ->setVering_voor($vering_voor)
            ->setVering_achter($vering_achter)
            ->setStabilisator_voor($stabilisator_voor)
            ->setStabilisator_achter($stabilisator_achter)
            ->setRemmen_voor($remmen_voor)
            ->setRemmen_voor_mm($remmen_voor_mm)
            ->setRemmen_achter($remmen_achter)
            ->setRemmen_achter_mm($remmen_achter_mm)
            ->setCw_waarde($cw_waarde)
            ->setLengte($lengte)
            ->setBreedte($breedte)
            ->setHoogte($hoogte)
            ->setWielbasis($wielbasis)
            ->setSpoorbreedte_voor($spoorbreedte_voor)
            ->setSpoorbreedte_achter($spoorbreedte_achter)
            ->setDraaicirkel($draaicirkel)
            ->setBandenmaat_voor($bandenmaat_voor)
            ->setBandenmaat_achter($bandenmaat_achter)
            ->setMassa($massa)
            ->setMax_toelaatbare_massa($max_toelaatbare_massa)
            ->setMax_aanhanger_geremd($max_aanhanger_geremd)
            ->setMax_aanhanger_ongeremd($max_aanhanger_ongeremd)
            ->setMax_kogeldruk($max_kogeldruk)
            ->setMax_dakbelasting($max_dakbelasting)
            ->setKoffer_min($koffer_min)
            ->setKoffer_max($koffer_max)
            ->setTankinhoud($tankinhoud)
            ->setTopsnelheid($topsnelheid)
            ->setAcceleratie($acceleratie)
            ->setVerbruik_binnen_bebouwde_kom($verbruik_binnen_bebouwde_kom)
            ->setVerbruik_buiten_bebouwde_kom($verbruik_buiten_bebouwde_kom)
            ->setVerbruik_gecombineerd($verbruik_gecombineerd)
            ->setCo2_uitstoot($co2_uitstoot)
            ->setVerbruik_gemiddeld($verbruik_gemiddeld)
            ->setAbs($abs)
            ->setRemkrachtverdeling($remkrachtverdeling)
            ->setBrakeassist($brakeassist)
            ->setTractiecontrole($tractiecontrole)
            ->setSperdifferentieel($sperdifferentieel)
            ->setStabiliteitsregeling($stabiliteitsregeling)
            ->setRegelbare_schokdemping($regelbare_schokdemping)
            ->setNiveauregeling($niveauregeling)
            ->setAirbag_bestuurder($airbag_bestuurder)
            ->setAirbag_passagier($airbag_passagier)
            ->setAirbag_opzijvoor($airbag_opzijvoor)
            ->setAirbag_opzijachter($airbag_opzijachter)
            ->setAirbag_hoofdvoor($airbag_hoofdvoor)
            ->setAirbag_hoofdachter($airbag_hoofdachter)
            ->setGordelspanners($gordelspanners)
            ->setVerstelbare_gordelhoogte($verstelbare_gordelhoogte)
            ->setStartonderbreker($startonderbreker)
            ->setInbraakalarm($inbraakalarm)
            ->setCentrale_deurvergrendeling($centrale_deurvergrendeling)
            ->setAfstandbediening_deurvergrendeling($afstandbediening_deurvergrendeling)
            ->setAutomatische_vergrendeling($automatische_vergrendeling)
            ->setKeyless_entry($keyless_entry)
            ->setElektrische_ramen_voor($elektrische_ramen_voor)
            ->setElektrische_ramen_achter($elektrische_ramen_achter)
            ->setStuurbekrachtiging($stuurbekrachtiging)
            ->setStuurschakeling($stuurschakeling)
            ->setCruise_control($cruise_control)
            ->setRadar_cruise_control($radar_cruise_control)
            ->setAirconditioning($airconditioning)
            ->setKlimaatregeling($klimaatregeling)
            ->setGescheiden_temperatuurregeling($gescheiden_temperatuurregeling)
            ->setPollenfilter($pollenfilter)
            ->setParkeersensor($parkeersensor)
            ->setHoofdsteunen_voor($hoofdsteunen_voor)
            ->setHoofdsteunen_achter($hoofdsteunen_achter)
            ->setVerstelbare_hoofdsteunen_achter($verstelbare_hoofdsteunen_achter)
            ->setDerde_hoofdsteun_achter($derde_hoofdsteun_achter)
            ->setDerde_driepuntsgordel_achter($derde_driepuntsgordel_achter)
            ->setVerstelbare_lendensteun_bestuurder($verstelbare_lendensteun_bestuurder)
            ->setVerstelbare_lendensteun_passagier($verstelbare_lendensteun_passagier)
            ->setHoogteverstelling_bestuurder($hoogteverstelling_bestuurder)
            ->setHoogteverstelling_passagier($hoogteverstelling_passagier)
            ->setElektrische_stoelverstelling($elektrische_stoelverstelling)
            ->setGeheugen_stoelverstelling($geheugen_stoelverstelling)
            ->setVerwarmde_zitplaatsen_voor($verwarmde_zitplaatsen_voor)
            ->setVerwarmde_zitplaatsen_achter($verwarmde_zitplaatsen_achter)
            ->setSportstoelen($sportstoelen)
            ->setBekledingstof_leer($bekledingstof_leer)
            ->setLerenbekleding($lerenbekleding)
            ->setHoogteverstelling_stuur($hoogteverstelling_stuur)
            ->setDiepteverstelling_stuur($diepteverstelling_stuur)
            ->setElektrische_stuurverstelling($elektrische_stuurverstelling)
            ->setLeer_bekleed_stuur($leer_bekleed_stuur)
            ->setMiddenarmsteun_voor($middenarmsteun_voor)
            ->setMiddenarmsteun_achter($middenarmsteun_achter)
            ->setNeerklapbare_achterbank($neerklapbare_achterbank)
            ->setIn_delen_neerklapbaar_achterbank($in_delen_neerklapbaar_achterbank)
            ->setOpbergvak_linkerportier($opbergvak_linkerportier)
            ->setBekerhouder_voor($bekerhouder_voor)
            ->setBekerhouder_achter($bekerhouder_achter)
            ->setZonnescherm_achterruit($zonnescherm_achterruit)
            ->setDagteller($dagteller)
            ->setToerenteller($toerenteller)
            ->setTemperatuurmeter($temperatuurmeter)
            ->setOliepeilmeter($oliepeilmeter)
            ->setOliedrukmeter($oliedrukmeter)
            ->setOlietemperatuurmeter($olietemperatuurmeter)
            ->setVoltmeter($voltmeter)
            ->setVerbruiksmeter($verbruiksmeter)
            ->setTurbodrukmeter($turbodrukmeter)
            ->setBuitentemperatuurmeter($buitentemperatuurmeter)
            ->setKlokje($klokje)
            ->setBoardcomputer($boardcomputer)
            ->setLuidsprekers($luidsprekers)
            ->setStereoinstallatie($stereoinstallatie)
            ->setCdspeler($cdspeler)
            ->setCdwisselaar($cdwisselaar)
            ->setAudiostuurbediening($audiostuurbediening)
            ->setBandenspanningssensor($bandenspanningssensor)
            ->setNavigatiesysteem($navigatiesysteem)
            ->setTelevisie($televisie)
            ->setTelefoonvoorbereiding($telefoonvoorbereiding)
            ->setTelefoon($telefoon)
            ->setIntervalruitenwisser($intervalruitenwisser)
            ->setRegelbare_interval($regelbare_interval)
            ->setRegensensor($regensensor)
            ->setRuitenwisser_achter($ruitenwisser_achter)
            ->setAchterruitverwarming($achterruitverwarming)
            ->setVoorruitverwarming($voorruitverwarming)
            ->setVerwarmde_ruitensproeiers($verwarmde_ruitensproeiers)
            ->setGelaagde_voorruit($gelaagde_voorruit)
            ->setGetintglas($getintglas)
            ->setSchuifdak($schuifdak)
            ->setElektrisch_schuifdak($elektrisch_schuifdak)
            ->setBeschermstrips_opzij($beschermstrips_opzij)
            ->setBumpers_meegespoten($bumpers_meegespoten)
            ->setMetallic_lak($metallic_lak)
            ->setLichtmetalen_velgen($lichtmetalen_velgen)
            ->setRechter_buitenspiegel($rechter_buitenspiegel)
            ->setBinnenuit_verstelbare_buitenspiegel($binnenuit_verstelbare_buitenspiegel)
            ->setElektrische_spiegels($elektrische_spiegels)
            ->setVerwarmde_spiegels($verwarmde_spiegels)
            ->setInklapbare_spiegels($inklapbare_spiegels)
            ->setMeegespoten_spiegels($meegespoten_spiegels)
            ->setDodehoekspiegel_bestuurder($dodehoekspiegel_bestuurder)
            ->setDimmende_binnenspiegel($dimmende_binnenspiegel)
            ->setDimmende_buitenspiegel($dimmende_buitenspiegel)
            ->setDakrails($dakrails)
            ->setBinnenuit_te_openen_tankklep($binnenuit_te_openen_tankklep)
            ->setBinnenuit_te_openen_bagageklep($binnenuit_te_openen_bagageklep)
            ->setOp_afstand_te_openen_bagageklep($op_afstand_te_openen_bagageklep)
            ->setHalogeen_koplampen($halogeen_koplampen)
            ->setXenon_koplampen($xenon_koplampen)
            ->setVerstelbare_koplampen($verstelbare_koplampen)
            ->setKoplampsproeiers($koplampsproeiers)
            ->setAutomatisch_inschakelende_koplampen($automatisch_inschakelende_koplampen)
            ->setVerstralers($verstralers)
            ->setMistlampen_voor($mistlampen_voor)
            ->setMistlampen_achter($mistlampen_achter)
            ->setZoemer_vergeten_verlichting($zoemer_vergeten_verlichting)
            ->setVerlichte_bagageruimte($verlichte_bagageruimte)
            ->setVerlichte_motorruimte($verlichte_motorruimte)
            ->setVerlicht_dashboardkastje($verlicht_dashboardkastje)
            ->setRegelbare_dashboardverlichting($regelbare_dashboardverlichting)
            ->setLeeslampje_voor($leeslampje_voor)
            ->setLeeslampje_achter($leeslampje_achter)
            ->setVerlichte_makeupspiegel($verlichte_makeupspiegel)
            ->setVertraging_interieurverlichting($vertraging_interieurverlichting)
            ->setPortierverlichting($portierverlichting);
    }
    /**
     * Get car_id value
     * @return string|null
     */
    public function getCar_id()
    {
        return $this->car_id;
    }
    /**
     * Set car_id value
     * @param string $car_id
     * @return \StructType\CarOptions
     */
    public function setCar_id($car_id = null)
    {
        // validation for constraint: string
        if (!is_null($car_id) && !is_string($car_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($car_id, true), gettype($car_id)), __LINE__);
        }
        $this->car_id = $car_id;
        return $this;
    }
    /**
     * Get merk value
     * @return string|null
     */
    public function getMerk()
    {
        return $this->merk;
    }
    /**
     * Set merk value
     * @param string $merk
     * @return \StructType\CarOptions
     */
    public function setMerk($merk = null)
    {
        // validation for constraint: string
        if (!is_null($merk) && !is_string($merk)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($merk, true), gettype($merk)), __LINE__);
        }
        $this->merk = $merk;
        return $this;
    }
    /**
     * Get serie value
     * @return string|null
     */
    public function getSerie()
    {
        return $this->serie;
    }
    /**
     * Set serie value
     * @param string $serie
     * @return \StructType\CarOptions
     */
    public function setSerie($serie = null)
    {
        // validation for constraint: string
        if (!is_null($serie) && !is_string($serie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($serie, true), gettype($serie)), __LINE__);
        }
        $this->serie = $serie;
        return $this;
    }
    /**
     * Get serie_jaar_van value
     * @return int|null
     */
    public function getSerie_jaar_van()
    {
        return $this->serie_jaar_van;
    }
    /**
     * Set serie_jaar_van value
     * @param int $serie_jaar_van
     * @return \StructType\CarOptions
     */
    public function setSerie_jaar_van($serie_jaar_van = null)
    {
        // validation for constraint: int
        if (!is_null($serie_jaar_van) && !(is_int($serie_jaar_van) || ctype_digit($serie_jaar_van))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($serie_jaar_van, true), gettype($serie_jaar_van)), __LINE__);
        }
        $this->serie_jaar_van = $serie_jaar_van;
        return $this;
    }
    /**
     * Get serie_jaar_tot value
     * @return int|null
     */
    public function getSerie_jaar_tot()
    {
        return $this->serie_jaar_tot;
    }
    /**
     * Set serie_jaar_tot value
     * @param int $serie_jaar_tot
     * @return \StructType\CarOptions
     */
    public function setSerie_jaar_tot($serie_jaar_tot = null)
    {
        // validation for constraint: int
        if (!is_null($serie_jaar_tot) && !(is_int($serie_jaar_tot) || ctype_digit($serie_jaar_tot))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($serie_jaar_tot, true), gettype($serie_jaar_tot)), __LINE__);
        }
        $this->serie_jaar_tot = $serie_jaar_tot;
        return $this;
    }
    /**
     * Get model value
     * @return string|null
     */
    public function getModel()
    {
        return $this->model;
    }
    /**
     * Set model value
     * @param string $model
     * @return \StructType\CarOptions
     */
    public function setModel($model = null)
    {
        // validation for constraint: string
        if (!is_null($model) && !is_string($model)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($model, true), gettype($model)), __LINE__);
        }
        $this->model = $model;
        return $this;
    }
    /**
     * Get model_maand_van value
     * @return int|null
     */
    public function getModel_maand_van()
    {
        return $this->model_maand_van;
    }
    /**
     * Set model_maand_van value
     * @param int $model_maand_van
     * @return \StructType\CarOptions
     */
    public function setModel_maand_van($model_maand_van = null)
    {
        // validation for constraint: int
        if (!is_null($model_maand_van) && !(is_int($model_maand_van) || ctype_digit($model_maand_van))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($model_maand_van, true), gettype($model_maand_van)), __LINE__);
        }
        $this->model_maand_van = $model_maand_van;
        return $this;
    }
    /**
     * Get model_jaar_van value
     * @return int|null
     */
    public function getModel_jaar_van()
    {
        return $this->model_jaar_van;
    }
    /**
     * Set model_jaar_van value
     * @param int $model_jaar_van
     * @return \StructType\CarOptions
     */
    public function setModel_jaar_van($model_jaar_van = null)
    {
        // validation for constraint: int
        if (!is_null($model_jaar_van) && !(is_int($model_jaar_van) || ctype_digit($model_jaar_van))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($model_jaar_van, true), gettype($model_jaar_van)), __LINE__);
        }
        $this->model_jaar_van = $model_jaar_van;
        return $this;
    }
    /**
     * Get model_maand_tot value
     * @return int|null
     */
    public function getModel_maand_tot()
    {
        return $this->model_maand_tot;
    }
    /**
     * Set model_maand_tot value
     * @param int $model_maand_tot
     * @return \StructType\CarOptions
     */
    public function setModel_maand_tot($model_maand_tot = null)
    {
        // validation for constraint: int
        if (!is_null($model_maand_tot) && !(is_int($model_maand_tot) || ctype_digit($model_maand_tot))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($model_maand_tot, true), gettype($model_maand_tot)), __LINE__);
        }
        $this->model_maand_tot = $model_maand_tot;
        return $this;
    }
    /**
     * Get model_jaar_tot value
     * @return int|null
     */
    public function getModel_jaar_tot()
    {
        return $this->model_jaar_tot;
    }
    /**
     * Set model_jaar_tot value
     * @param int $model_jaar_tot
     * @return \StructType\CarOptions
     */
    public function setModel_jaar_tot($model_jaar_tot = null)
    {
        // validation for constraint: int
        if (!is_null($model_jaar_tot) && !(is_int($model_jaar_tot) || ctype_digit($model_jaar_tot))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($model_jaar_tot, true), gettype($model_jaar_tot)), __LINE__);
        }
        $this->model_jaar_tot = $model_jaar_tot;
        return $this;
    }
    /**
     * Get belasting_min value
     * @return string|null
     */
    public function getBelasting_min()
    {
        return $this->belasting_min;
    }
    /**
     * Set belasting_min value
     * @param string $belasting_min
     * @return \StructType\CarOptions
     */
    public function setBelasting_min($belasting_min = null)
    {
        // validation for constraint: string
        if (!is_null($belasting_min) && !is_string($belasting_min)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($belasting_min, true), gettype($belasting_min)), __LINE__);
        }
        $this->belasting_min = $belasting_min;
        return $this;
    }
    /**
     * Get belasting_max value
     * @return string|null
     */
    public function getBelasting_max()
    {
        return $this->belasting_max;
    }
    /**
     * Set belasting_max value
     * @param string $belasting_max
     * @return \StructType\CarOptions
     */
    public function setBelasting_max($belasting_max = null)
    {
        // validation for constraint: string
        if (!is_null($belasting_max) && !is_string($belasting_max)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($belasting_max, true), gettype($belasting_max)), __LINE__);
        }
        $this->belasting_max = $belasting_max;
        return $this;
    }
    /**
     * Get algemene_garantie value
     * @return string|null
     */
    public function getAlgemene_garantie()
    {
        return $this->algemene_garantie;
    }
    /**
     * Set algemene_garantie value
     * @param string $algemene_garantie
     * @return \StructType\CarOptions
     */
    public function setAlgemene_garantie($algemene_garantie = null)
    {
        // validation for constraint: string
        if (!is_null($algemene_garantie) && !is_string($algemene_garantie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($algemene_garantie, true), gettype($algemene_garantie)), __LINE__);
        }
        $this->algemene_garantie = $algemene_garantie;
        return $this;
    }
    /**
     * Get algemene_garantie_km value
     * @return string|null
     */
    public function getAlgemene_garantie_km()
    {
        return $this->algemene_garantie_km;
    }
    /**
     * Set algemene_garantie_km value
     * @param string $algemene_garantie_km
     * @return \StructType\CarOptions
     */
    public function setAlgemene_garantie_km($algemene_garantie_km = null)
    {
        // validation for constraint: string
        if (!is_null($algemene_garantie_km) && !is_string($algemene_garantie_km)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($algemene_garantie_km, true), gettype($algemene_garantie_km)), __LINE__);
        }
        $this->algemene_garantie_km = $algemene_garantie_km;
        return $this;
    }
    /**
     * Get carrosserie_garantie value
     * @return string|null
     */
    public function getCarrosserie_garantie()
    {
        return $this->carrosserie_garantie;
    }
    /**
     * Set carrosserie_garantie value
     * @param string $carrosserie_garantie
     * @return \StructType\CarOptions
     */
    public function setCarrosserie_garantie($carrosserie_garantie = null)
    {
        // validation for constraint: string
        if (!is_null($carrosserie_garantie) && !is_string($carrosserie_garantie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($carrosserie_garantie, true), gettype($carrosserie_garantie)), __LINE__);
        }
        $this->carrosserie_garantie = $carrosserie_garantie;
        return $this;
    }
    /**
     * Get deuren value
     * @return string|null
     */
    public function getDeuren()
    {
        return $this->deuren;
    }
    /**
     * Set deuren value
     * @param string $deuren
     * @return \StructType\CarOptions
     */
    public function setDeuren($deuren = null)
    {
        // validation for constraint: string
        if (!is_null($deuren) && !is_string($deuren)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deuren, true), gettype($deuren)), __LINE__);
        }
        $this->deuren = $deuren;
        return $this;
    }
    /**
     * Get carrosserietype value
     * @return string|null
     */
    public function getCarrosserietype()
    {
        return $this->carrosserietype;
    }
    /**
     * Set carrosserietype value
     * @param string $carrosserietype
     * @return \StructType\CarOptions
     */
    public function setCarrosserietype($carrosserietype = null)
    {
        // validation for constraint: string
        if (!is_null($carrosserietype) && !is_string($carrosserietype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($carrosserietype, true), gettype($carrosserietype)), __LINE__);
        }
        $this->carrosserietype = $carrosserietype;
        return $this;
    }
    /**
     * Get aantal_versnellingen value
     * @return string|null
     */
    public function getAantal_versnellingen()
    {
        return $this->aantal_versnellingen;
    }
    /**
     * Set aantal_versnellingen value
     * @param string $aantal_versnellingen
     * @return \StructType\CarOptions
     */
    public function setAantal_versnellingen($aantal_versnellingen = null)
    {
        // validation for constraint: string
        if (!is_null($aantal_versnellingen) && !is_string($aantal_versnellingen)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aantal_versnellingen, true), gettype($aantal_versnellingen)), __LINE__);
        }
        $this->aantal_versnellingen = $aantal_versnellingen;
        return $this;
    }
    /**
     * Get soort_schakeling value
     * @return string|null
     */
    public function getSoort_schakeling()
    {
        return $this->soort_schakeling;
    }
    /**
     * Set soort_schakeling value
     * @param string $soort_schakeling
     * @return \StructType\CarOptions
     */
    public function setSoort_schakeling($soort_schakeling = null)
    {
        // validation for constraint: string
        if (!is_null($soort_schakeling) && !is_string($soort_schakeling)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($soort_schakeling, true), gettype($soort_schakeling)), __LINE__);
        }
        $this->soort_schakeling = $soort_schakeling;
        return $this;
    }
    /**
     * Get aandrijving value
     * @return string|null
     */
    public function getAandrijving()
    {
        return $this->aandrijving;
    }
    /**
     * Set aandrijving value
     * @param string $aandrijving
     * @return \StructType\CarOptions
     */
    public function setAandrijving($aandrijving = null)
    {
        // validation for constraint: string
        if (!is_null($aandrijving) && !is_string($aandrijving)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aandrijving, true), gettype($aandrijving)), __LINE__);
        }
        $this->aandrijving = $aandrijving;
        return $this;
    }
    /**
     * Get brandstoftype value
     * @return string|null
     */
    public function getBrandstoftype()
    {
        return $this->brandstoftype;
    }
    /**
     * Set brandstoftype value
     * @param string $brandstoftype
     * @return \StructType\CarOptions
     */
    public function setBrandstoftype($brandstoftype = null)
    {
        // validation for constraint: string
        if (!is_null($brandstoftype) && !is_string($brandstoftype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($brandstoftype, true), gettype($brandstoftype)), __LINE__);
        }
        $this->brandstoftype = $brandstoftype;
        return $this;
    }
    /**
     * Get aantal_cilinders value
     * @return string|null
     */
    public function getAantal_cilinders()
    {
        return $this->aantal_cilinders;
    }
    /**
     * Set aantal_cilinders value
     * @param string $aantal_cilinders
     * @return \StructType\CarOptions
     */
    public function setAantal_cilinders($aantal_cilinders = null)
    {
        // validation for constraint: string
        if (!is_null($aantal_cilinders) && !is_string($aantal_cilinders)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aantal_cilinders, true), gettype($aantal_cilinders)), __LINE__);
        }
        $this->aantal_cilinders = $aantal_cilinders;
        return $this;
    }
    /**
     * Get bouwwijze value
     * @return string|null
     */
    public function getBouwwijze()
    {
        return $this->bouwwijze;
    }
    /**
     * Set bouwwijze value
     * @param string $bouwwijze
     * @return \StructType\CarOptions
     */
    public function setBouwwijze($bouwwijze = null)
    {
        // validation for constraint: string
        if (!is_null($bouwwijze) && !is_string($bouwwijze)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bouwwijze, true), gettype($bouwwijze)), __LINE__);
        }
        $this->bouwwijze = $bouwwijze;
        return $this;
    }
    /**
     * Get kleppen_per_cilinder value
     * @return string|null
     */
    public function getKleppen_per_cilinder()
    {
        return $this->kleppen_per_cilinder;
    }
    /**
     * Set kleppen_per_cilinder value
     * @param string $kleppen_per_cilinder
     * @return \StructType\CarOptions
     */
    public function setKleppen_per_cilinder($kleppen_per_cilinder = null)
    {
        // validation for constraint: string
        if (!is_null($kleppen_per_cilinder) && !is_string($kleppen_per_cilinder)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kleppen_per_cilinder, true), gettype($kleppen_per_cilinder)), __LINE__);
        }
        $this->kleppen_per_cilinder = $kleppen_per_cilinder;
        return $this;
    }
    /**
     * Get cilinderinhoud value
     * @return string|null
     */
    public function getCilinderinhoud()
    {
        return $this->cilinderinhoud;
    }
    /**
     * Set cilinderinhoud value
     * @param string $cilinderinhoud
     * @return \StructType\CarOptions
     */
    public function setCilinderinhoud($cilinderinhoud = null)
    {
        // validation for constraint: string
        if (!is_null($cilinderinhoud) && !is_string($cilinderinhoud)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cilinderinhoud, true), gettype($cilinderinhoud)), __LINE__);
        }
        $this->cilinderinhoud = $cilinderinhoud;
        return $this;
    }
    /**
     * Get boring value
     * @return string|null
     */
    public function getBoring()
    {
        return $this->boring;
    }
    /**
     * Set boring value
     * @param string $boring
     * @return \StructType\CarOptions
     */
    public function setBoring($boring = null)
    {
        // validation for constraint: string
        if (!is_null($boring) && !is_string($boring)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($boring, true), gettype($boring)), __LINE__);
        }
        $this->boring = $boring;
        return $this;
    }
    /**
     * Get slag value
     * @return string|null
     */
    public function getSlag()
    {
        return $this->slag;
    }
    /**
     * Set slag value
     * @param string $slag
     * @return \StructType\CarOptions
     */
    public function setSlag($slag = null)
    {
        // validation for constraint: string
        if (!is_null($slag) && !is_string($slag)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($slag, true), gettype($slag)), __LINE__);
        }
        $this->slag = $slag;
        return $this;
    }
    /**
     * Get compressieverhouding value
     * @return string|null
     */
    public function getCompressieverhouding()
    {
        return $this->compressieverhouding;
    }
    /**
     * Set compressieverhouding value
     * @param string $compressieverhouding
     * @return \StructType\CarOptions
     */
    public function setCompressieverhouding($compressieverhouding = null)
    {
        // validation for constraint: string
        if (!is_null($compressieverhouding) && !is_string($compressieverhouding)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($compressieverhouding, true), gettype($compressieverhouding)), __LINE__);
        }
        $this->compressieverhouding = $compressieverhouding;
        return $this;
    }
    /**
     * Get vermogen_kw value
     * @return string|null
     */
    public function getVermogen_kw()
    {
        return $this->vermogen_kw;
    }
    /**
     * Set vermogen_kw value
     * @param string $vermogen_kw
     * @return \StructType\CarOptions
     */
    public function setVermogen_kw($vermogen_kw = null)
    {
        // validation for constraint: string
        if (!is_null($vermogen_kw) && !is_string($vermogen_kw)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vermogen_kw, true), gettype($vermogen_kw)), __LINE__);
        }
        $this->vermogen_kw = $vermogen_kw;
        return $this;
    }
    /**
     * Get vermogen_pk value
     * @return string|null
     */
    public function getVermogen_pk()
    {
        return $this->vermogen_pk;
    }
    /**
     * Set vermogen_pk value
     * @param string $vermogen_pk
     * @return \StructType\CarOptions
     */
    public function setVermogen_pk($vermogen_pk = null)
    {
        // validation for constraint: string
        if (!is_null($vermogen_pk) && !is_string($vermogen_pk)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vermogen_pk, true), gettype($vermogen_pk)), __LINE__);
        }
        $this->vermogen_pk = $vermogen_pk;
        return $this;
    }
    /**
     * Get vermogen_tpm value
     * @return string|null
     */
    public function getVermogen_tpm()
    {
        return $this->vermogen_tpm;
    }
    /**
     * Set vermogen_tpm value
     * @param string $vermogen_tpm
     * @return \StructType\CarOptions
     */
    public function setVermogen_tpm($vermogen_tpm = null)
    {
        // validation for constraint: string
        if (!is_null($vermogen_tpm) && !is_string($vermogen_tpm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vermogen_tpm, true), gettype($vermogen_tpm)), __LINE__);
        }
        $this->vermogen_tpm = $vermogen_tpm;
        return $this;
    }
    /**
     * Get koppel value
     * @return string|null
     */
    public function getKoppel()
    {
        return $this->koppel;
    }
    /**
     * Set koppel value
     * @param string $koppel
     * @return \StructType\CarOptions
     */
    public function setKoppel($koppel = null)
    {
        // validation for constraint: string
        if (!is_null($koppel) && !is_string($koppel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($koppel, true), gettype($koppel)), __LINE__);
        }
        $this->koppel = $koppel;
        return $this;
    }
    /**
     * Get koppel_tpm value
     * @return string|null
     */
    public function getKoppel_tpm()
    {
        return $this->koppel_tpm;
    }
    /**
     * Set koppel_tpm value
     * @param string $koppel_tpm
     * @return \StructType\CarOptions
     */
    public function setKoppel_tpm($koppel_tpm = null)
    {
        // validation for constraint: string
        if (!is_null($koppel_tpm) && !is_string($koppel_tpm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($koppel_tpm, true), gettype($koppel_tpm)), __LINE__);
        }
        $this->koppel_tpm = $koppel_tpm;
        return $this;
    }
    /**
     * Get katalysator value
     * @return string|null
     */
    public function getKatalysator()
    {
        return $this->katalysator;
    }
    /**
     * Set katalysator value
     * @param string $katalysator
     * @return \StructType\CarOptions
     */
    public function setKatalysator($katalysator = null)
    {
        // validation for constraint: string
        if (!is_null($katalysator) && !is_string($katalysator)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($katalysator, true), gettype($katalysator)), __LINE__);
        }
        $this->katalysator = $katalysator;
        return $this;
    }
    /**
     * Get brandstofsysteem value
     * @return string|null
     */
    public function getBrandstofsysteem()
    {
        return $this->brandstofsysteem;
    }
    /**
     * Set brandstofsysteem value
     * @param string $brandstofsysteem
     * @return \StructType\CarOptions
     */
    public function setBrandstofsysteem($brandstofsysteem = null)
    {
        // validation for constraint: string
        if (!is_null($brandstofsysteem) && !is_string($brandstofsysteem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($brandstofsysteem, true), gettype($brandstofsysteem)), __LINE__);
        }
        $this->brandstofsysteem = $brandstofsysteem;
        return $this;
    }
    /**
     * Get klepbediening value
     * @return string|null
     */
    public function getKlepbediening()
    {
        return $this->klepbediening;
    }
    /**
     * Set klepbediening value
     * @param string $klepbediening
     * @return \StructType\CarOptions
     */
    public function setKlepbediening($klepbediening = null)
    {
        // validation for constraint: string
        if (!is_null($klepbediening) && !is_string($klepbediening)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($klepbediening, true), gettype($klepbediening)), __LINE__);
        }
        $this->klepbediening = $klepbediening;
        return $this;
    }
    /**
     * Get turbo value
     * @return string|null
     */
    public function getTurbo()
    {
        return $this->turbo;
    }
    /**
     * Set turbo value
     * @param string $turbo
     * @return \StructType\CarOptions
     */
    public function setTurbo($turbo = null)
    {
        // validation for constraint: string
        if (!is_null($turbo) && !is_string($turbo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($turbo, true), gettype($turbo)), __LINE__);
        }
        $this->turbo = $turbo;
        return $this;
    }
    /**
     * Get wielophanging_voor value
     * @return string|null
     */
    public function getWielophanging_voor()
    {
        return $this->wielophanging_voor;
    }
    /**
     * Set wielophanging_voor value
     * @param string $wielophanging_voor
     * @return \StructType\CarOptions
     */
    public function setWielophanging_voor($wielophanging_voor = null)
    {
        // validation for constraint: string
        if (!is_null($wielophanging_voor) && !is_string($wielophanging_voor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($wielophanging_voor, true), gettype($wielophanging_voor)), __LINE__);
        }
        $this->wielophanging_voor = $wielophanging_voor;
        return $this;
    }
    /**
     * Get wielophanging_achter value
     * @return string|null
     */
    public function getWielophanging_achter()
    {
        return $this->wielophanging_achter;
    }
    /**
     * Set wielophanging_achter value
     * @param string $wielophanging_achter
     * @return \StructType\CarOptions
     */
    public function setWielophanging_achter($wielophanging_achter = null)
    {
        // validation for constraint: string
        if (!is_null($wielophanging_achter) && !is_string($wielophanging_achter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($wielophanging_achter, true), gettype($wielophanging_achter)), __LINE__);
        }
        $this->wielophanging_achter = $wielophanging_achter;
        return $this;
    }
    /**
     * Get vering_voor value
     * @return string|null
     */
    public function getVering_voor()
    {
        return $this->vering_voor;
    }
    /**
     * Set vering_voor value
     * @param string $vering_voor
     * @return \StructType\CarOptions
     */
    public function setVering_voor($vering_voor = null)
    {
        // validation for constraint: string
        if (!is_null($vering_voor) && !is_string($vering_voor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vering_voor, true), gettype($vering_voor)), __LINE__);
        }
        $this->vering_voor = $vering_voor;
        return $this;
    }
    /**
     * Get vering_achter value
     * @return string|null
     */
    public function getVering_achter()
    {
        return $this->vering_achter;
    }
    /**
     * Set vering_achter value
     * @param string $vering_achter
     * @return \StructType\CarOptions
     */
    public function setVering_achter($vering_achter = null)
    {
        // validation for constraint: string
        if (!is_null($vering_achter) && !is_string($vering_achter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vering_achter, true), gettype($vering_achter)), __LINE__);
        }
        $this->vering_achter = $vering_achter;
        return $this;
    }
    /**
     * Get stabilisator_voor value
     * @return string|null
     */
    public function getStabilisator_voor()
    {
        return $this->stabilisator_voor;
    }
    /**
     * Set stabilisator_voor value
     * @param string $stabilisator_voor
     * @return \StructType\CarOptions
     */
    public function setStabilisator_voor($stabilisator_voor = null)
    {
        // validation for constraint: string
        if (!is_null($stabilisator_voor) && !is_string($stabilisator_voor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($stabilisator_voor, true), gettype($stabilisator_voor)), __LINE__);
        }
        $this->stabilisator_voor = $stabilisator_voor;
        return $this;
    }
    /**
     * Get stabilisator_achter value
     * @return string|null
     */
    public function getStabilisator_achter()
    {
        return $this->stabilisator_achter;
    }
    /**
     * Set stabilisator_achter value
     * @param string $stabilisator_achter
     * @return \StructType\CarOptions
     */
    public function setStabilisator_achter($stabilisator_achter = null)
    {
        // validation for constraint: string
        if (!is_null($stabilisator_achter) && !is_string($stabilisator_achter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($stabilisator_achter, true), gettype($stabilisator_achter)), __LINE__);
        }
        $this->stabilisator_achter = $stabilisator_achter;
        return $this;
    }
    /**
     * Get remmen_voor value
     * @return string|null
     */
    public function getRemmen_voor()
    {
        return $this->remmen_voor;
    }
    /**
     * Set remmen_voor value
     * @param string $remmen_voor
     * @return \StructType\CarOptions
     */
    public function setRemmen_voor($remmen_voor = null)
    {
        // validation for constraint: string
        if (!is_null($remmen_voor) && !is_string($remmen_voor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($remmen_voor, true), gettype($remmen_voor)), __LINE__);
        }
        $this->remmen_voor = $remmen_voor;
        return $this;
    }
    /**
     * Get remmen_voor_mm value
     * @return string|null
     */
    public function getRemmen_voor_mm()
    {
        return $this->remmen_voor_mm;
    }
    /**
     * Set remmen_voor_mm value
     * @param string $remmen_voor_mm
     * @return \StructType\CarOptions
     */
    public function setRemmen_voor_mm($remmen_voor_mm = null)
    {
        // validation for constraint: string
        if (!is_null($remmen_voor_mm) && !is_string($remmen_voor_mm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($remmen_voor_mm, true), gettype($remmen_voor_mm)), __LINE__);
        }
        $this->remmen_voor_mm = $remmen_voor_mm;
        return $this;
    }
    /**
     * Get remmen_achter value
     * @return string|null
     */
    public function getRemmen_achter()
    {
        return $this->remmen_achter;
    }
    /**
     * Set remmen_achter value
     * @param string $remmen_achter
     * @return \StructType\CarOptions
     */
    public function setRemmen_achter($remmen_achter = null)
    {
        // validation for constraint: string
        if (!is_null($remmen_achter) && !is_string($remmen_achter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($remmen_achter, true), gettype($remmen_achter)), __LINE__);
        }
        $this->remmen_achter = $remmen_achter;
        return $this;
    }
    /**
     * Get remmen_achter_mm value
     * @return string|null
     */
    public function getRemmen_achter_mm()
    {
        return $this->remmen_achter_mm;
    }
    /**
     * Set remmen_achter_mm value
     * @param string $remmen_achter_mm
     * @return \StructType\CarOptions
     */
    public function setRemmen_achter_mm($remmen_achter_mm = null)
    {
        // validation for constraint: string
        if (!is_null($remmen_achter_mm) && !is_string($remmen_achter_mm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($remmen_achter_mm, true), gettype($remmen_achter_mm)), __LINE__);
        }
        $this->remmen_achter_mm = $remmen_achter_mm;
        return $this;
    }
    /**
     * Get cw_waarde value
     * @return string|null
     */
    public function getCw_waarde()
    {
        return $this->cw_waarde;
    }
    /**
     * Set cw_waarde value
     * @param string $cw_waarde
     * @return \StructType\CarOptions
     */
    public function setCw_waarde($cw_waarde = null)
    {
        // validation for constraint: string
        if (!is_null($cw_waarde) && !is_string($cw_waarde)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cw_waarde, true), gettype($cw_waarde)), __LINE__);
        }
        $this->cw_waarde = $cw_waarde;
        return $this;
    }
    /**
     * Get lengte value
     * @return string|null
     */
    public function getLengte()
    {
        return $this->lengte;
    }
    /**
     * Set lengte value
     * @param string $lengte
     * @return \StructType\CarOptions
     */
    public function setLengte($lengte = null)
    {
        // validation for constraint: string
        if (!is_null($lengte) && !is_string($lengte)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lengte, true), gettype($lengte)), __LINE__);
        }
        $this->lengte = $lengte;
        return $this;
    }
    /**
     * Get breedte value
     * @return string|null
     */
    public function getBreedte()
    {
        return $this->breedte;
    }
    /**
     * Set breedte value
     * @param string $breedte
     * @return \StructType\CarOptions
     */
    public function setBreedte($breedte = null)
    {
        // validation for constraint: string
        if (!is_null($breedte) && !is_string($breedte)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($breedte, true), gettype($breedte)), __LINE__);
        }
        $this->breedte = $breedte;
        return $this;
    }
    /**
     * Get hoogte value
     * @return string|null
     */
    public function getHoogte()
    {
        return $this->hoogte;
    }
    /**
     * Set hoogte value
     * @param string $hoogte
     * @return \StructType\CarOptions
     */
    public function setHoogte($hoogte = null)
    {
        // validation for constraint: string
        if (!is_null($hoogte) && !is_string($hoogte)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($hoogte, true), gettype($hoogte)), __LINE__);
        }
        $this->hoogte = $hoogte;
        return $this;
    }
    /**
     * Get wielbasis value
     * @return string|null
     */
    public function getWielbasis()
    {
        return $this->wielbasis;
    }
    /**
     * Set wielbasis value
     * @param string $wielbasis
     * @return \StructType\CarOptions
     */
    public function setWielbasis($wielbasis = null)
    {
        // validation for constraint: string
        if (!is_null($wielbasis) && !is_string($wielbasis)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($wielbasis, true), gettype($wielbasis)), __LINE__);
        }
        $this->wielbasis = $wielbasis;
        return $this;
    }
    /**
     * Get spoorbreedte_voor value
     * @return string|null
     */
    public function getSpoorbreedte_voor()
    {
        return $this->spoorbreedte_voor;
    }
    /**
     * Set spoorbreedte_voor value
     * @param string $spoorbreedte_voor
     * @return \StructType\CarOptions
     */
    public function setSpoorbreedte_voor($spoorbreedte_voor = null)
    {
        // validation for constraint: string
        if (!is_null($spoorbreedte_voor) && !is_string($spoorbreedte_voor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($spoorbreedte_voor, true), gettype($spoorbreedte_voor)), __LINE__);
        }
        $this->spoorbreedte_voor = $spoorbreedte_voor;
        return $this;
    }
    /**
     * Get spoorbreedte_achter value
     * @return string|null
     */
    public function getSpoorbreedte_achter()
    {
        return $this->spoorbreedte_achter;
    }
    /**
     * Set spoorbreedte_achter value
     * @param string $spoorbreedte_achter
     * @return \StructType\CarOptions
     */
    public function setSpoorbreedte_achter($spoorbreedte_achter = null)
    {
        // validation for constraint: string
        if (!is_null($spoorbreedte_achter) && !is_string($spoorbreedte_achter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($spoorbreedte_achter, true), gettype($spoorbreedte_achter)), __LINE__);
        }
        $this->spoorbreedte_achter = $spoorbreedte_achter;
        return $this;
    }
    /**
     * Get draaicirkel value
     * @return string|null
     */
    public function getDraaicirkel()
    {
        return $this->draaicirkel;
    }
    /**
     * Set draaicirkel value
     * @param string $draaicirkel
     * @return \StructType\CarOptions
     */
    public function setDraaicirkel($draaicirkel = null)
    {
        // validation for constraint: string
        if (!is_null($draaicirkel) && !is_string($draaicirkel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($draaicirkel, true), gettype($draaicirkel)), __LINE__);
        }
        $this->draaicirkel = $draaicirkel;
        return $this;
    }
    /**
     * Get bandenmaat_voor value
     * @return string|null
     */
    public function getBandenmaat_voor()
    {
        return $this->bandenmaat_voor;
    }
    /**
     * Set bandenmaat_voor value
     * @param string $bandenmaat_voor
     * @return \StructType\CarOptions
     */
    public function setBandenmaat_voor($bandenmaat_voor = null)
    {
        // validation for constraint: string
        if (!is_null($bandenmaat_voor) && !is_string($bandenmaat_voor)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bandenmaat_voor, true), gettype($bandenmaat_voor)), __LINE__);
        }
        $this->bandenmaat_voor = $bandenmaat_voor;
        return $this;
    }
    /**
     * Get bandenmaat_achter value
     * @return string|null
     */
    public function getBandenmaat_achter()
    {
        return $this->bandenmaat_achter;
    }
    /**
     * Set bandenmaat_achter value
     * @param string $bandenmaat_achter
     * @return \StructType\CarOptions
     */
    public function setBandenmaat_achter($bandenmaat_achter = null)
    {
        // validation for constraint: string
        if (!is_null($bandenmaat_achter) && !is_string($bandenmaat_achter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bandenmaat_achter, true), gettype($bandenmaat_achter)), __LINE__);
        }
        $this->bandenmaat_achter = $bandenmaat_achter;
        return $this;
    }
    /**
     * Get massa value
     * @return string|null
     */
    public function getMassa()
    {
        return $this->massa;
    }
    /**
     * Set massa value
     * @param string $massa
     * @return \StructType\CarOptions
     */
    public function setMassa($massa = null)
    {
        // validation for constraint: string
        if (!is_null($massa) && !is_string($massa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($massa, true), gettype($massa)), __LINE__);
        }
        $this->massa = $massa;
        return $this;
    }
    /**
     * Get max_toelaatbare_massa value
     * @return string|null
     */
    public function getMax_toelaatbare_massa()
    {
        return $this->max_toelaatbare_massa;
    }
    /**
     * Set max_toelaatbare_massa value
     * @param string $max_toelaatbare_massa
     * @return \StructType\CarOptions
     */
    public function setMax_toelaatbare_massa($max_toelaatbare_massa = null)
    {
        // validation for constraint: string
        if (!is_null($max_toelaatbare_massa) && !is_string($max_toelaatbare_massa)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($max_toelaatbare_massa, true), gettype($max_toelaatbare_massa)), __LINE__);
        }
        $this->max_toelaatbare_massa = $max_toelaatbare_massa;
        return $this;
    }
    /**
     * Get max_aanhanger_geremd value
     * @return string|null
     */
    public function getMax_aanhanger_geremd()
    {
        return $this->max_aanhanger_geremd;
    }
    /**
     * Set max_aanhanger_geremd value
     * @param string $max_aanhanger_geremd
     * @return \StructType\CarOptions
     */
    public function setMax_aanhanger_geremd($max_aanhanger_geremd = null)
    {
        // validation for constraint: string
        if (!is_null($max_aanhanger_geremd) && !is_string($max_aanhanger_geremd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($max_aanhanger_geremd, true), gettype($max_aanhanger_geremd)), __LINE__);
        }
        $this->max_aanhanger_geremd = $max_aanhanger_geremd;
        return $this;
    }
    /**
     * Get max_aanhanger_ongeremd value
     * @return string|null
     */
    public function getMax_aanhanger_ongeremd()
    {
        return $this->max_aanhanger_ongeremd;
    }
    /**
     * Set max_aanhanger_ongeremd value
     * @param string $max_aanhanger_ongeremd
     * @return \StructType\CarOptions
     */
    public function setMax_aanhanger_ongeremd($max_aanhanger_ongeremd = null)
    {
        // validation for constraint: string
        if (!is_null($max_aanhanger_ongeremd) && !is_string($max_aanhanger_ongeremd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($max_aanhanger_ongeremd, true), gettype($max_aanhanger_ongeremd)), __LINE__);
        }
        $this->max_aanhanger_ongeremd = $max_aanhanger_ongeremd;
        return $this;
    }
    /**
     * Get max_kogeldruk value
     * @return string|null
     */
    public function getMax_kogeldruk()
    {
        return $this->max_kogeldruk;
    }
    /**
     * Set max_kogeldruk value
     * @param string $max_kogeldruk
     * @return \StructType\CarOptions
     */
    public function setMax_kogeldruk($max_kogeldruk = null)
    {
        // validation for constraint: string
        if (!is_null($max_kogeldruk) && !is_string($max_kogeldruk)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($max_kogeldruk, true), gettype($max_kogeldruk)), __LINE__);
        }
        $this->max_kogeldruk = $max_kogeldruk;
        return $this;
    }
    /**
     * Get max_dakbelasting value
     * @return string|null
     */
    public function getMax_dakbelasting()
    {
        return $this->max_dakbelasting;
    }
    /**
     * Set max_dakbelasting value
     * @param string $max_dakbelasting
     * @return \StructType\CarOptions
     */
    public function setMax_dakbelasting($max_dakbelasting = null)
    {
        // validation for constraint: string
        if (!is_null($max_dakbelasting) && !is_string($max_dakbelasting)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($max_dakbelasting, true), gettype($max_dakbelasting)), __LINE__);
        }
        $this->max_dakbelasting = $max_dakbelasting;
        return $this;
    }
    /**
     * Get koffer_min value
     * @return string|null
     */
    public function getKoffer_min()
    {
        return $this->koffer_min;
    }
    /**
     * Set koffer_min value
     * @param string $koffer_min
     * @return \StructType\CarOptions
     */
    public function setKoffer_min($koffer_min = null)
    {
        // validation for constraint: string
        if (!is_null($koffer_min) && !is_string($koffer_min)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($koffer_min, true), gettype($koffer_min)), __LINE__);
        }
        $this->koffer_min = $koffer_min;
        return $this;
    }
    /**
     * Get koffer_max value
     * @return string|null
     */
    public function getKoffer_max()
    {
        return $this->koffer_max;
    }
    /**
     * Set koffer_max value
     * @param string $koffer_max
     * @return \StructType\CarOptions
     */
    public function setKoffer_max($koffer_max = null)
    {
        // validation for constraint: string
        if (!is_null($koffer_max) && !is_string($koffer_max)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($koffer_max, true), gettype($koffer_max)), __LINE__);
        }
        $this->koffer_max = $koffer_max;
        return $this;
    }
    /**
     * Get tankinhoud value
     * @return string|null
     */
    public function getTankinhoud()
    {
        return $this->tankinhoud;
    }
    /**
     * Set tankinhoud value
     * @param string $tankinhoud
     * @return \StructType\CarOptions
     */
    public function setTankinhoud($tankinhoud = null)
    {
        // validation for constraint: string
        if (!is_null($tankinhoud) && !is_string($tankinhoud)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tankinhoud, true), gettype($tankinhoud)), __LINE__);
        }
        $this->tankinhoud = $tankinhoud;
        return $this;
    }
    /**
     * Get topsnelheid value
     * @return string|null
     */
    public function getTopsnelheid()
    {
        return $this->topsnelheid;
    }
    /**
     * Set topsnelheid value
     * @param string $topsnelheid
     * @return \StructType\CarOptions
     */
    public function setTopsnelheid($topsnelheid = null)
    {
        // validation for constraint: string
        if (!is_null($topsnelheid) && !is_string($topsnelheid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($topsnelheid, true), gettype($topsnelheid)), __LINE__);
        }
        $this->topsnelheid = $topsnelheid;
        return $this;
    }
    /**
     * Get acceleratie value
     * @return string|null
     */
    public function getAcceleratie()
    {
        return $this->acceleratie;
    }
    /**
     * Set acceleratie value
     * @param string $acceleratie
     * @return \StructType\CarOptions
     */
    public function setAcceleratie($acceleratie = null)
    {
        // validation for constraint: string
        if (!is_null($acceleratie) && !is_string($acceleratie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($acceleratie, true), gettype($acceleratie)), __LINE__);
        }
        $this->acceleratie = $acceleratie;
        return $this;
    }
    /**
     * Get verbruik_binnen_bebouwde_kom value
     * @return string|null
     */
    public function getVerbruik_binnen_bebouwde_kom()
    {
        return $this->verbruik_binnen_bebouwde_kom;
    }
    /**
     * Set verbruik_binnen_bebouwde_kom value
     * @param string $verbruik_binnen_bebouwde_kom
     * @return \StructType\CarOptions
     */
    public function setVerbruik_binnen_bebouwde_kom($verbruik_binnen_bebouwde_kom = null)
    {
        // validation for constraint: string
        if (!is_null($verbruik_binnen_bebouwde_kom) && !is_string($verbruik_binnen_bebouwde_kom)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($verbruik_binnen_bebouwde_kom, true), gettype($verbruik_binnen_bebouwde_kom)), __LINE__);
        }
        $this->verbruik_binnen_bebouwde_kom = $verbruik_binnen_bebouwde_kom;
        return $this;
    }
    /**
     * Get verbruik_buiten_bebouwde_kom value
     * @return string|null
     */
    public function getVerbruik_buiten_bebouwde_kom()
    {
        return $this->verbruik_buiten_bebouwde_kom;
    }
    /**
     * Set verbruik_buiten_bebouwde_kom value
     * @param string $verbruik_buiten_bebouwde_kom
     * @return \StructType\CarOptions
     */
    public function setVerbruik_buiten_bebouwde_kom($verbruik_buiten_bebouwde_kom = null)
    {
        // validation for constraint: string
        if (!is_null($verbruik_buiten_bebouwde_kom) && !is_string($verbruik_buiten_bebouwde_kom)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($verbruik_buiten_bebouwde_kom, true), gettype($verbruik_buiten_bebouwde_kom)), __LINE__);
        }
        $this->verbruik_buiten_bebouwde_kom = $verbruik_buiten_bebouwde_kom;
        return $this;
    }
    /**
     * Get verbruik_gecombineerd value
     * @return string|null
     */
    public function getVerbruik_gecombineerd()
    {
        return $this->verbruik_gecombineerd;
    }
    /**
     * Set verbruik_gecombineerd value
     * @param string $verbruik_gecombineerd
     * @return \StructType\CarOptions
     */
    public function setVerbruik_gecombineerd($verbruik_gecombineerd = null)
    {
        // validation for constraint: string
        if (!is_null($verbruik_gecombineerd) && !is_string($verbruik_gecombineerd)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($verbruik_gecombineerd, true), gettype($verbruik_gecombineerd)), __LINE__);
        }
        $this->verbruik_gecombineerd = $verbruik_gecombineerd;
        return $this;
    }
    /**
     * Get co2_uitstoot value
     * @return string|null
     */
    public function getCo2_uitstoot()
    {
        return $this->co2_uitstoot;
    }
    /**
     * Set co2_uitstoot value
     * @param string $co2_uitstoot
     * @return \StructType\CarOptions
     */
    public function setCo2_uitstoot($co2_uitstoot = null)
    {
        // validation for constraint: string
        if (!is_null($co2_uitstoot) && !is_string($co2_uitstoot)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($co2_uitstoot, true), gettype($co2_uitstoot)), __LINE__);
        }
        $this->co2_uitstoot = $co2_uitstoot;
        return $this;
    }
    /**
     * Get verbruik_gemiddeld value
     * @return string|null
     */
    public function getVerbruik_gemiddeld()
    {
        return $this->verbruik_gemiddeld;
    }
    /**
     * Set verbruik_gemiddeld value
     * @param string $verbruik_gemiddeld
     * @return \StructType\CarOptions
     */
    public function setVerbruik_gemiddeld($verbruik_gemiddeld = null)
    {
        // validation for constraint: string
        if (!is_null($verbruik_gemiddeld) && !is_string($verbruik_gemiddeld)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($verbruik_gemiddeld, true), gettype($verbruik_gemiddeld)), __LINE__);
        }
        $this->verbruik_gemiddeld = $verbruik_gemiddeld;
        return $this;
    }
    /**
     * Get abs value
     * @return \StructType\CarOption|null
     */
    public function getAbs()
    {
        return $this->abs;
    }
    /**
     * Set abs value
     * @param \StructType\CarOption $abs
     * @return \StructType\CarOptions
     */
    public function setAbs(\StructType\CarOption $abs = null)
    {
        $this->abs = $abs;
        return $this;
    }
    /**
     * Get remkrachtverdeling value
     * @return \StructType\CarOption|null
     */
    public function getRemkrachtverdeling()
    {
        return $this->remkrachtverdeling;
    }
    /**
     * Set remkrachtverdeling value
     * @param \StructType\CarOption $remkrachtverdeling
     * @return \StructType\CarOptions
     */
    public function setRemkrachtverdeling(\StructType\CarOption $remkrachtverdeling = null)
    {
        $this->remkrachtverdeling = $remkrachtverdeling;
        return $this;
    }
    /**
     * Get brakeassist value
     * @return \StructType\CarOption|null
     */
    public function getBrakeassist()
    {
        return $this->brakeassist;
    }
    /**
     * Set brakeassist value
     * @param \StructType\CarOption $brakeassist
     * @return \StructType\CarOptions
     */
    public function setBrakeassist(\StructType\CarOption $brakeassist = null)
    {
        $this->brakeassist = $brakeassist;
        return $this;
    }
    /**
     * Get tractiecontrole value
     * @return \StructType\CarOption|null
     */
    public function getTractiecontrole()
    {
        return $this->tractiecontrole;
    }
    /**
     * Set tractiecontrole value
     * @param \StructType\CarOption $tractiecontrole
     * @return \StructType\CarOptions
     */
    public function setTractiecontrole(\StructType\CarOption $tractiecontrole = null)
    {
        $this->tractiecontrole = $tractiecontrole;
        return $this;
    }
    /**
     * Get sperdifferentieel value
     * @return \StructType\CarOption|null
     */
    public function getSperdifferentieel()
    {
        return $this->sperdifferentieel;
    }
    /**
     * Set sperdifferentieel value
     * @param \StructType\CarOption $sperdifferentieel
     * @return \StructType\CarOptions
     */
    public function setSperdifferentieel(\StructType\CarOption $sperdifferentieel = null)
    {
        $this->sperdifferentieel = $sperdifferentieel;
        return $this;
    }
    /**
     * Get stabiliteitsregeling value
     * @return \StructType\CarOption|null
     */
    public function getStabiliteitsregeling()
    {
        return $this->stabiliteitsregeling;
    }
    /**
     * Set stabiliteitsregeling value
     * @param \StructType\CarOption $stabiliteitsregeling
     * @return \StructType\CarOptions
     */
    public function setStabiliteitsregeling(\StructType\CarOption $stabiliteitsregeling = null)
    {
        $this->stabiliteitsregeling = $stabiliteitsregeling;
        return $this;
    }
    /**
     * Get regelbare_schokdemping value
     * @return \StructType\CarOption|null
     */
    public function getRegelbare_schokdemping()
    {
        return $this->regelbare_schokdemping;
    }
    /**
     * Set regelbare_schokdemping value
     * @param \StructType\CarOption $regelbare_schokdemping
     * @return \StructType\CarOptions
     */
    public function setRegelbare_schokdemping(\StructType\CarOption $regelbare_schokdemping = null)
    {
        $this->regelbare_schokdemping = $regelbare_schokdemping;
        return $this;
    }
    /**
     * Get niveauregeling value
     * @return \StructType\CarOption|null
     */
    public function getNiveauregeling()
    {
        return $this->niveauregeling;
    }
    /**
     * Set niveauregeling value
     * @param \StructType\CarOption $niveauregeling
     * @return \StructType\CarOptions
     */
    public function setNiveauregeling(\StructType\CarOption $niveauregeling = null)
    {
        $this->niveauregeling = $niveauregeling;
        return $this;
    }
    /**
     * Get airbag_bestuurder value
     * @return \StructType\CarOption|null
     */
    public function getAirbag_bestuurder()
    {
        return $this->airbag_bestuurder;
    }
    /**
     * Set airbag_bestuurder value
     * @param \StructType\CarOption $airbag_bestuurder
     * @return \StructType\CarOptions
     */
    public function setAirbag_bestuurder(\StructType\CarOption $airbag_bestuurder = null)
    {
        $this->airbag_bestuurder = $airbag_bestuurder;
        return $this;
    }
    /**
     * Get airbag_passagier value
     * @return \StructType\CarOption|null
     */
    public function getAirbag_passagier()
    {
        return $this->airbag_passagier;
    }
    /**
     * Set airbag_passagier value
     * @param \StructType\CarOption $airbag_passagier
     * @return \StructType\CarOptions
     */
    public function setAirbag_passagier(\StructType\CarOption $airbag_passagier = null)
    {
        $this->airbag_passagier = $airbag_passagier;
        return $this;
    }
    /**
     * Get airbag_opzijvoor value
     * @return \StructType\CarOption|null
     */
    public function getAirbag_opzijvoor()
    {
        return $this->airbag_opzijvoor;
    }
    /**
     * Set airbag_opzijvoor value
     * @param \StructType\CarOption $airbag_opzijvoor
     * @return \StructType\CarOptions
     */
    public function setAirbag_opzijvoor(\StructType\CarOption $airbag_opzijvoor = null)
    {
        $this->airbag_opzijvoor = $airbag_opzijvoor;
        return $this;
    }
    /**
     * Get airbag_opzijachter value
     * @return \StructType\CarOption|null
     */
    public function getAirbag_opzijachter()
    {
        return $this->airbag_opzijachter;
    }
    /**
     * Set airbag_opzijachter value
     * @param \StructType\CarOption $airbag_opzijachter
     * @return \StructType\CarOptions
     */
    public function setAirbag_opzijachter(\StructType\CarOption $airbag_opzijachter = null)
    {
        $this->airbag_opzijachter = $airbag_opzijachter;
        return $this;
    }
    /**
     * Get airbag_hoofdvoor value
     * @return \StructType\CarOption|null
     */
    public function getAirbag_hoofdvoor()
    {
        return $this->airbag_hoofdvoor;
    }
    /**
     * Set airbag_hoofdvoor value
     * @param \StructType\CarOption $airbag_hoofdvoor
     * @return \StructType\CarOptions
     */
    public function setAirbag_hoofdvoor(\StructType\CarOption $airbag_hoofdvoor = null)
    {
        $this->airbag_hoofdvoor = $airbag_hoofdvoor;
        return $this;
    }
    /**
     * Get airbag_hoofdachter value
     * @return \StructType\CarOption|null
     */
    public function getAirbag_hoofdachter()
    {
        return $this->airbag_hoofdachter;
    }
    /**
     * Set airbag_hoofdachter value
     * @param \StructType\CarOption $airbag_hoofdachter
     * @return \StructType\CarOptions
     */
    public function setAirbag_hoofdachter(\StructType\CarOption $airbag_hoofdachter = null)
    {
        $this->airbag_hoofdachter = $airbag_hoofdachter;
        return $this;
    }
    /**
     * Get gordelspanners value
     * @return \StructType\CarOption|null
     */
    public function getGordelspanners()
    {
        return $this->gordelspanners;
    }
    /**
     * Set gordelspanners value
     * @param \StructType\CarOption $gordelspanners
     * @return \StructType\CarOptions
     */
    public function setGordelspanners(\StructType\CarOption $gordelspanners = null)
    {
        $this->gordelspanners = $gordelspanners;
        return $this;
    }
    /**
     * Get verstelbare_gordelhoogte value
     * @return \StructType\CarOption|null
     */
    public function getVerstelbare_gordelhoogte()
    {
        return $this->verstelbare_gordelhoogte;
    }
    /**
     * Set verstelbare_gordelhoogte value
     * @param \StructType\CarOption $verstelbare_gordelhoogte
     * @return \StructType\CarOptions
     */
    public function setVerstelbare_gordelhoogte(\StructType\CarOption $verstelbare_gordelhoogte = null)
    {
        $this->verstelbare_gordelhoogte = $verstelbare_gordelhoogte;
        return $this;
    }
    /**
     * Get startonderbreker value
     * @return \StructType\CarOption|null
     */
    public function getStartonderbreker()
    {
        return $this->startonderbreker;
    }
    /**
     * Set startonderbreker value
     * @param \StructType\CarOption $startonderbreker
     * @return \StructType\CarOptions
     */
    public function setStartonderbreker(\StructType\CarOption $startonderbreker = null)
    {
        $this->startonderbreker = $startonderbreker;
        return $this;
    }
    /**
     * Get inbraakalarm value
     * @return \StructType\CarOption|null
     */
    public function getInbraakalarm()
    {
        return $this->inbraakalarm;
    }
    /**
     * Set inbraakalarm value
     * @param \StructType\CarOption $inbraakalarm
     * @return \StructType\CarOptions
     */
    public function setInbraakalarm(\StructType\CarOption $inbraakalarm = null)
    {
        $this->inbraakalarm = $inbraakalarm;
        return $this;
    }
    /**
     * Get centrale_deurvergrendeling value
     * @return \StructType\CarOption|null
     */
    public function getCentrale_deurvergrendeling()
    {
        return $this->centrale_deurvergrendeling;
    }
    /**
     * Set centrale_deurvergrendeling value
     * @param \StructType\CarOption $centrale_deurvergrendeling
     * @return \StructType\CarOptions
     */
    public function setCentrale_deurvergrendeling(\StructType\CarOption $centrale_deurvergrendeling = null)
    {
        $this->centrale_deurvergrendeling = $centrale_deurvergrendeling;
        return $this;
    }
    /**
     * Get afstandbediening_deurvergrendeling value
     * @return \StructType\CarOption|null
     */
    public function getAfstandbediening_deurvergrendeling()
    {
        return $this->afstandbediening_deurvergrendeling;
    }
    /**
     * Set afstandbediening_deurvergrendeling value
     * @param \StructType\CarOption $afstandbediening_deurvergrendeling
     * @return \StructType\CarOptions
     */
    public function setAfstandbediening_deurvergrendeling(\StructType\CarOption $afstandbediening_deurvergrendeling = null)
    {
        $this->afstandbediening_deurvergrendeling = $afstandbediening_deurvergrendeling;
        return $this;
    }
    /**
     * Get automatische_vergrendeling value
     * @return \StructType\CarOption|null
     */
    public function getAutomatische_vergrendeling()
    {
        return $this->automatische_vergrendeling;
    }
    /**
     * Set automatische_vergrendeling value
     * @param \StructType\CarOption $automatische_vergrendeling
     * @return \StructType\CarOptions
     */
    public function setAutomatische_vergrendeling(\StructType\CarOption $automatische_vergrendeling = null)
    {
        $this->automatische_vergrendeling = $automatische_vergrendeling;
        return $this;
    }
    /**
     * Get keyless_entry value
     * @return \StructType\CarOption|null
     */
    public function getKeyless_entry()
    {
        return $this->keyless_entry;
    }
    /**
     * Set keyless_entry value
     * @param \StructType\CarOption $keyless_entry
     * @return \StructType\CarOptions
     */
    public function setKeyless_entry(\StructType\CarOption $keyless_entry = null)
    {
        $this->keyless_entry = $keyless_entry;
        return $this;
    }
    /**
     * Get elektrische_ramen_voor value
     * @return \StructType\CarOption|null
     */
    public function getElektrische_ramen_voor()
    {
        return $this->elektrische_ramen_voor;
    }
    /**
     * Set elektrische_ramen_voor value
     * @param \StructType\CarOption $elektrische_ramen_voor
     * @return \StructType\CarOptions
     */
    public function setElektrische_ramen_voor(\StructType\CarOption $elektrische_ramen_voor = null)
    {
        $this->elektrische_ramen_voor = $elektrische_ramen_voor;
        return $this;
    }
    /**
     * Get elektrische_ramen_achter value
     * @return \StructType\CarOption|null
     */
    public function getElektrische_ramen_achter()
    {
        return $this->elektrische_ramen_achter;
    }
    /**
     * Set elektrische_ramen_achter value
     * @param \StructType\CarOption $elektrische_ramen_achter
     * @return \StructType\CarOptions
     */
    public function setElektrische_ramen_achter(\StructType\CarOption $elektrische_ramen_achter = null)
    {
        $this->elektrische_ramen_achter = $elektrische_ramen_achter;
        return $this;
    }
    /**
     * Get stuurbekrachtiging value
     * @return \StructType\CarOption|null
     */
    public function getStuurbekrachtiging()
    {
        return $this->stuurbekrachtiging;
    }
    /**
     * Set stuurbekrachtiging value
     * @param \StructType\CarOption $stuurbekrachtiging
     * @return \StructType\CarOptions
     */
    public function setStuurbekrachtiging(\StructType\CarOption $stuurbekrachtiging = null)
    {
        $this->stuurbekrachtiging = $stuurbekrachtiging;
        return $this;
    }
    /**
     * Get stuurschakeling value
     * @return \StructType\CarOption|null
     */
    public function getStuurschakeling()
    {
        return $this->stuurschakeling;
    }
    /**
     * Set stuurschakeling value
     * @param \StructType\CarOption $stuurschakeling
     * @return \StructType\CarOptions
     */
    public function setStuurschakeling(\StructType\CarOption $stuurschakeling = null)
    {
        $this->stuurschakeling = $stuurschakeling;
        return $this;
    }
    /**
     * Get cruise_control value
     * @return \StructType\CarOption|null
     */
    public function getCruise_control()
    {
        return $this->cruise_control;
    }
    /**
     * Set cruise_control value
     * @param \StructType\CarOption $cruise_control
     * @return \StructType\CarOptions
     */
    public function setCruise_control(\StructType\CarOption $cruise_control = null)
    {
        $this->cruise_control = $cruise_control;
        return $this;
    }
    /**
     * Get radar_cruise_control value
     * @return \StructType\CarOption|null
     */
    public function getRadar_cruise_control()
    {
        return $this->radar_cruise_control;
    }
    /**
     * Set radar_cruise_control value
     * @param \StructType\CarOption $radar_cruise_control
     * @return \StructType\CarOptions
     */
    public function setRadar_cruise_control(\StructType\CarOption $radar_cruise_control = null)
    {
        $this->radar_cruise_control = $radar_cruise_control;
        return $this;
    }
    /**
     * Get airconditioning value
     * @return \StructType\CarOption|null
     */
    public function getAirconditioning()
    {
        return $this->airconditioning;
    }
    /**
     * Set airconditioning value
     * @param \StructType\CarOption $airconditioning
     * @return \StructType\CarOptions
     */
    public function setAirconditioning(\StructType\CarOption $airconditioning = null)
    {
        $this->airconditioning = $airconditioning;
        return $this;
    }
    /**
     * Get klimaatregeling value
     * @return \StructType\CarOption|null
     */
    public function getKlimaatregeling()
    {
        return $this->klimaatregeling;
    }
    /**
     * Set klimaatregeling value
     * @param \StructType\CarOption $klimaatregeling
     * @return \StructType\CarOptions
     */
    public function setKlimaatregeling(\StructType\CarOption $klimaatregeling = null)
    {
        $this->klimaatregeling = $klimaatregeling;
        return $this;
    }
    /**
     * Get gescheiden_temperatuurregeling value
     * @return \StructType\CarOption|null
     */
    public function getGescheiden_temperatuurregeling()
    {
        return $this->gescheiden_temperatuurregeling;
    }
    /**
     * Set gescheiden_temperatuurregeling value
     * @param \StructType\CarOption $gescheiden_temperatuurregeling
     * @return \StructType\CarOptions
     */
    public function setGescheiden_temperatuurregeling(\StructType\CarOption $gescheiden_temperatuurregeling = null)
    {
        $this->gescheiden_temperatuurregeling = $gescheiden_temperatuurregeling;
        return $this;
    }
    /**
     * Get pollenfilter value
     * @return \StructType\CarOption|null
     */
    public function getPollenfilter()
    {
        return $this->pollenfilter;
    }
    /**
     * Set pollenfilter value
     * @param \StructType\CarOption $pollenfilter
     * @return \StructType\CarOptions
     */
    public function setPollenfilter(\StructType\CarOption $pollenfilter = null)
    {
        $this->pollenfilter = $pollenfilter;
        return $this;
    }
    /**
     * Get parkeersensor value
     * @return \StructType\CarOption|null
     */
    public function getParkeersensor()
    {
        return $this->parkeersensor;
    }
    /**
     * Set parkeersensor value
     * @param \StructType\CarOption $parkeersensor
     * @return \StructType\CarOptions
     */
    public function setParkeersensor(\StructType\CarOption $parkeersensor = null)
    {
        $this->parkeersensor = $parkeersensor;
        return $this;
    }
    /**
     * Get hoofdsteunen_voor value
     * @return \StructType\CarOption|null
     */
    public function getHoofdsteunen_voor()
    {
        return $this->hoofdsteunen_voor;
    }
    /**
     * Set hoofdsteunen_voor value
     * @param \StructType\CarOption $hoofdsteunen_voor
     * @return \StructType\CarOptions
     */
    public function setHoofdsteunen_voor(\StructType\CarOption $hoofdsteunen_voor = null)
    {
        $this->hoofdsteunen_voor = $hoofdsteunen_voor;
        return $this;
    }
    /**
     * Get hoofdsteunen_achter value
     * @return \StructType\CarOption|null
     */
    public function getHoofdsteunen_achter()
    {
        return $this->hoofdsteunen_achter;
    }
    /**
     * Set hoofdsteunen_achter value
     * @param \StructType\CarOption $hoofdsteunen_achter
     * @return \StructType\CarOptions
     */
    public function setHoofdsteunen_achter(\StructType\CarOption $hoofdsteunen_achter = null)
    {
        $this->hoofdsteunen_achter = $hoofdsteunen_achter;
        return $this;
    }
    /**
     * Get verstelbare_hoofdsteunen_achter value
     * @return \StructType\CarOption|null
     */
    public function getVerstelbare_hoofdsteunen_achter()
    {
        return $this->verstelbare_hoofdsteunen_achter;
    }
    /**
     * Set verstelbare_hoofdsteunen_achter value
     * @param \StructType\CarOption $verstelbare_hoofdsteunen_achter
     * @return \StructType\CarOptions
     */
    public function setVerstelbare_hoofdsteunen_achter(\StructType\CarOption $verstelbare_hoofdsteunen_achter = null)
    {
        $this->verstelbare_hoofdsteunen_achter = $verstelbare_hoofdsteunen_achter;
        return $this;
    }
    /**
     * Get derde_hoofdsteun_achter value
     * @return \StructType\CarOption|null
     */
    public function getDerde_hoofdsteun_achter()
    {
        return $this->derde_hoofdsteun_achter;
    }
    /**
     * Set derde_hoofdsteun_achter value
     * @param \StructType\CarOption $derde_hoofdsteun_achter
     * @return \StructType\CarOptions
     */
    public function setDerde_hoofdsteun_achter(\StructType\CarOption $derde_hoofdsteun_achter = null)
    {
        $this->derde_hoofdsteun_achter = $derde_hoofdsteun_achter;
        return $this;
    }
    /**
     * Get derde_driepuntsgordel_achter value
     * @return \StructType\CarOption|null
     */
    public function getDerde_driepuntsgordel_achter()
    {
        return $this->derde_driepuntsgordel_achter;
    }
    /**
     * Set derde_driepuntsgordel_achter value
     * @param \StructType\CarOption $derde_driepuntsgordel_achter
     * @return \StructType\CarOptions
     */
    public function setDerde_driepuntsgordel_achter(\StructType\CarOption $derde_driepuntsgordel_achter = null)
    {
        $this->derde_driepuntsgordel_achter = $derde_driepuntsgordel_achter;
        return $this;
    }
    /**
     * Get verstelbare_lendensteun_bestuurder value
     * @return \StructType\CarOption|null
     */
    public function getVerstelbare_lendensteun_bestuurder()
    {
        return $this->verstelbare_lendensteun_bestuurder;
    }
    /**
     * Set verstelbare_lendensteun_bestuurder value
     * @param \StructType\CarOption $verstelbare_lendensteun_bestuurder
     * @return \StructType\CarOptions
     */
    public function setVerstelbare_lendensteun_bestuurder(\StructType\CarOption $verstelbare_lendensteun_bestuurder = null)
    {
        $this->verstelbare_lendensteun_bestuurder = $verstelbare_lendensteun_bestuurder;
        return $this;
    }
    /**
     * Get verstelbare_lendensteun_passagier value
     * @return \StructType\CarOption|null
     */
    public function getVerstelbare_lendensteun_passagier()
    {
        return $this->verstelbare_lendensteun_passagier;
    }
    /**
     * Set verstelbare_lendensteun_passagier value
     * @param \StructType\CarOption $verstelbare_lendensteun_passagier
     * @return \StructType\CarOptions
     */
    public function setVerstelbare_lendensteun_passagier(\StructType\CarOption $verstelbare_lendensteun_passagier = null)
    {
        $this->verstelbare_lendensteun_passagier = $verstelbare_lendensteun_passagier;
        return $this;
    }
    /**
     * Get hoogteverstelling_bestuurder value
     * @return \StructType\CarOption|null
     */
    public function getHoogteverstelling_bestuurder()
    {
        return $this->hoogteverstelling_bestuurder;
    }
    /**
     * Set hoogteverstelling_bestuurder value
     * @param \StructType\CarOption $hoogteverstelling_bestuurder
     * @return \StructType\CarOptions
     */
    public function setHoogteverstelling_bestuurder(\StructType\CarOption $hoogteverstelling_bestuurder = null)
    {
        $this->hoogteverstelling_bestuurder = $hoogteverstelling_bestuurder;
        return $this;
    }
    /**
     * Get hoogteverstelling_passagier value
     * @return \StructType\CarOption|null
     */
    public function getHoogteverstelling_passagier()
    {
        return $this->hoogteverstelling_passagier;
    }
    /**
     * Set hoogteverstelling_passagier value
     * @param \StructType\CarOption $hoogteverstelling_passagier
     * @return \StructType\CarOptions
     */
    public function setHoogteverstelling_passagier(\StructType\CarOption $hoogteverstelling_passagier = null)
    {
        $this->hoogteverstelling_passagier = $hoogteverstelling_passagier;
        return $this;
    }
    /**
     * Get elektrische_stoelverstelling value
     * @return \StructType\CarOption|null
     */
    public function getElektrische_stoelverstelling()
    {
        return $this->elektrische_stoelverstelling;
    }
    /**
     * Set elektrische_stoelverstelling value
     * @param \StructType\CarOption $elektrische_stoelverstelling
     * @return \StructType\CarOptions
     */
    public function setElektrische_stoelverstelling(\StructType\CarOption $elektrische_stoelverstelling = null)
    {
        $this->elektrische_stoelverstelling = $elektrische_stoelverstelling;
        return $this;
    }
    /**
     * Get geheugen_stoelverstelling value
     * @return \StructType\CarOption|null
     */
    public function getGeheugen_stoelverstelling()
    {
        return $this->geheugen_stoelverstelling;
    }
    /**
     * Set geheugen_stoelverstelling value
     * @param \StructType\CarOption $geheugen_stoelverstelling
     * @return \StructType\CarOptions
     */
    public function setGeheugen_stoelverstelling(\StructType\CarOption $geheugen_stoelverstelling = null)
    {
        $this->geheugen_stoelverstelling = $geheugen_stoelverstelling;
        return $this;
    }
    /**
     * Get verwarmde_zitplaatsen_voor value
     * @return \StructType\CarOption|null
     */
    public function getVerwarmde_zitplaatsen_voor()
    {
        return $this->verwarmde_zitplaatsen_voor;
    }
    /**
     * Set verwarmde_zitplaatsen_voor value
     * @param \StructType\CarOption $verwarmde_zitplaatsen_voor
     * @return \StructType\CarOptions
     */
    public function setVerwarmde_zitplaatsen_voor(\StructType\CarOption $verwarmde_zitplaatsen_voor = null)
    {
        $this->verwarmde_zitplaatsen_voor = $verwarmde_zitplaatsen_voor;
        return $this;
    }
    /**
     * Get verwarmde_zitplaatsen_achter value
     * @return \StructType\CarOption|null
     */
    public function getVerwarmde_zitplaatsen_achter()
    {
        return $this->verwarmde_zitplaatsen_achter;
    }
    /**
     * Set verwarmde_zitplaatsen_achter value
     * @param \StructType\CarOption $verwarmde_zitplaatsen_achter
     * @return \StructType\CarOptions
     */
    public function setVerwarmde_zitplaatsen_achter(\StructType\CarOption $verwarmde_zitplaatsen_achter = null)
    {
        $this->verwarmde_zitplaatsen_achter = $verwarmde_zitplaatsen_achter;
        return $this;
    }
    /**
     * Get sportstoelen value
     * @return \StructType\CarOption|null
     */
    public function getSportstoelen()
    {
        return $this->sportstoelen;
    }
    /**
     * Set sportstoelen value
     * @param \StructType\CarOption $sportstoelen
     * @return \StructType\CarOptions
     */
    public function setSportstoelen(\StructType\CarOption $sportstoelen = null)
    {
        $this->sportstoelen = $sportstoelen;
        return $this;
    }
    /**
     * Get bekledingstof_leer value
     * @return \StructType\CarOption|null
     */
    public function getBekledingstof_leer()
    {
        return $this->bekledingstof_leer;
    }
    /**
     * Set bekledingstof_leer value
     * @param \StructType\CarOption $bekledingstof_leer
     * @return \StructType\CarOptions
     */
    public function setBekledingstof_leer(\StructType\CarOption $bekledingstof_leer = null)
    {
        $this->bekledingstof_leer = $bekledingstof_leer;
        return $this;
    }
    /**
     * Get lerenbekleding value
     * @return \StructType\CarOption|null
     */
    public function getLerenbekleding()
    {
        return $this->lerenbekleding;
    }
    /**
     * Set lerenbekleding value
     * @param \StructType\CarOption $lerenbekleding
     * @return \StructType\CarOptions
     */
    public function setLerenbekleding(\StructType\CarOption $lerenbekleding = null)
    {
        $this->lerenbekleding = $lerenbekleding;
        return $this;
    }
    /**
     * Get hoogteverstelling_stuur value
     * @return \StructType\CarOption|null
     */
    public function getHoogteverstelling_stuur()
    {
        return $this->hoogteverstelling_stuur;
    }
    /**
     * Set hoogteverstelling_stuur value
     * @param \StructType\CarOption $hoogteverstelling_stuur
     * @return \StructType\CarOptions
     */
    public function setHoogteverstelling_stuur(\StructType\CarOption $hoogteverstelling_stuur = null)
    {
        $this->hoogteverstelling_stuur = $hoogteverstelling_stuur;
        return $this;
    }
    /**
     * Get diepteverstelling_stuur value
     * @return \StructType\CarOption|null
     */
    public function getDiepteverstelling_stuur()
    {
        return $this->diepteverstelling_stuur;
    }
    /**
     * Set diepteverstelling_stuur value
     * @param \StructType\CarOption $diepteverstelling_stuur
     * @return \StructType\CarOptions
     */
    public function setDiepteverstelling_stuur(\StructType\CarOption $diepteverstelling_stuur = null)
    {
        $this->diepteverstelling_stuur = $diepteverstelling_stuur;
        return $this;
    }
    /**
     * Get elektrische_stuurverstelling value
     * @return \StructType\CarOption|null
     */
    public function getElektrische_stuurverstelling()
    {
        return $this->elektrische_stuurverstelling;
    }
    /**
     * Set elektrische_stuurverstelling value
     * @param \StructType\CarOption $elektrische_stuurverstelling
     * @return \StructType\CarOptions
     */
    public function setElektrische_stuurverstelling(\StructType\CarOption $elektrische_stuurverstelling = null)
    {
        $this->elektrische_stuurverstelling = $elektrische_stuurverstelling;
        return $this;
    }
    /**
     * Get leer_bekleed_stuur value
     * @return \StructType\CarOption|null
     */
    public function getLeer_bekleed_stuur()
    {
        return $this->leer_bekleed_stuur;
    }
    /**
     * Set leer_bekleed_stuur value
     * @param \StructType\CarOption $leer_bekleed_stuur
     * @return \StructType\CarOptions
     */
    public function setLeer_bekleed_stuur(\StructType\CarOption $leer_bekleed_stuur = null)
    {
        $this->leer_bekleed_stuur = $leer_bekleed_stuur;
        return $this;
    }
    /**
     * Get middenarmsteun_voor value
     * @return \StructType\CarOption|null
     */
    public function getMiddenarmsteun_voor()
    {
        return $this->middenarmsteun_voor;
    }
    /**
     * Set middenarmsteun_voor value
     * @param \StructType\CarOption $middenarmsteun_voor
     * @return \StructType\CarOptions
     */
    public function setMiddenarmsteun_voor(\StructType\CarOption $middenarmsteun_voor = null)
    {
        $this->middenarmsteun_voor = $middenarmsteun_voor;
        return $this;
    }
    /**
     * Get middenarmsteun_achter value
     * @return \StructType\CarOption|null
     */
    public function getMiddenarmsteun_achter()
    {
        return $this->middenarmsteun_achter;
    }
    /**
     * Set middenarmsteun_achter value
     * @param \StructType\CarOption $middenarmsteun_achter
     * @return \StructType\CarOptions
     */
    public function setMiddenarmsteun_achter(\StructType\CarOption $middenarmsteun_achter = null)
    {
        $this->middenarmsteun_achter = $middenarmsteun_achter;
        return $this;
    }
    /**
     * Get neerklapbare_achterbank value
     * @return \StructType\CarOption|null
     */
    public function getNeerklapbare_achterbank()
    {
        return $this->neerklapbare_achterbank;
    }
    /**
     * Set neerklapbare_achterbank value
     * @param \StructType\CarOption $neerklapbare_achterbank
     * @return \StructType\CarOptions
     */
    public function setNeerklapbare_achterbank(\StructType\CarOption $neerklapbare_achterbank = null)
    {
        $this->neerklapbare_achterbank = $neerklapbare_achterbank;
        return $this;
    }
    /**
     * Get in_delen_neerklapbaar_achterbank value
     * @return \StructType\CarOption|null
     */
    public function getIn_delen_neerklapbaar_achterbank()
    {
        return $this->in_delen_neerklapbaar_achterbank;
    }
    /**
     * Set in_delen_neerklapbaar_achterbank value
     * @param \StructType\CarOption $in_delen_neerklapbaar_achterbank
     * @return \StructType\CarOptions
     */
    public function setIn_delen_neerklapbaar_achterbank(\StructType\CarOption $in_delen_neerklapbaar_achterbank = null)
    {
        $this->in_delen_neerklapbaar_achterbank = $in_delen_neerklapbaar_achterbank;
        return $this;
    }
    /**
     * Get opbergvak_linkerportier value
     * @return \StructType\CarOption|null
     */
    public function getOpbergvak_linkerportier()
    {
        return $this->opbergvak_linkerportier;
    }
    /**
     * Set opbergvak_linkerportier value
     * @param \StructType\CarOption $opbergvak_linkerportier
     * @return \StructType\CarOptions
     */
    public function setOpbergvak_linkerportier(\StructType\CarOption $opbergvak_linkerportier = null)
    {
        $this->opbergvak_linkerportier = $opbergvak_linkerportier;
        return $this;
    }
    /**
     * Get bekerhouder_voor value
     * @return \StructType\CarOption|null
     */
    public function getBekerhouder_voor()
    {
        return $this->bekerhouder_voor;
    }
    /**
     * Set bekerhouder_voor value
     * @param \StructType\CarOption $bekerhouder_voor
     * @return \StructType\CarOptions
     */
    public function setBekerhouder_voor(\StructType\CarOption $bekerhouder_voor = null)
    {
        $this->bekerhouder_voor = $bekerhouder_voor;
        return $this;
    }
    /**
     * Get bekerhouder_achter value
     * @return \StructType\CarOption|null
     */
    public function getBekerhouder_achter()
    {
        return $this->bekerhouder_achter;
    }
    /**
     * Set bekerhouder_achter value
     * @param \StructType\CarOption $bekerhouder_achter
     * @return \StructType\CarOptions
     */
    public function setBekerhouder_achter(\StructType\CarOption $bekerhouder_achter = null)
    {
        $this->bekerhouder_achter = $bekerhouder_achter;
        return $this;
    }
    /**
     * Get zonnescherm_achterruit value
     * @return \StructType\CarOption|null
     */
    public function getZonnescherm_achterruit()
    {
        return $this->zonnescherm_achterruit;
    }
    /**
     * Set zonnescherm_achterruit value
     * @param \StructType\CarOption $zonnescherm_achterruit
     * @return \StructType\CarOptions
     */
    public function setZonnescherm_achterruit(\StructType\CarOption $zonnescherm_achterruit = null)
    {
        $this->zonnescherm_achterruit = $zonnescherm_achterruit;
        return $this;
    }
    /**
     * Get dagteller value
     * @return \StructType\CarOption|null
     */
    public function getDagteller()
    {
        return $this->dagteller;
    }
    /**
     * Set dagteller value
     * @param \StructType\CarOption $dagteller
     * @return \StructType\CarOptions
     */
    public function setDagteller(\StructType\CarOption $dagteller = null)
    {
        $this->dagteller = $dagteller;
        return $this;
    }
    /**
     * Get toerenteller value
     * @return \StructType\CarOption|null
     */
    public function getToerenteller()
    {
        return $this->toerenteller;
    }
    /**
     * Set toerenteller value
     * @param \StructType\CarOption $toerenteller
     * @return \StructType\CarOptions
     */
    public function setToerenteller(\StructType\CarOption $toerenteller = null)
    {
        $this->toerenteller = $toerenteller;
        return $this;
    }
    /**
     * Get temperatuurmeter value
     * @return \StructType\CarOption|null
     */
    public function getTemperatuurmeter()
    {
        return $this->temperatuurmeter;
    }
    /**
     * Set temperatuurmeter value
     * @param \StructType\CarOption $temperatuurmeter
     * @return \StructType\CarOptions
     */
    public function setTemperatuurmeter(\StructType\CarOption $temperatuurmeter = null)
    {
        $this->temperatuurmeter = $temperatuurmeter;
        return $this;
    }
    /**
     * Get oliepeilmeter value
     * @return \StructType\CarOption|null
     */
    public function getOliepeilmeter()
    {
        return $this->oliepeilmeter;
    }
    /**
     * Set oliepeilmeter value
     * @param \StructType\CarOption $oliepeilmeter
     * @return \StructType\CarOptions
     */
    public function setOliepeilmeter(\StructType\CarOption $oliepeilmeter = null)
    {
        $this->oliepeilmeter = $oliepeilmeter;
        return $this;
    }
    /**
     * Get oliedrukmeter value
     * @return \StructType\CarOption|null
     */
    public function getOliedrukmeter()
    {
        return $this->oliedrukmeter;
    }
    /**
     * Set oliedrukmeter value
     * @param \StructType\CarOption $oliedrukmeter
     * @return \StructType\CarOptions
     */
    public function setOliedrukmeter(\StructType\CarOption $oliedrukmeter = null)
    {
        $this->oliedrukmeter = $oliedrukmeter;
        return $this;
    }
    /**
     * Get olietemperatuurmeter value
     * @return \StructType\CarOption|null
     */
    public function getOlietemperatuurmeter()
    {
        return $this->olietemperatuurmeter;
    }
    /**
     * Set olietemperatuurmeter value
     * @param \StructType\CarOption $olietemperatuurmeter
     * @return \StructType\CarOptions
     */
    public function setOlietemperatuurmeter(\StructType\CarOption $olietemperatuurmeter = null)
    {
        $this->olietemperatuurmeter = $olietemperatuurmeter;
        return $this;
    }
    /**
     * Get voltmeter value
     * @return \StructType\CarOption|null
     */
    public function getVoltmeter()
    {
        return $this->voltmeter;
    }
    /**
     * Set voltmeter value
     * @param \StructType\CarOption $voltmeter
     * @return \StructType\CarOptions
     */
    public function setVoltmeter(\StructType\CarOption $voltmeter = null)
    {
        $this->voltmeter = $voltmeter;
        return $this;
    }
    /**
     * Get verbruiksmeter value
     * @return \StructType\CarOption|null
     */
    public function getVerbruiksmeter()
    {
        return $this->verbruiksmeter;
    }
    /**
     * Set verbruiksmeter value
     * @param \StructType\CarOption $verbruiksmeter
     * @return \StructType\CarOptions
     */
    public function setVerbruiksmeter(\StructType\CarOption $verbruiksmeter = null)
    {
        $this->verbruiksmeter = $verbruiksmeter;
        return $this;
    }
    /**
     * Get turbodrukmeter value
     * @return \StructType\CarOption|null
     */
    public function getTurbodrukmeter()
    {
        return $this->turbodrukmeter;
    }
    /**
     * Set turbodrukmeter value
     * @param \StructType\CarOption $turbodrukmeter
     * @return \StructType\CarOptions
     */
    public function setTurbodrukmeter(\StructType\CarOption $turbodrukmeter = null)
    {
        $this->turbodrukmeter = $turbodrukmeter;
        return $this;
    }
    /**
     * Get buitentemperatuurmeter value
     * @return \StructType\CarOption|null
     */
    public function getBuitentemperatuurmeter()
    {
        return $this->buitentemperatuurmeter;
    }
    /**
     * Set buitentemperatuurmeter value
     * @param \StructType\CarOption $buitentemperatuurmeter
     * @return \StructType\CarOptions
     */
    public function setBuitentemperatuurmeter(\StructType\CarOption $buitentemperatuurmeter = null)
    {
        $this->buitentemperatuurmeter = $buitentemperatuurmeter;
        return $this;
    }
    /**
     * Get klokje value
     * @return \StructType\CarOption|null
     */
    public function getKlokje()
    {
        return $this->klokje;
    }
    /**
     * Set klokje value
     * @param \StructType\CarOption $klokje
     * @return \StructType\CarOptions
     */
    public function setKlokje(\StructType\CarOption $klokje = null)
    {
        $this->klokje = $klokje;
        return $this;
    }
    /**
     * Get boardcomputer value
     * @return \StructType\CarOption|null
     */
    public function getBoardcomputer()
    {
        return $this->boardcomputer;
    }
    /**
     * Set boardcomputer value
     * @param \StructType\CarOption $boardcomputer
     * @return \StructType\CarOptions
     */
    public function setBoardcomputer(\StructType\CarOption $boardcomputer = null)
    {
        $this->boardcomputer = $boardcomputer;
        return $this;
    }
    /**
     * Get luidsprekers value
     * @return \StructType\CarOption|null
     */
    public function getLuidsprekers()
    {
        return $this->luidsprekers;
    }
    /**
     * Set luidsprekers value
     * @param \StructType\CarOption $luidsprekers
     * @return \StructType\CarOptions
     */
    public function setLuidsprekers(\StructType\CarOption $luidsprekers = null)
    {
        $this->luidsprekers = $luidsprekers;
        return $this;
    }
    /**
     * Get stereoinstallatie value
     * @return \StructType\CarOption|null
     */
    public function getStereoinstallatie()
    {
        return $this->stereoinstallatie;
    }
    /**
     * Set stereoinstallatie value
     * @param \StructType\CarOption $stereoinstallatie
     * @return \StructType\CarOptions
     */
    public function setStereoinstallatie(\StructType\CarOption $stereoinstallatie = null)
    {
        $this->stereoinstallatie = $stereoinstallatie;
        return $this;
    }
    /**
     * Get cdspeler value
     * @return \StructType\CarOption|null
     */
    public function getCdspeler()
    {
        return $this->cdspeler;
    }
    /**
     * Set cdspeler value
     * @param \StructType\CarOption $cdspeler
     * @return \StructType\CarOptions
     */
    public function setCdspeler(\StructType\CarOption $cdspeler = null)
    {
        $this->cdspeler = $cdspeler;
        return $this;
    }
    /**
     * Get cdwisselaar value
     * @return \StructType\CarOption|null
     */
    public function getCdwisselaar()
    {
        return $this->cdwisselaar;
    }
    /**
     * Set cdwisselaar value
     * @param \StructType\CarOption $cdwisselaar
     * @return \StructType\CarOptions
     */
    public function setCdwisselaar(\StructType\CarOption $cdwisselaar = null)
    {
        $this->cdwisselaar = $cdwisselaar;
        return $this;
    }
    /**
     * Get audiostuurbediening value
     * @return \StructType\CarOption|null
     */
    public function getAudiostuurbediening()
    {
        return $this->audiostuurbediening;
    }
    /**
     * Set audiostuurbediening value
     * @param \StructType\CarOption $audiostuurbediening
     * @return \StructType\CarOptions
     */
    public function setAudiostuurbediening(\StructType\CarOption $audiostuurbediening = null)
    {
        $this->audiostuurbediening = $audiostuurbediening;
        return $this;
    }
    /**
     * Get bandenspanningssensor value
     * @return \StructType\CarOption|null
     */
    public function getBandenspanningssensor()
    {
        return $this->bandenspanningssensor;
    }
    /**
     * Set bandenspanningssensor value
     * @param \StructType\CarOption $bandenspanningssensor
     * @return \StructType\CarOptions
     */
    public function setBandenspanningssensor(\StructType\CarOption $bandenspanningssensor = null)
    {
        $this->bandenspanningssensor = $bandenspanningssensor;
        return $this;
    }
    /**
     * Get navigatiesysteem value
     * @return \StructType\CarOption|null
     */
    public function getNavigatiesysteem()
    {
        return $this->navigatiesysteem;
    }
    /**
     * Set navigatiesysteem value
     * @param \StructType\CarOption $navigatiesysteem
     * @return \StructType\CarOptions
     */
    public function setNavigatiesysteem(\StructType\CarOption $navigatiesysteem = null)
    {
        $this->navigatiesysteem = $navigatiesysteem;
        return $this;
    }
    /**
     * Get televisie value
     * @return \StructType\CarOption|null
     */
    public function getTelevisie()
    {
        return $this->televisie;
    }
    /**
     * Set televisie value
     * @param \StructType\CarOption $televisie
     * @return \StructType\CarOptions
     */
    public function setTelevisie(\StructType\CarOption $televisie = null)
    {
        $this->televisie = $televisie;
        return $this;
    }
    /**
     * Get telefoonvoorbereiding value
     * @return \StructType\CarOption|null
     */
    public function getTelefoonvoorbereiding()
    {
        return $this->telefoonvoorbereiding;
    }
    /**
     * Set telefoonvoorbereiding value
     * @param \StructType\CarOption $telefoonvoorbereiding
     * @return \StructType\CarOptions
     */
    public function setTelefoonvoorbereiding(\StructType\CarOption $telefoonvoorbereiding = null)
    {
        $this->telefoonvoorbereiding = $telefoonvoorbereiding;
        return $this;
    }
    /**
     * Get telefoon value
     * @return \StructType\CarOption|null
     */
    public function getTelefoon()
    {
        return $this->telefoon;
    }
    /**
     * Set telefoon value
     * @param \StructType\CarOption $telefoon
     * @return \StructType\CarOptions
     */
    public function setTelefoon(\StructType\CarOption $telefoon = null)
    {
        $this->telefoon = $telefoon;
        return $this;
    }
    /**
     * Get intervalruitenwisser value
     * @return \StructType\CarOption|null
     */
    public function getIntervalruitenwisser()
    {
        return $this->intervalruitenwisser;
    }
    /**
     * Set intervalruitenwisser value
     * @param \StructType\CarOption $intervalruitenwisser
     * @return \StructType\CarOptions
     */
    public function setIntervalruitenwisser(\StructType\CarOption $intervalruitenwisser = null)
    {
        $this->intervalruitenwisser = $intervalruitenwisser;
        return $this;
    }
    /**
     * Get regelbare_interval value
     * @return \StructType\CarOption|null
     */
    public function getRegelbare_interval()
    {
        return $this->regelbare_interval;
    }
    /**
     * Set regelbare_interval value
     * @param \StructType\CarOption $regelbare_interval
     * @return \StructType\CarOptions
     */
    public function setRegelbare_interval(\StructType\CarOption $regelbare_interval = null)
    {
        $this->regelbare_interval = $regelbare_interval;
        return $this;
    }
    /**
     * Get regensensor value
     * @return \StructType\CarOption|null
     */
    public function getRegensensor()
    {
        return $this->regensensor;
    }
    /**
     * Set regensensor value
     * @param \StructType\CarOption $regensensor
     * @return \StructType\CarOptions
     */
    public function setRegensensor(\StructType\CarOption $regensensor = null)
    {
        $this->regensensor = $regensensor;
        return $this;
    }
    /**
     * Get ruitenwisser_achter value
     * @return \StructType\CarOption|null
     */
    public function getRuitenwisser_achter()
    {
        return $this->ruitenwisser_achter;
    }
    /**
     * Set ruitenwisser_achter value
     * @param \StructType\CarOption $ruitenwisser_achter
     * @return \StructType\CarOptions
     */
    public function setRuitenwisser_achter(\StructType\CarOption $ruitenwisser_achter = null)
    {
        $this->ruitenwisser_achter = $ruitenwisser_achter;
        return $this;
    }
    /**
     * Get achterruitverwarming value
     * @return \StructType\CarOption|null
     */
    public function getAchterruitverwarming()
    {
        return $this->achterruitverwarming;
    }
    /**
     * Set achterruitverwarming value
     * @param \StructType\CarOption $achterruitverwarming
     * @return \StructType\CarOptions
     */
    public function setAchterruitverwarming(\StructType\CarOption $achterruitverwarming = null)
    {
        $this->achterruitverwarming = $achterruitverwarming;
        return $this;
    }
    /**
     * Get voorruitverwarming value
     * @return \StructType\CarOption|null
     */
    public function getVoorruitverwarming()
    {
        return $this->voorruitverwarming;
    }
    /**
     * Set voorruitverwarming value
     * @param \StructType\CarOption $voorruitverwarming
     * @return \StructType\CarOptions
     */
    public function setVoorruitverwarming(\StructType\CarOption $voorruitverwarming = null)
    {
        $this->voorruitverwarming = $voorruitverwarming;
        return $this;
    }
    /**
     * Get verwarmde_ruitensproeiers value
     * @return \StructType\CarOption|null
     */
    public function getVerwarmde_ruitensproeiers()
    {
        return $this->verwarmde_ruitensproeiers;
    }
    /**
     * Set verwarmde_ruitensproeiers value
     * @param \StructType\CarOption $verwarmde_ruitensproeiers
     * @return \StructType\CarOptions
     */
    public function setVerwarmde_ruitensproeiers(\StructType\CarOption $verwarmde_ruitensproeiers = null)
    {
        $this->verwarmde_ruitensproeiers = $verwarmde_ruitensproeiers;
        return $this;
    }
    /**
     * Get gelaagde_voorruit value
     * @return \StructType\CarOption|null
     */
    public function getGelaagde_voorruit()
    {
        return $this->gelaagde_voorruit;
    }
    /**
     * Set gelaagde_voorruit value
     * @param \StructType\CarOption $gelaagde_voorruit
     * @return \StructType\CarOptions
     */
    public function setGelaagde_voorruit(\StructType\CarOption $gelaagde_voorruit = null)
    {
        $this->gelaagde_voorruit = $gelaagde_voorruit;
        return $this;
    }
    /**
     * Get getintglas value
     * @return \StructType\CarOption|null
     */
    public function getGetintglas()
    {
        return $this->getintglas;
    }
    /**
     * Set getintglas value
     * @param \StructType\CarOption $getintglas
     * @return \StructType\CarOptions
     */
    public function setGetintglas(\StructType\CarOption $getintglas = null)
    {
        $this->getintglas = $getintglas;
        return $this;
    }
    /**
     * Get schuifdak value
     * @return \StructType\CarOption|null
     */
    public function getSchuifdak()
    {
        return $this->schuifdak;
    }
    /**
     * Set schuifdak value
     * @param \StructType\CarOption $schuifdak
     * @return \StructType\CarOptions
     */
    public function setSchuifdak(\StructType\CarOption $schuifdak = null)
    {
        $this->schuifdak = $schuifdak;
        return $this;
    }
    /**
     * Get elektrisch_schuifdak value
     * @return \StructType\CarOption|null
     */
    public function getElektrisch_schuifdak()
    {
        return $this->elektrisch_schuifdak;
    }
    /**
     * Set elektrisch_schuifdak value
     * @param \StructType\CarOption $elektrisch_schuifdak
     * @return \StructType\CarOptions
     */
    public function setElektrisch_schuifdak(\StructType\CarOption $elektrisch_schuifdak = null)
    {
        $this->elektrisch_schuifdak = $elektrisch_schuifdak;
        return $this;
    }
    /**
     * Get beschermstrips_opzij value
     * @return \StructType\CarOption|null
     */
    public function getBeschermstrips_opzij()
    {
        return $this->beschermstrips_opzij;
    }
    /**
     * Set beschermstrips_opzij value
     * @param \StructType\CarOption $beschermstrips_opzij
     * @return \StructType\CarOptions
     */
    public function setBeschermstrips_opzij(\StructType\CarOption $beschermstrips_opzij = null)
    {
        $this->beschermstrips_opzij = $beschermstrips_opzij;
        return $this;
    }
    /**
     * Get bumpers_meegespoten value
     * @return \StructType\CarOption|null
     */
    public function getBumpers_meegespoten()
    {
        return $this->bumpers_meegespoten;
    }
    /**
     * Set bumpers_meegespoten value
     * @param \StructType\CarOption $bumpers_meegespoten
     * @return \StructType\CarOptions
     */
    public function setBumpers_meegespoten(\StructType\CarOption $bumpers_meegespoten = null)
    {
        $this->bumpers_meegespoten = $bumpers_meegespoten;
        return $this;
    }
    /**
     * Get metallic_lak value
     * @return \StructType\CarOption|null
     */
    public function getMetallic_lak()
    {
        return $this->metallic_lak;
    }
    /**
     * Set metallic_lak value
     * @param \StructType\CarOption $metallic_lak
     * @return \StructType\CarOptions
     */
    public function setMetallic_lak(\StructType\CarOption $metallic_lak = null)
    {
        $this->metallic_lak = $metallic_lak;
        return $this;
    }
    /**
     * Get lichtmetalen_velgen value
     * @return \StructType\CarOption|null
     */
    public function getLichtmetalen_velgen()
    {
        return $this->lichtmetalen_velgen;
    }
    /**
     * Set lichtmetalen_velgen value
     * @param \StructType\CarOption $lichtmetalen_velgen
     * @return \StructType\CarOptions
     */
    public function setLichtmetalen_velgen(\StructType\CarOption $lichtmetalen_velgen = null)
    {
        $this->lichtmetalen_velgen = $lichtmetalen_velgen;
        return $this;
    }
    /**
     * Get rechter_buitenspiegel value
     * @return \StructType\CarOption|null
     */
    public function getRechter_buitenspiegel()
    {
        return $this->rechter_buitenspiegel;
    }
    /**
     * Set rechter_buitenspiegel value
     * @param \StructType\CarOption $rechter_buitenspiegel
     * @return \StructType\CarOptions
     */
    public function setRechter_buitenspiegel(\StructType\CarOption $rechter_buitenspiegel = null)
    {
        $this->rechter_buitenspiegel = $rechter_buitenspiegel;
        return $this;
    }
    /**
     * Get binnenuit_verstelbare_buitenspiegel value
     * @return \StructType\CarOption|null
     */
    public function getBinnenuit_verstelbare_buitenspiegel()
    {
        return $this->binnenuit_verstelbare_buitenspiegel;
    }
    /**
     * Set binnenuit_verstelbare_buitenspiegel value
     * @param \StructType\CarOption $binnenuit_verstelbare_buitenspiegel
     * @return \StructType\CarOptions
     */
    public function setBinnenuit_verstelbare_buitenspiegel(\StructType\CarOption $binnenuit_verstelbare_buitenspiegel = null)
    {
        $this->binnenuit_verstelbare_buitenspiegel = $binnenuit_verstelbare_buitenspiegel;
        return $this;
    }
    /**
     * Get elektrische_spiegels value
     * @return \StructType\CarOption|null
     */
    public function getElektrische_spiegels()
    {
        return $this->elektrische_spiegels;
    }
    /**
     * Set elektrische_spiegels value
     * @param \StructType\CarOption $elektrische_spiegels
     * @return \StructType\CarOptions
     */
    public function setElektrische_spiegels(\StructType\CarOption $elektrische_spiegels = null)
    {
        $this->elektrische_spiegels = $elektrische_spiegels;
        return $this;
    }
    /**
     * Get verwarmde_spiegels value
     * @return \StructType\CarOption|null
     */
    public function getVerwarmde_spiegels()
    {
        return $this->verwarmde_spiegels;
    }
    /**
     * Set verwarmde_spiegels value
     * @param \StructType\CarOption $verwarmde_spiegels
     * @return \StructType\CarOptions
     */
    public function setVerwarmde_spiegels(\StructType\CarOption $verwarmde_spiegels = null)
    {
        $this->verwarmde_spiegels = $verwarmde_spiegels;
        return $this;
    }
    /**
     * Get inklapbare_spiegels value
     * @return \StructType\CarOption|null
     */
    public function getInklapbare_spiegels()
    {
        return $this->inklapbare_spiegels;
    }
    /**
     * Set inklapbare_spiegels value
     * @param \StructType\CarOption $inklapbare_spiegels
     * @return \StructType\CarOptions
     */
    public function setInklapbare_spiegels(\StructType\CarOption $inklapbare_spiegels = null)
    {
        $this->inklapbare_spiegels = $inklapbare_spiegels;
        return $this;
    }
    /**
     * Get meegespoten_spiegels value
     * @return \StructType\CarOption|null
     */
    public function getMeegespoten_spiegels()
    {
        return $this->meegespoten_spiegels;
    }
    /**
     * Set meegespoten_spiegels value
     * @param \StructType\CarOption $meegespoten_spiegels
     * @return \StructType\CarOptions
     */
    public function setMeegespoten_spiegels(\StructType\CarOption $meegespoten_spiegels = null)
    {
        $this->meegespoten_spiegels = $meegespoten_spiegels;
        return $this;
    }
    /**
     * Get dodehoekspiegel_bestuurder value
     * @return \StructType\CarOption|null
     */
    public function getDodehoekspiegel_bestuurder()
    {
        return $this->dodehoekspiegel_bestuurder;
    }
    /**
     * Set dodehoekspiegel_bestuurder value
     * @param \StructType\CarOption $dodehoekspiegel_bestuurder
     * @return \StructType\CarOptions
     */
    public function setDodehoekspiegel_bestuurder(\StructType\CarOption $dodehoekspiegel_bestuurder = null)
    {
        $this->dodehoekspiegel_bestuurder = $dodehoekspiegel_bestuurder;
        return $this;
    }
    /**
     * Get dimmende_binnenspiegel value
     * @return \StructType\CarOption|null
     */
    public function getDimmende_binnenspiegel()
    {
        return $this->dimmende_binnenspiegel;
    }
    /**
     * Set dimmende_binnenspiegel value
     * @param \StructType\CarOption $dimmende_binnenspiegel
     * @return \StructType\CarOptions
     */
    public function setDimmende_binnenspiegel(\StructType\CarOption $dimmende_binnenspiegel = null)
    {
        $this->dimmende_binnenspiegel = $dimmende_binnenspiegel;
        return $this;
    }
    /**
     * Get dimmende_buitenspiegel value
     * @return \StructType\CarOption|null
     */
    public function getDimmende_buitenspiegel()
    {
        return $this->dimmende_buitenspiegel;
    }
    /**
     * Set dimmende_buitenspiegel value
     * @param \StructType\CarOption $dimmende_buitenspiegel
     * @return \StructType\CarOptions
     */
    public function setDimmende_buitenspiegel(\StructType\CarOption $dimmende_buitenspiegel = null)
    {
        $this->dimmende_buitenspiegel = $dimmende_buitenspiegel;
        return $this;
    }
    /**
     * Get dakrails value
     * @return \StructType\CarOption|null
     */
    public function getDakrails()
    {
        return $this->dakrails;
    }
    /**
     * Set dakrails value
     * @param \StructType\CarOption $dakrails
     * @return \StructType\CarOptions
     */
    public function setDakrails(\StructType\CarOption $dakrails = null)
    {
        $this->dakrails = $dakrails;
        return $this;
    }
    /**
     * Get binnenuit_te_openen_tankklep value
     * @return \StructType\CarOption|null
     */
    public function getBinnenuit_te_openen_tankklep()
    {
        return $this->binnenuit_te_openen_tankklep;
    }
    /**
     * Set binnenuit_te_openen_tankklep value
     * @param \StructType\CarOption $binnenuit_te_openen_tankklep
     * @return \StructType\CarOptions
     */
    public function setBinnenuit_te_openen_tankklep(\StructType\CarOption $binnenuit_te_openen_tankklep = null)
    {
        $this->binnenuit_te_openen_tankklep = $binnenuit_te_openen_tankklep;
        return $this;
    }
    /**
     * Get binnenuit_te_openen_bagageklep value
     * @return \StructType\CarOption|null
     */
    public function getBinnenuit_te_openen_bagageklep()
    {
        return $this->binnenuit_te_openen_bagageklep;
    }
    /**
     * Set binnenuit_te_openen_bagageklep value
     * @param \StructType\CarOption $binnenuit_te_openen_bagageklep
     * @return \StructType\CarOptions
     */
    public function setBinnenuit_te_openen_bagageklep(\StructType\CarOption $binnenuit_te_openen_bagageklep = null)
    {
        $this->binnenuit_te_openen_bagageklep = $binnenuit_te_openen_bagageklep;
        return $this;
    }
    /**
     * Get op_afstand_te_openen_bagageklep value
     * @return \StructType\CarOption|null
     */
    public function getOp_afstand_te_openen_bagageklep()
    {
        return $this->op_afstand_te_openen_bagageklep;
    }
    /**
     * Set op_afstand_te_openen_bagageklep value
     * @param \StructType\CarOption $op_afstand_te_openen_bagageklep
     * @return \StructType\CarOptions
     */
    public function setOp_afstand_te_openen_bagageklep(\StructType\CarOption $op_afstand_te_openen_bagageklep = null)
    {
        $this->op_afstand_te_openen_bagageklep = $op_afstand_te_openen_bagageklep;
        return $this;
    }
    /**
     * Get halogeen_koplampen value
     * @return \StructType\CarOption|null
     */
    public function getHalogeen_koplampen()
    {
        return $this->halogeen_koplampen;
    }
    /**
     * Set halogeen_koplampen value
     * @param \StructType\CarOption $halogeen_koplampen
     * @return \StructType\CarOptions
     */
    public function setHalogeen_koplampen(\StructType\CarOption $halogeen_koplampen = null)
    {
        $this->halogeen_koplampen = $halogeen_koplampen;
        return $this;
    }
    /**
     * Get xenon_koplampen value
     * @return \StructType\CarOption|null
     */
    public function getXenon_koplampen()
    {
        return $this->xenon_koplampen;
    }
    /**
     * Set xenon_koplampen value
     * @param \StructType\CarOption $xenon_koplampen
     * @return \StructType\CarOptions
     */
    public function setXenon_koplampen(\StructType\CarOption $xenon_koplampen = null)
    {
        $this->xenon_koplampen = $xenon_koplampen;
        return $this;
    }
    /**
     * Get verstelbare_koplampen value
     * @return \StructType\CarOption|null
     */
    public function getVerstelbare_koplampen()
    {
        return $this->verstelbare_koplampen;
    }
    /**
     * Set verstelbare_koplampen value
     * @param \StructType\CarOption $verstelbare_koplampen
     * @return \StructType\CarOptions
     */
    public function setVerstelbare_koplampen(\StructType\CarOption $verstelbare_koplampen = null)
    {
        $this->verstelbare_koplampen = $verstelbare_koplampen;
        return $this;
    }
    /**
     * Get koplampsproeiers value
     * @return \StructType\CarOption|null
     */
    public function getKoplampsproeiers()
    {
        return $this->koplampsproeiers;
    }
    /**
     * Set koplampsproeiers value
     * @param \StructType\CarOption $koplampsproeiers
     * @return \StructType\CarOptions
     */
    public function setKoplampsproeiers(\StructType\CarOption $koplampsproeiers = null)
    {
        $this->koplampsproeiers = $koplampsproeiers;
        return $this;
    }
    /**
     * Get automatisch_inschakelende_koplampen value
     * @return \StructType\CarOption|null
     */
    public function getAutomatisch_inschakelende_koplampen()
    {
        return $this->automatisch_inschakelende_koplampen;
    }
    /**
     * Set automatisch_inschakelende_koplampen value
     * @param \StructType\CarOption $automatisch_inschakelende_koplampen
     * @return \StructType\CarOptions
     */
    public function setAutomatisch_inschakelende_koplampen(\StructType\CarOption $automatisch_inschakelende_koplampen = null)
    {
        $this->automatisch_inschakelende_koplampen = $automatisch_inschakelende_koplampen;
        return $this;
    }
    /**
     * Get verstralers value
     * @return \StructType\CarOption|null
     */
    public function getVerstralers()
    {
        return $this->verstralers;
    }
    /**
     * Set verstralers value
     * @param \StructType\CarOption $verstralers
     * @return \StructType\CarOptions
     */
    public function setVerstralers(\StructType\CarOption $verstralers = null)
    {
        $this->verstralers = $verstralers;
        return $this;
    }
    /**
     * Get mistlampen_voor value
     * @return \StructType\CarOption|null
     */
    public function getMistlampen_voor()
    {
        return $this->mistlampen_voor;
    }
    /**
     * Set mistlampen_voor value
     * @param \StructType\CarOption $mistlampen_voor
     * @return \StructType\CarOptions
     */
    public function setMistlampen_voor(\StructType\CarOption $mistlampen_voor = null)
    {
        $this->mistlampen_voor = $mistlampen_voor;
        return $this;
    }
    /**
     * Get mistlampen_achter value
     * @return \StructType\CarOption|null
     */
    public function getMistlampen_achter()
    {
        return $this->mistlampen_achter;
    }
    /**
     * Set mistlampen_achter value
     * @param \StructType\CarOption $mistlampen_achter
     * @return \StructType\CarOptions
     */
    public function setMistlampen_achter(\StructType\CarOption $mistlampen_achter = null)
    {
        $this->mistlampen_achter = $mistlampen_achter;
        return $this;
    }
    /**
     * Get zoemer_vergeten_verlichting value
     * @return \StructType\CarOption|null
     */
    public function getZoemer_vergeten_verlichting()
    {
        return $this->zoemer_vergeten_verlichting;
    }
    /**
     * Set zoemer_vergeten_verlichting value
     * @param \StructType\CarOption $zoemer_vergeten_verlichting
     * @return \StructType\CarOptions
     */
    public function setZoemer_vergeten_verlichting(\StructType\CarOption $zoemer_vergeten_verlichting = null)
    {
        $this->zoemer_vergeten_verlichting = $zoemer_vergeten_verlichting;
        return $this;
    }
    /**
     * Get verlichte_bagageruimte value
     * @return \StructType\CarOption|null
     */
    public function getVerlichte_bagageruimte()
    {
        return $this->verlichte_bagageruimte;
    }
    /**
     * Set verlichte_bagageruimte value
     * @param \StructType\CarOption $verlichte_bagageruimte
     * @return \StructType\CarOptions
     */
    public function setVerlichte_bagageruimte(\StructType\CarOption $verlichte_bagageruimte = null)
    {
        $this->verlichte_bagageruimte = $verlichte_bagageruimte;
        return $this;
    }
    /**
     * Get verlichte_motorruimte value
     * @return \StructType\CarOption|null
     */
    public function getVerlichte_motorruimte()
    {
        return $this->verlichte_motorruimte;
    }
    /**
     * Set verlichte_motorruimte value
     * @param \StructType\CarOption $verlichte_motorruimte
     * @return \StructType\CarOptions
     */
    public function setVerlichte_motorruimte(\StructType\CarOption $verlichte_motorruimte = null)
    {
        $this->verlichte_motorruimte = $verlichte_motorruimte;
        return $this;
    }
    /**
     * Get verlicht_dashboardkastje value
     * @return \StructType\CarOption|null
     */
    public function getVerlicht_dashboardkastje()
    {
        return $this->verlicht_dashboardkastje;
    }
    /**
     * Set verlicht_dashboardkastje value
     * @param \StructType\CarOption $verlicht_dashboardkastje
     * @return \StructType\CarOptions
     */
    public function setVerlicht_dashboardkastje(\StructType\CarOption $verlicht_dashboardkastje = null)
    {
        $this->verlicht_dashboardkastje = $verlicht_dashboardkastje;
        return $this;
    }
    /**
     * Get regelbare_dashboardverlichting value
     * @return \StructType\CarOption|null
     */
    public function getRegelbare_dashboardverlichting()
    {
        return $this->regelbare_dashboardverlichting;
    }
    /**
     * Set regelbare_dashboardverlichting value
     * @param \StructType\CarOption $regelbare_dashboardverlichting
     * @return \StructType\CarOptions
     */
    public function setRegelbare_dashboardverlichting(\StructType\CarOption $regelbare_dashboardverlichting = null)
    {
        $this->regelbare_dashboardverlichting = $regelbare_dashboardverlichting;
        return $this;
    }
    /**
     * Get leeslampje_voor value
     * @return \StructType\CarOption|null
     */
    public function getLeeslampje_voor()
    {
        return $this->leeslampje_voor;
    }
    /**
     * Set leeslampje_voor value
     * @param \StructType\CarOption $leeslampje_voor
     * @return \StructType\CarOptions
     */
    public function setLeeslampje_voor(\StructType\CarOption $leeslampje_voor = null)
    {
        $this->leeslampje_voor = $leeslampje_voor;
        return $this;
    }
    /**
     * Get leeslampje_achter value
     * @return \StructType\CarOption|null
     */
    public function getLeeslampje_achter()
    {
        return $this->leeslampje_achter;
    }
    /**
     * Set leeslampje_achter value
     * @param \StructType\CarOption $leeslampje_achter
     * @return \StructType\CarOptions
     */
    public function setLeeslampje_achter(\StructType\CarOption $leeslampje_achter = null)
    {
        $this->leeslampje_achter = $leeslampje_achter;
        return $this;
    }
    /**
     * Get verlichte_makeupspiegel value
     * @return \StructType\CarOption|null
     */
    public function getVerlichte_makeupspiegel()
    {
        return $this->verlichte_makeupspiegel;
    }
    /**
     * Set verlichte_makeupspiegel value
     * @param \StructType\CarOption $verlichte_makeupspiegel
     * @return \StructType\CarOptions
     */
    public function setVerlichte_makeupspiegel(\StructType\CarOption $verlichte_makeupspiegel = null)
    {
        $this->verlichte_makeupspiegel = $verlichte_makeupspiegel;
        return $this;
    }
    /**
     * Get vertraging_interieurverlichting value
     * @return \StructType\CarOption|null
     */
    public function getVertraging_interieurverlichting()
    {
        return $this->vertraging_interieurverlichting;
    }
    /**
     * Set vertraging_interieurverlichting value
     * @param \StructType\CarOption $vertraging_interieurverlichting
     * @return \StructType\CarOptions
     */
    public function setVertraging_interieurverlichting(\StructType\CarOption $vertraging_interieurverlichting = null)
    {
        $this->vertraging_interieurverlichting = $vertraging_interieurverlichting;
        return $this;
    }
    /**
     * Get portierverlichting value
     * @return \StructType\CarOption|null
     */
    public function getPortierverlichting()
    {
        return $this->portierverlichting;
    }
    /**
     * Set portierverlichting value
     * @param \StructType\CarOption $portierverlichting
     * @return \StructType\CarOptions
     */
    public function setPortierverlichting(\StructType\CarOption $portierverlichting = null)
    {
        $this->portierverlichting = $portierverlichting;
        return $this;
    }
}
