<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for carVWEMeldcodeCheckRequestType StructType
 * @subpackage Structs
 */
class CarVWEMeldcodeCheckRequestType extends AbstractStructBase
{
    /**
     * The license_plate
     * @var string
     */
    public $license_plate;
    /**
     * The code
     * @var string
     */
    public $code;
    /**
     * Constructor method for carVWEMeldcodeCheckRequestType
     * @uses CarVWEMeldcodeCheckRequestType::setLicense_plate()
     * @uses CarVWEMeldcodeCheckRequestType::setCode()
     * @param string $license_plate
     * @param string $code
     */
    public function __construct($license_plate = null, $code = null)
    {
        $this
            ->setLicense_plate($license_plate)
            ->setCode($code);
    }
    /**
     * Get license_plate value
     * @return string|null
     */
    public function getLicense_plate()
    {
        return $this->license_plate;
    }
    /**
     * Set license_plate value
     * @param string $license_plate
     * @return \StructType\CarVWEMeldcodeCheckRequestType
     */
    public function setLicense_plate($license_plate = null)
    {
        // validation for constraint: string
        if (!is_null($license_plate) && !is_string($license_plate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($license_plate, true), gettype($license_plate)), __LINE__);
        }
        $this->license_plate = $license_plate;
        return $this;
    }
    /**
     * Get code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \StructType\CarVWEMeldcodeCheckRequestType
     */
    public function setCode($code = null)
    {
        // validation for constraint: string
        if (!is_null($code) && !is_string($code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($code, true), gettype($code)), __LINE__);
        }
        $this->code = $code;
        return $this;
    }
}
