<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyActivityV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyActivityV2 extends AbstractStructBase
{
    /**
     * The classification
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $classification;
    /**
     * The activity_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $activity_code;
    /**
     * The activity_description
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $activity_description;
    /**
     * Constructor method for CreditsafeCompanyActivityV2
     * @uses CreditsafeCompanyActivityV2::setClassification()
     * @uses CreditsafeCompanyActivityV2::setActivity_code()
     * @uses CreditsafeCompanyActivityV2::setActivity_description()
     * @param string $classification
     * @param string $activity_code
     * @param string $activity_description
     */
    public function __construct($classification = null, $activity_code = null, $activity_description = null)
    {
        $this
            ->setClassification($classification)
            ->setActivity_code($activity_code)
            ->setActivity_description($activity_description);
    }
    /**
     * Get classification value
     * @return string|null
     */
    public function getClassification()
    {
        return $this->classification;
    }
    /**
     * Set classification value
     * @param string $classification
     * @return \StructType\CreditsafeCompanyActivityV2
     */
    public function setClassification($classification = null)
    {
        // validation for constraint: string
        if (!is_null($classification) && !is_string($classification)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($classification, true), gettype($classification)), __LINE__);
        }
        $this->classification = $classification;
        return $this;
    }
    /**
     * Get activity_code value
     * @return string|null
     */
    public function getActivity_code()
    {
        return $this->activity_code;
    }
    /**
     * Set activity_code value
     * @param string $activity_code
     * @return \StructType\CreditsafeCompanyActivityV2
     */
    public function setActivity_code($activity_code = null)
    {
        // validation for constraint: string
        if (!is_null($activity_code) && !is_string($activity_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($activity_code, true), gettype($activity_code)), __LINE__);
        }
        $this->activity_code = $activity_code;
        return $this;
    }
    /**
     * Get activity_description value
     * @return string|null
     */
    public function getActivity_description()
    {
        return $this->activity_description;
    }
    /**
     * Set activity_description value
     * @param string $activity_description
     * @return \StructType\CreditsafeCompanyActivityV2
     */
    public function setActivity_description($activity_description = null)
    {
        // validation for constraint: string
        if (!is_null($activity_description) && !is_string($activity_description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($activity_description, true), gettype($activity_description)), __LINE__);
        }
        $this->activity_description = $activity_description;
        return $this;
    }
}
