<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationNLFinancialItemV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLFinancialItemV2 extends AbstractStructBase
{
    /**
     * The date_year_end
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_year_end;
    /**
     * The judgement
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $judgement;
    /**
     * The consolidated_subsidiaries
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $consolidated_subsidiaries;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationNLFinancialItemV2
     * @uses CreditsafeCompanyAdditionalInformationNLFinancialItemV2::setDate_year_end()
     * @uses CreditsafeCompanyAdditionalInformationNLFinancialItemV2::setJudgement()
     * @uses CreditsafeCompanyAdditionalInformationNLFinancialItemV2::setConsolidated_subsidiaries()
     * @param string $date_year_end
     * @param string $judgement
     * @param string $consolidated_subsidiaries
     */
    public function __construct($date_year_end = null, $judgement = null, $consolidated_subsidiaries = null)
    {
        $this
            ->setDate_year_end($date_year_end)
            ->setJudgement($judgement)
            ->setConsolidated_subsidiaries($consolidated_subsidiaries);
    }
    /**
     * Get date_year_end value
     * @return string|null
     */
    public function getDate_year_end()
    {
        return $this->date_year_end;
    }
    /**
     * Set date_year_end value
     * @param string $date_year_end
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2
     */
    public function setDate_year_end($date_year_end = null)
    {
        // validation for constraint: string
        if (!is_null($date_year_end) && !is_string($date_year_end)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_year_end, true), gettype($date_year_end)), __LINE__);
        }
        $this->date_year_end = $date_year_end;
        return $this;
    }
    /**
     * Get judgement value
     * @return string|null
     */
    public function getJudgement()
    {
        return $this->judgement;
    }
    /**
     * Set judgement value
     * @param string $judgement
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2
     */
    public function setJudgement($judgement = null)
    {
        // validation for constraint: string
        if (!is_null($judgement) && !is_string($judgement)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($judgement, true), gettype($judgement)), __LINE__);
        }
        $this->judgement = $judgement;
        return $this;
    }
    /**
     * Get consolidated_subsidiaries value
     * @return string|null
     */
    public function getConsolidated_subsidiaries()
    {
        return $this->consolidated_subsidiaries;
    }
    /**
     * Set consolidated_subsidiaries value
     * @param string $consolidated_subsidiaries
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLFinancialItemV2
     */
    public function setConsolidated_subsidiaries($consolidated_subsidiaries = null)
    {
        // validation for constraint: string
        if (!is_null($consolidated_subsidiaries) && !is_string($consolidated_subsidiaries)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($consolidated_subsidiaries, true), gettype($consolidated_subsidiaries)), __LINE__);
        }
        $this->consolidated_subsidiaries = $consolidated_subsidiaries;
        return $this;
    }
}
