<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyReportFullPdfV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyReportFullPdfV2 extends AbstractStructBase
{
    /**
     * The report_pdf
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $report_pdf;
    /**
     * Constructor method for CreditsafeCompanyReportFullPdfV2
     * @uses CreditsafeCompanyReportFullPdfV2::setReport_pdf()
     * @param string $report_pdf
     */
    public function __construct($report_pdf = null)
    {
        $this
            ->setReport_pdf($report_pdf);
    }
    /**
     * Get report_pdf value
     * @return string|null
     */
    public function getReport_pdf()
    {
        return $this->report_pdf;
    }
    /**
     * Set report_pdf value
     * @param string $report_pdf
     * @return \StructType\CreditsafeCompanyReportFullPdfV2
     */
    public function setReport_pdf($report_pdf = null)
    {
        // validation for constraint: string
        if (!is_null($report_pdf) && !is_string($report_pdf)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($report_pdf, true), gettype($report_pdf)), __LINE__);
        }
        $this->report_pdf = $report_pdf;
        return $this;
    }
}
