<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for creditsafeSearchCriteriaRequestType StructType
 * @subpackage Structs
 */
class CreditsafeSearchCriteriaRequestType extends AbstractStructBase
{
    /**
     * The countries
     * @var \ArrayType\StringArray
     */
    public $countries;
    /**
     * Constructor method for creditsafeSearchCriteriaRequestType
     * @uses CreditsafeSearchCriteriaRequestType::setCountries()
     * @param \ArrayType\StringArray $countries
     */
    public function __construct(\ArrayType\StringArray $countries = null)
    {
        $this
            ->setCountries($countries);
    }
    /**
     * Get countries value
     * @return \ArrayType\StringArray|null
     */
    public function getCountries()
    {
        return $this->countries;
    }
    /**
     * Set countries value
     * @param \ArrayType\StringArray $countries
     * @return \StructType\CreditsafeSearchCriteriaRequestType
     */
    public function setCountries(\ArrayType\StringArray $countries = null)
    {
        $this->countries = $countries;
        return $this;
    }
}
