<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessDossierReference StructType
 * @subpackage Structs
 */
class DutchBusinessDossierReference extends AbstractStructBase
{
    /**
     * The update_date
     * @var string
     */
    public $update_date;
    /**
     * The change_set
     * @var \StructType\DutchBusinessChangeSet
     */
    public $change_set;
    /**
     * Constructor method for DutchBusinessDossierReference
     * @uses DutchBusinessDossierReference::setUpdate_date()
     * @uses DutchBusinessDossierReference::setChange_set()
     * @param string $update_date
     * @param \StructType\DutchBusinessChangeSet $change_set
     */
    public function __construct($update_date = null, \StructType\DutchBusinessChangeSet $change_set = null)
    {
        $this
            ->setUpdate_date($update_date)
            ->setChange_set($change_set);
    }
    /**
     * Get update_date value
     * @return string|null
     */
    public function getUpdate_date()
    {
        return $this->update_date;
    }
    /**
     * Set update_date value
     * @param string $update_date
     * @return \StructType\DutchBusinessDossierReference
     */
    public function setUpdate_date($update_date = null)
    {
        // validation for constraint: string
        if (!is_null($update_date) && !is_string($update_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($update_date, true), gettype($update_date)), __LINE__);
        }
        $this->update_date = $update_date;
        return $this;
    }
    /**
     * Get change_set value
     * @return \StructType\DutchBusinessChangeSet|null
     */
    public function getChange_set()
    {
        return $this->change_set;
    }
    /**
     * Set change_set value
     * @param \StructType\DutchBusinessChangeSet $change_set
     * @return \StructType\DutchBusinessDossierReference
     */
    public function setChange_set(\StructType\DutchBusinessChangeSet $change_set = null)
    {
        $this->change_set = $change_set;
        return $this;
    }
}
