<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessUBOClassifiedSuspect StructType
 * @subpackage Structs
 */
class DutchBusinessUBOClassifiedSuspect extends AbstractStructBase
{
    /**
     * The key
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $key;
    /**
     * The person
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \StructType\DutchBusinessUBOClassifiedPerson
     */
    public $person;
    /**
     * The role
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \StructType\DutchBusinessUBOClassifiedRole
     */
    public $role;
    /**
     * The classification
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $classification;
    /**
     * Constructor method for DutchBusinessUBOClassifiedSuspect
     * @uses DutchBusinessUBOClassifiedSuspect::setKey()
     * @uses DutchBusinessUBOClassifiedSuspect::setPerson()
     * @uses DutchBusinessUBOClassifiedSuspect::setRole()
     * @uses DutchBusinessUBOClassifiedSuspect::setClassification()
     * @param string $key
     * @param \StructType\DutchBusinessUBOClassifiedPerson $person
     * @param \StructType\DutchBusinessUBOClassifiedRole $role
     * @param string $classification
     */
    public function __construct($key = null, \StructType\DutchBusinessUBOClassifiedPerson $person = null, \StructType\DutchBusinessUBOClassifiedRole $role = null, $classification = null)
    {
        $this
            ->setKey($key)
            ->setPerson($person)
            ->setRole($role)
            ->setClassification($classification);
    }
    /**
     * Get key value
     * @return string
     */
    public function getKey()
    {
        return $this->key;
    }
    /**
     * Set key value
     * @param string $key
     * @return \StructType\DutchBusinessUBOClassifiedSuspect
     */
    public function setKey($key = null)
    {
        // validation for constraint: string
        if (!is_null($key) && !is_string($key)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($key, true), gettype($key)), __LINE__);
        }
        $this->key = $key;
        return $this;
    }
    /**
     * Get person value
     * @return \StructType\DutchBusinessUBOClassifiedPerson
     */
    public function getPerson()
    {
        return $this->person;
    }
    /**
     * Set person value
     * @param \StructType\DutchBusinessUBOClassifiedPerson $person
     * @return \StructType\DutchBusinessUBOClassifiedSuspect
     */
    public function setPerson(\StructType\DutchBusinessUBOClassifiedPerson $person = null)
    {
        $this->person = $person;
        return $this;
    }
    /**
     * Get role value
     * @return \StructType\DutchBusinessUBOClassifiedRole
     */
    public function getRole()
    {
        return $this->role;
    }
    /**
     * Set role value
     * @param \StructType\DutchBusinessUBOClassifiedRole $role
     * @return \StructType\DutchBusinessUBOClassifiedSuspect
     */
    public function setRole(\StructType\DutchBusinessUBOClassifiedRole $role = null)
    {
        $this->role = $role;
        return $this;
    }
    /**
     * Get classification value
     * @return string
     */
    public function getClassification()
    {
        return $this->classification;
    }
    /**
     * Set classification value
     * @param string $classification
     * @return \StructType\DutchBusinessUBOClassifiedSuspect
     */
    public function setClassification($classification = null)
    {
        // validation for constraint: string
        if (!is_null($classification) && !is_string($classification)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($classification, true), gettype($classification)), __LINE__);
        }
        $this->classification = $classification;
        return $this;
    }
}
