<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRCompanyRelationsSimple StructType
 * @subpackage Structs
 */
class GCRCompanyRelationsSimple extends AbstractStructBase
{
    /**
     * The companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRCompanySimpleArray
     */
    public $companies;
    /**
     * The persons
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRPersonSimpleArray
     */
    public $persons;
    /**
     * Constructor method for GCRCompanyRelationsSimple
     * @uses GCRCompanyRelationsSimple::setCompanies()
     * @uses GCRCompanyRelationsSimple::setPersons()
     * @param \ArrayType\GCRCompanySimpleArray $companies
     * @param \ArrayType\GCRPersonSimpleArray $persons
     */
    public function __construct(\ArrayType\GCRCompanySimpleArray $companies = null, \ArrayType\GCRPersonSimpleArray $persons = null)
    {
        $this
            ->setCompanies($companies)
            ->setPersons($persons);
    }
    /**
     * Get companies value
     * @return \ArrayType\GCRCompanySimpleArray|null
     */
    public function getCompanies()
    {
        return $this->companies;
    }
    /**
     * Set companies value
     * @param \ArrayType\GCRCompanySimpleArray $companies
     * @return \StructType\GCRCompanyRelationsSimple
     */
    public function setCompanies(\ArrayType\GCRCompanySimpleArray $companies = null)
    {
        $this->companies = $companies;
        return $this;
    }
    /**
     * Get persons value
     * @return \ArrayType\GCRPersonSimpleArray|null
     */
    public function getPersons()
    {
        return $this->persons;
    }
    /**
     * Set persons value
     * @param \ArrayType\GCRPersonSimpleArray $persons
     * @return \StructType\GCRCompanyRelationsSimple
     */
    public function setPersons(\ArrayType\GCRPersonSimpleArray $persons = null)
    {
        $this->persons = $persons;
        return $this;
    }
}
