<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterStukdeelReferentiesLijst StructType
 * @subpackage Structs
 */
class KadasterStukdeelReferentiesLijst extends AbstractStructBase
{
    /**
     * The stukdelen
     * @var \ArrayType\StringArray
     */
    public $stukdelen;
    /**
     * The indicatie_compleet
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for kadasterStukdeelReferentiesLijst
     * @uses KadasterStukdeelReferentiesLijst::setStukdelen()
     * @uses KadasterStukdeelReferentiesLijst::setIndicatie_compleet()
     * @param \ArrayType\StringArray $stukdelen
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\StringArray $stukdelen = null, $indicatie_compleet = null)
    {
        $this
            ->setStukdelen($stukdelen)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get stukdelen value
     * @return \ArrayType\StringArray|null
     */
    public function getStukdelen()
    {
        return $this->stukdelen;
    }
    /**
     * Set stukdelen value
     * @param \ArrayType\StringArray $stukdelen
     * @return \StructType\KadasterStukdeelReferentiesLijst
     */
    public function setStukdelen(\ArrayType\StringArray $stukdelen = null)
    {
        $this->stukdelen = $stukdelen;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\KadasterStukdeelReferentiesLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
}
