<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2AantekeningWKPB StructType
 * @subpackage Structs
 */
class KadasterV2AantekeningWKPB extends AbstractStructBase
{
    /**
     * The omschrijving
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $omschrijving;
    /**
     * The gemeentelijke_registratie_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $gemeentelijke_registratie_id;
    /**
     * The nummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nummer;
    /**
     * The datum_in_werking
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $datum_in_werking;
    /**
     * The omschrijving_publiekrechtelijke_beperking
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $omschrijving_publiekrechtelijke_beperking;
    /**
     * Constructor method for KadasterV2AantekeningWKPB
     * @uses KadasterV2AantekeningWKPB::setOmschrijving()
     * @uses KadasterV2AantekeningWKPB::setGemeentelijke_registratie_id()
     * @uses KadasterV2AantekeningWKPB::setNummer()
     * @uses KadasterV2AantekeningWKPB::setDatum_in_werking()
     * @uses KadasterV2AantekeningWKPB::setOmschrijving_publiekrechtelijke_beperking()
     * @param string $omschrijving
     * @param string $gemeentelijke_registratie_id
     * @param string $nummer
     * @param string $datum_in_werking
     * @param string $omschrijving_publiekrechtelijke_beperking
     */
    public function __construct($omschrijving = null, $gemeentelijke_registratie_id = null, $nummer = null, $datum_in_werking = null, $omschrijving_publiekrechtelijke_beperking = null)
    {
        $this
            ->setOmschrijving($omschrijving)
            ->setGemeentelijke_registratie_id($gemeentelijke_registratie_id)
            ->setNummer($nummer)
            ->setDatum_in_werking($datum_in_werking)
            ->setOmschrijving_publiekrechtelijke_beperking($omschrijving_publiekrechtelijke_beperking);
    }
    /**
     * Get omschrijving value
     * @return string|null
     */
    public function getOmschrijving()
    {
        return $this->omschrijving;
    }
    /**
     * Set omschrijving value
     * @param string $omschrijving
     * @return \StructType\KadasterV2AantekeningWKPB
     */
    public function setOmschrijving($omschrijving = null)
    {
        // validation for constraint: string
        if (!is_null($omschrijving) && !is_string($omschrijving)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($omschrijving, true), gettype($omschrijving)), __LINE__);
        }
        $this->omschrijving = $omschrijving;
        return $this;
    }
    /**
     * Get gemeentelijke_registratie_id value
     * @return string|null
     */
    public function getGemeentelijke_registratie_id()
    {
        return $this->gemeentelijke_registratie_id;
    }
    /**
     * Set gemeentelijke_registratie_id value
     * @param string $gemeentelijke_registratie_id
     * @return \StructType\KadasterV2AantekeningWKPB
     */
    public function setGemeentelijke_registratie_id($gemeentelijke_registratie_id = null)
    {
        // validation for constraint: string
        if (!is_null($gemeentelijke_registratie_id) && !is_string($gemeentelijke_registratie_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($gemeentelijke_registratie_id, true), gettype($gemeentelijke_registratie_id)), __LINE__);
        }
        $this->gemeentelijke_registratie_id = $gemeentelijke_registratie_id;
        return $this;
    }
    /**
     * Get nummer value
     * @return string|null
     */
    public function getNummer()
    {
        return $this->nummer;
    }
    /**
     * Set nummer value
     * @param string $nummer
     * @return \StructType\KadasterV2AantekeningWKPB
     */
    public function setNummer($nummer = null)
    {
        // validation for constraint: string
        if (!is_null($nummer) && !is_string($nummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nummer, true), gettype($nummer)), __LINE__);
        }
        $this->nummer = $nummer;
        return $this;
    }
    /**
     * Get datum_in_werking value
     * @return string|null
     */
    public function getDatum_in_werking()
    {
        return $this->datum_in_werking;
    }
    /**
     * Set datum_in_werking value
     * @param string $datum_in_werking
     * @return \StructType\KadasterV2AantekeningWKPB
     */
    public function setDatum_in_werking($datum_in_werking = null)
    {
        // validation for constraint: string
        if (!is_null($datum_in_werking) && !is_string($datum_in_werking)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($datum_in_werking, true), gettype($datum_in_werking)), __LINE__);
        }
        $this->datum_in_werking = $datum_in_werking;
        return $this;
    }
    /**
     * Get omschrijving_publiekrechtelijke_beperking value
     * @return string|null
     */
    public function getOmschrijving_publiekrechtelijke_beperking()
    {
        return $this->omschrijving_publiekrechtelijke_beperking;
    }
    /**
     * Set omschrijving_publiekrechtelijke_beperking value
     * @param string $omschrijving_publiekrechtelijke_beperking
     * @return \StructType\KadasterV2AantekeningWKPB
     */
    public function setOmschrijving_publiekrechtelijke_beperking($omschrijving_publiekrechtelijke_beperking = null)
    {
        // validation for constraint: string
        if (!is_null($omschrijving_publiekrechtelijke_beperking) && !is_string($omschrijving_publiekrechtelijke_beperking)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($omschrijving_publiekrechtelijke_beperking, true), gettype($omschrijving_publiekrechtelijke_beperking)), __LINE__);
        }
        $this->omschrijving_publiekrechtelijke_beperking = $omschrijving_publiekrechtelijke_beperking;
        return $this;
    }
}
