<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Bijlage StructType
 * @subpackage Structs
 */
class KadasterV2Bijlage extends AbstractStructBase
{
    /**
     * The aard
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $aard;
    /**
     * The tijdstip_aanbieding_bijlage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $tijdstip_aanbieding_bijlage;
    /**
     * Constructor method for KadasterV2Bijlage
     * @uses KadasterV2Bijlage::setAard()
     * @uses KadasterV2Bijlage::setTijdstip_aanbieding_bijlage()
     * @param string $aard
     * @param string $tijdstip_aanbieding_bijlage
     */
    public function __construct($aard = null, $tijdstip_aanbieding_bijlage = null)
    {
        $this
            ->setAard($aard)
            ->setTijdstip_aanbieding_bijlage($tijdstip_aanbieding_bijlage);
    }
    /**
     * Get aard value
     * @return string|null
     */
    public function getAard()
    {
        return $this->aard;
    }
    /**
     * Set aard value
     * @param string $aard
     * @return \StructType\KadasterV2Bijlage
     */
    public function setAard($aard = null)
    {
        // validation for constraint: string
        if (!is_null($aard) && !is_string($aard)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($aard, true), gettype($aard)), __LINE__);
        }
        $this->aard = $aard;
        return $this;
    }
    /**
     * Get tijdstip_aanbieding_bijlage value
     * @return string|null
     */
    public function getTijdstip_aanbieding_bijlage()
    {
        return $this->tijdstip_aanbieding_bijlage;
    }
    /**
     * Set tijdstip_aanbieding_bijlage value
     * @param string $tijdstip_aanbieding_bijlage
     * @return \StructType\KadasterV2Bijlage
     */
    public function setTijdstip_aanbieding_bijlage($tijdstip_aanbieding_bijlage = null)
    {
        // validation for constraint: string
        if (!is_null($tijdstip_aanbieding_bijlage) && !is_string($tijdstip_aanbieding_bijlage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tijdstip_aanbieding_bijlage, true), gettype($tijdstip_aanbieding_bijlage)), __LINE__);
        }
        $this->tijdstip_aanbieding_bijlage = $tijdstip_aanbieding_bijlage;
        return $this;
    }
}
