<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2DeelEnNummer StructType
 * @subpackage Structs
 */
class KadasterV2DeelEnNummer extends AbstractStructBase
{
    /**
     * The deel
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $deel;
    /**
     * The nummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nummer;
    /**
     * The reeks
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $reeks;
    /**
     * The registercode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $registercode;
    /**
     * The soort_register
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $soort_register;
    /**
     * Constructor method for KadasterV2DeelEnNummer
     * @uses KadasterV2DeelEnNummer::setDeel()
     * @uses KadasterV2DeelEnNummer::setNummer()
     * @uses KadasterV2DeelEnNummer::setReeks()
     * @uses KadasterV2DeelEnNummer::setRegistercode()
     * @uses KadasterV2DeelEnNummer::setSoort_register()
     * @param string $deel
     * @param string $nummer
     * @param string $reeks
     * @param string $registercode
     * @param string $soort_register
     */
    public function __construct($deel = null, $nummer = null, $reeks = null, $registercode = null, $soort_register = null)
    {
        $this
            ->setDeel($deel)
            ->setNummer($nummer)
            ->setReeks($reeks)
            ->setRegistercode($registercode)
            ->setSoort_register($soort_register);
    }
    /**
     * Get deel value
     * @return string|null
     */
    public function getDeel()
    {
        return $this->deel;
    }
    /**
     * Set deel value
     * @param string $deel
     * @return \StructType\KadasterV2DeelEnNummer
     */
    public function setDeel($deel = null)
    {
        // validation for constraint: string
        if (!is_null($deel) && !is_string($deel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deel, true), gettype($deel)), __LINE__);
        }
        $this->deel = $deel;
        return $this;
    }
    /**
     * Get nummer value
     * @return string|null
     */
    public function getNummer()
    {
        return $this->nummer;
    }
    /**
     * Set nummer value
     * @param string $nummer
     * @return \StructType\KadasterV2DeelEnNummer
     */
    public function setNummer($nummer = null)
    {
        // validation for constraint: string
        if (!is_null($nummer) && !is_string($nummer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nummer, true), gettype($nummer)), __LINE__);
        }
        $this->nummer = $nummer;
        return $this;
    }
    /**
     * Get reeks value
     * @return string|null
     */
    public function getReeks()
    {
        return $this->reeks;
    }
    /**
     * Set reeks value
     * @param string $reeks
     * @return \StructType\KadasterV2DeelEnNummer
     */
    public function setReeks($reeks = null)
    {
        // validation for constraint: string
        if (!is_null($reeks) && !is_string($reeks)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($reeks, true), gettype($reeks)), __LINE__);
        }
        $this->reeks = $reeks;
        return $this;
    }
    /**
     * Get registercode value
     * @return string|null
     */
    public function getRegistercode()
    {
        return $this->registercode;
    }
    /**
     * Set registercode value
     * @param string $registercode
     * @return \StructType\KadasterV2DeelEnNummer
     */
    public function setRegistercode($registercode = null)
    {
        // validation for constraint: string
        if (!is_null($registercode) && !is_string($registercode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($registercode, true), gettype($registercode)), __LINE__);
        }
        $this->registercode = $registercode;
        return $this;
    }
    /**
     * Get soort_register value
     * @return string|null
     */
    public function getSoort_register()
    {
        return $this->soort_register;
    }
    /**
     * Set soort_register value
     * @param string $soort_register
     * @return \StructType\KadasterV2DeelEnNummer
     */
    public function setSoort_register($soort_register = null)
    {
        // validation for constraint: string
        if (!is_null($soort_register) && !is_string($soort_register)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($soort_register, true), gettype($soort_register)), __LINE__);
        }
        $this->soort_register = $soort_register;
        return $this;
    }
}
