<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kvkUpdateGetChangedDossiersRequestType StructType
 * @subpackage Structs
 */
class KvkUpdateGetChangedDossiersRequestType extends AbstractStructBase
{
    /**
     * The changed_since
     * @var string
     */
    public $changed_since;
    /**
     * The update_types
     * @var \ArrayType\StringArray
     */
    public $update_types;
    /**
     * The page
     * @var int
     */
    public $page;
    /**
     * Constructor method for kvkUpdateGetChangedDossiersRequestType
     * @uses KvkUpdateGetChangedDossiersRequestType::setChanged_since()
     * @uses KvkUpdateGetChangedDossiersRequestType::setUpdate_types()
     * @uses KvkUpdateGetChangedDossiersRequestType::setPage()
     * @param string $changed_since
     * @param \ArrayType\StringArray $update_types
     * @param int $page
     */
    public function __construct($changed_since = null, \ArrayType\StringArray $update_types = null, $page = null)
    {
        $this
            ->setChanged_since($changed_since)
            ->setUpdate_types($update_types)
            ->setPage($page);
    }
    /**
     * Get changed_since value
     * @return string|null
     */
    public function getChanged_since()
    {
        return $this->changed_since;
    }
    /**
     * Set changed_since value
     * @param string $changed_since
     * @return \StructType\KvkUpdateGetChangedDossiersRequestType
     */
    public function setChanged_since($changed_since = null)
    {
        // validation for constraint: string
        if (!is_null($changed_since) && !is_string($changed_since)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($changed_since, true), gettype($changed_since)), __LINE__);
        }
        $this->changed_since = $changed_since;
        return $this;
    }
    /**
     * Get update_types value
     * @return \ArrayType\StringArray|null
     */
    public function getUpdate_types()
    {
        return $this->update_types;
    }
    /**
     * Set update_types value
     * @param \ArrayType\StringArray $update_types
     * @return \StructType\KvkUpdateGetChangedDossiersRequestType
     */
    public function setUpdate_types(\ArrayType\StringArray $update_types = null)
    {
        $this->update_types = $update_types;
        return $this;
    }
    /**
     * Get page value
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }
    /**
     * Set page value
     * @param int $page
     * @return \StructType\KvkUpdateGetChangedDossiersRequestType
     */
    public function setPage($page = null)
    {
        // validation for constraint: int
        if (!is_null($page) && !(is_int($page) || ctype_digit($page))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($page, true), gettype($page)), __LINE__);
        }
        $this->page = $page;
        return $this;
    }
}
