<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for metaGetServiceRequestType StructType
 * @subpackage Structs
 */
class MetaGetServiceRequestType extends AbstractStructBase
{
    /**
     * The service_name
     * @var string
     */
    public $service_name;
    /**
     * Constructor method for metaGetServiceRequestType
     * @uses MetaGetServiceRequestType::setService_name()
     * @param string $service_name
     */
    public function __construct($service_name = null)
    {
        $this
            ->setService_name($service_name);
    }
    /**
     * Get service_name value
     * @return string|null
     */
    public function getService_name()
    {
        return $this->service_name;
    }
    /**
     * Set service_name value
     * @param string $service_name
     * @return \StructType\MetaGetServiceRequestType
     */
    public function setService_name($service_name = null)
    {
        // validation for constraint: string
        if (!is_null($service_name) && !is_string($service_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($service_name, true), gettype($service_name)), __LINE__);
        }
        $this->service_name = $service_name;
        return $this;
    }
}
