<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NbwoWaardeVerdeling StructType
 * @subpackage Structs
 */
class NbwoWaardeVerdeling extends AbstractStructBase
{
    /**
     * The koopsom_van
     * @var int
     */
    public $koopsom_van;
    /**
     * The koopsom_tot
     * @var int
     */
    public $koopsom_tot;
    /**
     * The aantal
     * @var int
     */
    public $aantal;
    /**
     * Constructor method for NbwoWaardeVerdeling
     * @uses NbwoWaardeVerdeling::setKoopsom_van()
     * @uses NbwoWaardeVerdeling::setKoopsom_tot()
     * @uses NbwoWaardeVerdeling::setAantal()
     * @param int $koopsom_van
     * @param int $koopsom_tot
     * @param int $aantal
     */
    public function __construct($koopsom_van = null, $koopsom_tot = null, $aantal = null)
    {
        $this
            ->setKoopsom_van($koopsom_van)
            ->setKoopsom_tot($koopsom_tot)
            ->setAantal($aantal);
    }
    /**
     * Get koopsom_van value
     * @return int|null
     */
    public function getKoopsom_van()
    {
        return $this->koopsom_van;
    }
    /**
     * Set koopsom_van value
     * @param int $koopsom_van
     * @return \StructType\NbwoWaardeVerdeling
     */
    public function setKoopsom_van($koopsom_van = null)
    {
        // validation for constraint: int
        if (!is_null($koopsom_van) && !(is_int($koopsom_van) || ctype_digit($koopsom_van))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($koopsom_van, true), gettype($koopsom_van)), __LINE__);
        }
        $this->koopsom_van = $koopsom_van;
        return $this;
    }
    /**
     * Get koopsom_tot value
     * @return int|null
     */
    public function getKoopsom_tot()
    {
        return $this->koopsom_tot;
    }
    /**
     * Set koopsom_tot value
     * @param int $koopsom_tot
     * @return \StructType\NbwoWaardeVerdeling
     */
    public function setKoopsom_tot($koopsom_tot = null)
    {
        // validation for constraint: int
        if (!is_null($koopsom_tot) && !(is_int($koopsom_tot) || ctype_digit($koopsom_tot))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($koopsom_tot, true), gettype($koopsom_tot)), __LINE__);
        }
        $this->koopsom_tot = $koopsom_tot;
        return $this;
    }
    /**
     * Get aantal value
     * @return int|null
     */
    public function getAantal()
    {
        return $this->aantal;
    }
    /**
     * Set aantal value
     * @param int $aantal
     * @return \StructType\NbwoWaardeVerdeling
     */
    public function setAantal($aantal = null)
    {
        // validation for constraint: int
        if (!is_null($aantal) && !(is_int($aantal) || ctype_digit($aantal))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($aantal, true), gettype($aantal)), __LINE__);
        }
        $this->aantal = $aantal;
        return $this;
    }
}
