<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for businessUpdateGetDossiersRequestType StructType
 * @subpackage Structs
 */
class BusinessUpdateGetDossiersRequestType extends AbstractStructBase
{
    /**
     * The update_types
     * @var \ArrayType\StringArray
     */
    public $update_types;
    /**
     * The page
     * @var int
     */
    public $page;
    /**
     * Constructor method for businessUpdateGetDossiersRequestType
     * @uses BusinessUpdateGetDossiersRequestType::setUpdate_types()
     * @uses BusinessUpdateGetDossiersRequestType::setPage()
     * @param \ArrayType\StringArray $update_types
     * @param int $page
     */
    public function __construct(\ArrayType\StringArray $update_types = null, $page = null)
    {
        $this
            ->setUpdate_types($update_types)
            ->setPage($page);
    }
    /**
     * Get update_types value
     * @return \ArrayType\StringArray|null
     */
    public function getUpdate_types()
    {
        return $this->update_types;
    }
    /**
     * Set update_types value
     * @param \ArrayType\StringArray $update_types
     * @return \StructType\BusinessUpdateGetDossiersRequestType
     */
    public function setUpdate_types(\ArrayType\StringArray $update_types = null)
    {
        $this->update_types = $update_types;
        return $this;
    }
    /**
     * Get page value
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }
    /**
     * Set page value
     * @param int $page
     * @return \StructType\BusinessUpdateGetDossiersRequestType
     */
    public function setPage($page = null)
    {
        // validation for constraint: int
        if (!is_null($page) && !(is_int($page) || ctype_digit($page))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($page, true), gettype($page)), __LINE__);
        }
        $this->page = $page;
        return $this;
    }
}
