<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessLeiRegistrationAuthority StructType
 * @subpackage Structs
 */
class DutchBusinessLeiRegistrationAuthority extends AbstractStructBase
{
    /**
     * The dossier_number
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $dossier_number;
    /**
     * The registration_authority_id
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $registration_authority_id;
    /**
     * Constructor method for DutchBusinessLeiRegistrationAuthority
     * @uses DutchBusinessLeiRegistrationAuthority::setDossier_number()
     * @uses DutchBusinessLeiRegistrationAuthority::setRegistration_authority_id()
     * @param string $dossier_number
     * @param string $registration_authority_id
     */
    public function __construct($dossier_number = null, $registration_authority_id = null)
    {
        $this
            ->setDossier_number($dossier_number)
            ->setRegistration_authority_id($registration_authority_id);
    }
    /**
     * Get dossier_number value
     * @return string
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessLeiRegistrationAuthority
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
    /**
     * Get registration_authority_id value
     * @return string
     */
    public function getRegistration_authority_id()
    {
        return $this->registration_authority_id;
    }
    /**
     * Set registration_authority_id value
     * @param string $registration_authority_id
     * @return \StructType\DutchBusinessLeiRegistrationAuthority
     */
    public function setRegistration_authority_id($registration_authority_id = null)
    {
        // validation for constraint: string
        if (!is_null($registration_authority_id) && !is_string($registration_authority_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($registration_authority_id, true), gettype($registration_authority_id)), __LINE__);
        }
        $this->registration_authority_id = $registration_authority_id;
        return $this;
    }
}
