<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchVehicleRecall StructType
 * @subpackage Structs
 */
class DutchVehicleRecall extends AbstractStructBase
{
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $status;
    /**
     * The defects
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $defects;
    /**
     * Constructor method for DutchVehicleRecall
     * @uses DutchVehicleRecall::setStatus()
     * @uses DutchVehicleRecall::setDefects()
     * @param string $status
     * @param string $defects
     */
    public function __construct($status = null, $defects = null)
    {
        $this
            ->setStatus($status)
            ->setDefects($defects);
    }
    /**
     * Get status value
     * @return string|null
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \StructType\DutchVehicleRecall
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($status, true), gettype($status)), __LINE__);
        }
        $this->status = $status;
        return $this;
    }
    /**
     * Get defects value
     * @return string|null
     */
    public function getDefects()
    {
        return $this->defects;
    }
    /**
     * Set defects value
     * @param string $defects
     * @return \StructType\DutchVehicleRecall
     */
    public function setDefects($defects = null)
    {
        // validation for constraint: string
        if (!is_null($defects) && !is_string($defects)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($defects, true), gettype($defects)), __LINE__);
        }
        $this->defects = $defects;
        return $this;
    }
}
