<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationAddressCoordinatesRDResponseType StructType
 * @subpackage Structs
 */
class GeoLocationAddressCoordinatesRDResponseType extends AbstractStructBase
{
    /**
     * The coordinates
     * @var \StructType\RDCoordinatesMatch
     */
    public $coordinates;
    /**
     * Constructor method for geoLocationAddressCoordinatesRDResponseType
     * @uses GeoLocationAddressCoordinatesRDResponseType::setCoordinates()
     * @param \StructType\RDCoordinatesMatch $coordinates
     */
    public function __construct(\StructType\RDCoordinatesMatch $coordinates = null)
    {
        $this
            ->setCoordinates($coordinates);
    }
    /**
     * Get coordinates value
     * @return \StructType\RDCoordinatesMatch|null
     */
    public function getCoordinates()
    {
        return $this->coordinates;
    }
    /**
     * Set coordinates value
     * @param \StructType\RDCoordinatesMatch $coordinates
     * @return \StructType\GeoLocationAddressCoordinatesRDResponseType
     */
    public function setCoordinates(\StructType\RDCoordinatesMatch $coordinates = null)
    {
        $this->coordinates = $coordinates;
        return $this;
    }
}
