<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationDistanceSortedNeighborhoodCodesResponseType
 * StructType
 * @subpackage Structs
 */
class GeoLocationDistanceSortedNeighborhoodCodesResponseType extends AbstractStructBase
{
    /**
     * The nbcodes
     * @var \ArrayType\SortedPostcodeArray
     */
    public $nbcodes;
    /**
     * Constructor method for geoLocationDistanceSortedNeighborhoodCodesResponseType
     * @uses GeoLocationDistanceSortedNeighborhoodCodesResponseType::setNbcodes()
     * @param \ArrayType\SortedPostcodeArray $nbcodes
     */
    public function __construct(\ArrayType\SortedPostcodeArray $nbcodes = null)
    {
        $this
            ->setNbcodes($nbcodes);
    }
    /**
     * Get nbcodes value
     * @return \ArrayType\SortedPostcodeArray|null
     */
    public function getNbcodes()
    {
        return $this->nbcodes;
    }
    /**
     * Set nbcodes value
     * @param \ArrayType\SortedPostcodeArray $nbcodes
     * @return \StructType\GeoLocationDistanceSortedNeighborhoodCodesResponseType
     */
    public function setNbcodes(\ArrayType\SortedPostcodeArray $nbcodes = null)
    {
        $this->nbcodes = $nbcodes;
        return $this;
    }
}
