<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationInternationalLatLonToAddressResponseType
 * StructType
 * @subpackage Structs
 */
class GeoLocationInternationalLatLonToAddressResponseType extends AbstractStructBase
{
    /**
     * The address
     * @var \StructType\GeoLocationInternationalAddress
     */
    public $address;
    /**
     * Constructor method for geoLocationInternationalLatLonToAddressResponseType
     * @uses GeoLocationInternationalLatLonToAddressResponseType::setAddress()
     * @param \StructType\GeoLocationInternationalAddress $address
     */
    public function __construct(\StructType\GeoLocationInternationalAddress $address = null)
    {
        $this
            ->setAddress($address);
    }
    /**
     * Get address value
     * @return \StructType\GeoLocationInternationalAddress|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\GeoLocationInternationalAddress $address
     * @return \StructType\GeoLocationInternationalLatLonToAddressResponseType
     */
    public function setAddress(\StructType\GeoLocationInternationalAddress $address = null)
    {
        $this->address = $address;
        return $this;
    }
}
