<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HeaderAuthenticateType StructType
 * @subpackage Structs
 */
class HeaderAuthenticateType extends AbstractStructBase
{
    /**
     * The reactid
     * @var string
     */
    public $reactid;
    /**
     * Constructor method for HeaderAuthenticateType
     * @uses HeaderAuthenticateType::setReactid()
     * @param string $reactid
     */
    public function __construct($reactid = null)
    {
        $this
            ->setReactid($reactid);
    }
    /**
     * Get reactid value
     * @return string|null
     */
    public function getReactid()
    {
        return $this->reactid;
    }
    /**
     * Set reactid value
     * @param string $reactid
     * @return \StructType\HeaderAuthenticateType
     */
    public function setReactid($reactid = null)
    {
        // validation for constraint: string
        if (!is_null($reactid) && !is_string($reactid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($reactid, true), gettype($reactid)), __LINE__);
        }
        $this->reactid = $reactid;
        return $this;
    }
}
