<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterUittrekselKadastraleKaartV2 StructType
 * @subpackage Structs
 */
class KadasterUittrekselKadastraleKaartV2 extends AbstractStructBase
{
    /**
     * The kaart
     * @var string
     */
    public $kaart;
    /**
     * The afbeeldingen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\Base64BinaryArray
     */
    public $afbeeldingen;
    /**
     * Constructor method for KadasterUittrekselKadastraleKaartV2
     * @uses KadasterUittrekselKadastraleKaartV2::setKaart()
     * @uses KadasterUittrekselKadastraleKaartV2::setAfbeeldingen()
     * @param string $kaart
     * @param \ArrayType\Base64BinaryArray $afbeeldingen
     */
    public function __construct($kaart = null, \ArrayType\Base64BinaryArray $afbeeldingen = null)
    {
        $this
            ->setKaart($kaart)
            ->setAfbeeldingen($afbeeldingen);
    }
    /**
     * Get kaart value
     * @return string|null
     */
    public function getKaart()
    {
        return $this->kaart;
    }
    /**
     * Set kaart value
     * @param string $kaart
     * @return \StructType\KadasterUittrekselKadastraleKaartV2
     */
    public function setKaart($kaart = null)
    {
        // validation for constraint: string
        if (!is_null($kaart) && !is_string($kaart)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kaart, true), gettype($kaart)), __LINE__);
        }
        $this->kaart = $kaart;
        return $this;
    }
    /**
     * Get afbeeldingen value
     * @return \ArrayType\Base64BinaryArray|null
     */
    public function getAfbeeldingen()
    {
        return $this->afbeeldingen;
    }
    /**
     * Set afbeeldingen value
     * @param \ArrayType\Base64BinaryArray $afbeeldingen
     * @return \StructType\KadasterUittrekselKadastraleKaartV2
     */
    public function setAfbeeldingen(\ArrayType\Base64BinaryArray $afbeeldingen = null)
    {
        $this->afbeeldingen = $afbeeldingen;
        return $this;
    }
}
