<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2Personen StructType
 * @subpackage Structs
 */
class KadasterV2Personen extends AbstractStructBase
{
    /**
     * The natuurlijk_personen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2NatuurlijkPersoonArray
     */
    public $natuurlijk_personen;
    /**
     * The niet_natuurlijk_personen
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2NietNatuurlijkPersoonArray
     */
    public $niet_natuurlijk_personen;
    /**
     * Constructor method for KadasterV2Personen
     * @uses KadasterV2Personen::setNatuurlijk_personen()
     * @uses KadasterV2Personen::setNiet_natuurlijk_personen()
     * @param \ArrayType\KadasterV2NatuurlijkPersoonArray $natuurlijk_personen
     * @param \ArrayType\KadasterV2NietNatuurlijkPersoonArray $niet_natuurlijk_personen
     */
    public function __construct(\ArrayType\KadasterV2NatuurlijkPersoonArray $natuurlijk_personen = null, \ArrayType\KadasterV2NietNatuurlijkPersoonArray $niet_natuurlijk_personen = null)
    {
        $this
            ->setNatuurlijk_personen($natuurlijk_personen)
            ->setNiet_natuurlijk_personen($niet_natuurlijk_personen);
    }
    /**
     * Get natuurlijk_personen value
     * @return \ArrayType\KadasterV2NatuurlijkPersoonArray|null
     */
    public function getNatuurlijk_personen()
    {
        return $this->natuurlijk_personen;
    }
    /**
     * Set natuurlijk_personen value
     * @param \ArrayType\KadasterV2NatuurlijkPersoonArray $natuurlijk_personen
     * @return \StructType\KadasterV2Personen
     */
    public function setNatuurlijk_personen(\ArrayType\KadasterV2NatuurlijkPersoonArray $natuurlijk_personen = null)
    {
        $this->natuurlijk_personen = $natuurlijk_personen;
        return $this;
    }
    /**
     * Get niet_natuurlijk_personen value
     * @return \ArrayType\KadasterV2NietNatuurlijkPersoonArray|null
     */
    public function getNiet_natuurlijk_personen()
    {
        return $this->niet_natuurlijk_personen;
    }
    /**
     * Set niet_natuurlijk_personen value
     * @param \ArrayType\KadasterV2NietNatuurlijkPersoonArray $niet_natuurlijk_personen
     * @return \StructType\KadasterV2Personen
     */
    public function setNiet_natuurlijk_personen(\ArrayType\KadasterV2NietNatuurlijkPersoonArray $niet_natuurlijk_personen = null)
    {
        $this->niet_natuurlijk_personen = $niet_natuurlijk_personen;
        return $this;
    }
}
