<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2RDCoordinaat StructType
 * @subpackage Structs
 */
class KadasterV2RDCoordinaat extends AbstractStructBase
{
    /**
     * The x
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $x;
    /**
     * The y
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $y;
    /**
     * Constructor method for KadasterV2RDCoordinaat
     * @uses KadasterV2RDCoordinaat::setX()
     * @uses KadasterV2RDCoordinaat::setY()
     * @param string $x
     * @param string $y
     */
    public function __construct($x = null, $y = null)
    {
        $this
            ->setX($x)
            ->setY($y);
    }
    /**
     * Get x value
     * @return string
     */
    public function getX()
    {
        return $this->x;
    }
    /**
     * Set x value
     * @param string $x
     * @return \StructType\KadasterV2RDCoordinaat
     */
    public function setX($x = null)
    {
        // validation for constraint: string
        if (!is_null($x) && !is_string($x)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($x, true), gettype($x)), __LINE__);
        }
        $this->x = $x;
        return $this;
    }
    /**
     * Get y value
     * @return string
     */
    public function getY()
    {
        return $this->y;
    }
    /**
     * Set y value
     * @param string $y
     * @return \StructType\KadasterV2RDCoordinaat
     */
    public function setY($y = null)
    {
        // validation for constraint: string
        if (!is_null($y) && !is_string($y)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($y, true), gettype($y)), __LINE__);
        }
        $this->y = $y;
        return $this;
    }
}
